"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _restyle = require("@ergenekonyigit/restyle");
var _Box = _interopRequireDefault(require("../Box/Box"));
var _Text = _interopRequireDefault(require("../Text/Text"));
var _Icon = _interopRequireDefault(require("../Icon/Icon"));
var _theme = _interopRequireDefault(require("../../theme"));
var _AlertIcon = require("./AlertIcon");
var _dimentions = require("../../utils/dimentions");
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const variantVariant = (0, _restyle.createVariant)({
  property: 'variant',
  themeKey: 'alertVariants'
});
const AlertContainer = (0, _restyle.createRestyleComponent)([variantVariant], _Box.default);
const Alert = ({
  variant = 'info',
  icon,
  caption,
  description,
  closable,
  closed,
  onClose,
  children,
  ...rest
}) => {
  if (closed) {
    return null;
  }
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(AlertContainer, {
    variant: variant,
    ...rest,
    children: /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
      p: "m",
      flexDirection: "row",
      width: _dimentions.deviceWidth - _theme.default.spacing['2xl'],
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
        pr: "2xs",
        children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_AlertIcon.AlertIcon, {
          variant: variant,
          icon: icon
        })
      }), /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
        flex: 1,
        children: [caption ? /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
          variant: "subtitle03Medium",
          pb: "2xs",
          testID: "alert-caption",
          textAlign: 'left',
          children: caption
        }) : null, description ? /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
          testID: "alert-description",
          textAlign: 'left',
          children: description
        }) : null, children ? /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
          flexDirection: "row",
          pt: "2xs",
          children: children
        }) : null]
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
        children: closable ? /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.Pressable, {
          onPress: onClose,
          style: styles.closeButton,
          testID: "alert-close-button",
          children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Icon.default, {
            size: "xs",
            name: "close"
          })
        }) : null
      })]
    })
  });
};
const styles = _reactNative.StyleSheet.create({
  closeButton: {
    padding: _theme.default.spacing['2xs'],
    marginTop: _theme.default.spacing['-2xs'],
    marginRight: _theme.default.spacing['-2xs']
  }
});
var _default = exports.default = Alert;
//# sourceMappingURL=Alert.js.map