"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.Variants = exports.Basic = void 0;
var _react = _interopRequireWildcard(require("react"));
var _Text = _interopRequireDefault(require("../Text/Text"));
var _Alert = _interopRequireDefault(require("./Alert"));
var _Button = _interopRequireDefault(require("../Button/Button"));
var _Box = _interopRequireDefault(require("../Box/Box"));
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const variantList = ['info', 'warning', 'success', 'danger'];
const AlertMeta = {
  title: 'Alert',
  component: _Alert.default,
  argTypes: {
    variant: {
      options: variantList,
      control: {
        type: 'radio'
      }
    }
  },
  args: {
    variant: variantList[0],
    caption: 'Informational Caption',
    description: 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed tincidunt tellus, tellus non facilisis. Est at ante amet eget ut blandit.',
    closable: true,
    icon: true,
    closed: false
  }
};
var _default = exports.default = AlertMeta;
const Basic = args => {
  const [state, setState] = (0, _react.useState)(args);
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
      p: "2xs",
      variant: "subtitle01Bold",
      children: "Alert"
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
      px: "m",
      py: "2xs",
      children: /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Alert.default, {
        ...state,
        onClose: () => setState({
          ...state,
          closed: true
        }),
        children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Button.default, {
          label: "Button"
        }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Button.default, {
          label: "Button",
          variant: "secondary",
          ml: "2xs"
        })]
      })
    })]
  });
};
exports.Basic = Basic;
const Variants = () => /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
  children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
    p: "2xs",
    variant: "subtitle01Bold",
    children: "Alert Variants"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
    px: "m",
    py: "2xs",
    children: /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Alert.default, {
      caption: "Informational Caption",
      description: "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed tincidunt tellus, tellus non facilisis. Est at ante amet eget ut blandit.",
      closable: false,
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Button.default, {
        label: "Button"
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Button.default, {
        label: "Button",
        variant: "secondary",
        ml: "2xs"
      })]
    })
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
    px: "m",
    py: "2xs",
    children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Alert.default, {
      caption: "Informational Caption",
      description: "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed tincidunt tellus, tellus non facilisis. Est at ante amet eget ut blandit.",
      variant: "warning",
      closable: true,
      icon: false,
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Button.default, {
        label: "Button"
      })
    })
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
    px: "m",
    py: "2xs",
    children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Alert.default, {
      caption: "Informational Caption",
      description: "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed tincidunt tellus, tellus non facilisis. Est at ante amet eget ut blandit.",
      variant: "success",
      closable: false,
      icon: false,
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Button.default, {
        label: "Button",
        variant: "secondary"
      })
    })
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
    px: "m",
    py: "2xs",
    children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Alert.default, {
      description: "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed tincidunt tellus, tellus non facilisis. Est at ante amet eget ut blandit.",
      variant: "danger",
      closable: true
    })
  })]
});
exports.Variants = Variants;
//# sourceMappingURL=Alert.stories.js.map