"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.AlertIcon = void 0;
var _react = _interopRequireDefault(require("react"));
var _Icon = _interopRequireDefault(require("../Icon/Icon"));
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const AlertIcon = exports.AlertIcon = /*#__PURE__*/_react.default.memo(({
  variant = 'info',
  icon
}) => {
  const iconName = _react.default.useMemo(() => {
    if (typeof icon === 'boolean' && !icon) {
      return null;
    }
    return {
      info: 'info',
      success: 'check-fill',
      warning: 'warning',
      danger: 'alert'
    }[variant];
  }, [variant, icon]);
  const iconColor = _react.default.useMemo(() => {
    return {
      info: 'primaryKey',
      warning: 'warningKey',
      success: 'successKey',
      danger: 'dangerKey'
    }[variant];
  }, [variant]);
  if (!iconName) {
    return null;
  }
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_Icon.default, {
    size: "s",
    name: iconName,
    color: iconColor,
    testID: "alert-icon"
  });
});
//# sourceMappingURL=AlertIcon.js.map