"use strict";

var _react = _interopRequireDefault(require("react"));
var _testUtils = require("../../test-utils");
var _AlertIcon = require("./AlertIcon");
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
describe('AlertIcon', () => {
  test('should render alert icon correctly', () => {
    // when
    const {
      toJSON
    } = (0, _testUtils.render)(/*#__PURE__*/(0, _jsxRuntime.jsx)(_AlertIcon.AlertIcon, {}));

    // then
    expect(toJSON()).toMatchSnapshot();
  });
  test('should render null when icon false', () => {
    // when
    const {
      toJSON
    } = (0, _testUtils.render)(/*#__PURE__*/(0, _jsxRuntime.jsx)(_AlertIcon.AlertIcon, {
      icon: false
    }));

    // then
    expect(toJSON()).toMatchSnapshot();
  });
  test('should render alert icon with given variant', () => {
    // when
    const {
      getByTestId
    } = (0, _testUtils.render)(/*#__PURE__*/(0, _jsxRuntime.jsx)(_AlertIcon.AlertIcon, {
      variant: "success"
    }));
    const alertComponent = getByTestId('alert-icon');

    // then
    expect(alertComponent.props.title).toBe('check-fill');
  });
});
//# sourceMappingURL=AlertIcon.test.js.map