"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _restyle = require("@ergenekonyigit/restyle");
var _theme = _interopRequireDefault(require("../../theme"));
var _Box = _interopRequireDefault(require("../Box/Box"));
var _Icon = _interopRequireDefault(require("../Icon/Icon"));
var _Text = _interopRequireDefault(require("../Text/Text"));
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const variantVariant = (0, _restyle.createVariant)({
  property: 'variant',
  themeKey: 'badgeVariants'
});
const BadgeBackground = (0, _restyle.createRestyleComponent)([variantVariant], _Box.default);
const sizeVariant = (0, _restyle.createVariant)({
  property: 'size',
  themeKey: 'badgeSizeVariants'
});
const BadgeText = (0, _restyle.createRestyleComponent)([sizeVariant], _Text.default);
const Badge = ({
  variant = 'default',
  icon,
  color,
  backgroundColor,
  text,
  size,
  transparent,
  testID = 'badge'
}) => {
  const iconView = _react.default.useMemo(() => {
    let iconName;
    switch (variant) {
      case 'neutral':
        iconName = 'alert';
        break;
      case 'success':
        iconName = 'check-fill';
        break;
      case 'warning':
        iconName = 'warning';
        break;
      case 'danger':
        iconName = 'close-fill';
        break;
      default:
        iconName = undefined;
    }
    if (icon) {
      iconName = icon;
    }
    if (!iconName) {
      return null;
    }
    return /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
      testID: "badgeIconBox",
      pl: "3xs",
      py: "3xs",
      pr: !text ? '3xs' : 'none',
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Icon.default, {
        testID: "badgeIcon",
        size: "xs",
        name: iconName,
        color: color ?? _theme.default.badgeVariants[variant].color
      })
    });
  }, [icon, color, variant, text]);
  const bgColor = _theme.default.colors[`${backgroundColor}`] ?? backgroundColor;
  let textColor;
  if (_theme.default.colors[color]) {
    textColor = color;
  } else {
    textColor = _theme.default.badgeVariants[variant].color;
  }
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
    testID: testID,
    borderRadius: "xs",
    justifyContent: "center",
    alignSelf: "flex-start",
    flexDirection: "row",
    alignItems: "center",
    style: {
      backgroundColor: bgColor
    },
    children: [!transparent && /*#__PURE__*/(0, _jsxRuntime.jsx)(BadgeBackground, {
      testID: "badgeBackground",
      variant: variant
    }), iconView, text && /*#__PURE__*/(0, _jsxRuntime.jsx)(BadgeText, {
      testID: "badgeText",
      color: textColor,
      size: size,
      fontWeight: "500",
      fontFamily: "medium",
      children: text
    })]
  });
};
var _default = exports.default = Badge;
//# sourceMappingURL=Badge.js.map