"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.WithoutBackground = exports.WithBackground = exports.Sizes = exports.Cases = exports.Basic = void 0;
var _react = _interopRequireDefault(require("react"));
var _Box = _interopRequireDefault(require("../Box/Box"));
var _Text = _interopRequireDefault(require("../Text/Text"));
var _Badge = _interopRequireDefault(require("./Badge"));
var _list = require("../Icon/list");
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const variantList = ['default', 'neutral', 'success', 'warning', 'danger'];
const sizeList = ['small', 'medium', 'large'];
const BadgeMeta = {
  title: 'Badge',
  component: _Badge.default,
  argTypes: {
    variant: {
      options: variantList,
      control: {
        type: 'radio'
      }
    },
    icon: {
      options: _list.iconList,
      control: {
        type: 'select'
      }
    },
    size: {
      options: sizeList,
      control: {
        type: 'radio'
      }
    }
  },
  args: {
    variant: 'default',
    icon: 'confetti',
    text: 'Lorem Ipsum',
    size: 'medium',
    transparent: false
  }
};
var _default = exports.default = BadgeMeta;
const Basic = args => /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
  children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
    p: "2xs",
    variant: "subtitle01Bold",
    children: "Badge"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
    px: "m",
    py: "2xs",
    children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Badge.default, {
      variant: args.variant,
      icon: args.icon,
      text: args.text,
      size: args.size,
      transparent: args.transparent
    })
  })]
});
exports.Basic = Basic;
const Cases = () => {
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
      p: "2xs",
      variant: "subtitle01Bold",
      children: "Badge Cases"
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
      px: "m",
      py: "2xs",
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Badge.default, {
        text: "Yeni",
        icon: "alert",
        color: "white",
        transparent: true,
        backgroundColor: "red"
      })
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
      px: "m",
      py: "2xs",
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Badge.default, {
        text: "Lorem Ipsum",
        icon: "confetti",
        color: "white",
        transparent: true,
        backgroundColor: "green"
      })
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
      px: "m",
      py: "2xs",
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Badge.default, {
        text: "Lorem Ipsum",
        transparent: true,
        color: "featuredColor",
        backgroundColor: "featuredBackground"
      })
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
      px: "m",
      py: "2xs",
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Badge.default, {
        text: "Lorem Ipsum",
        icon: "gift",
        color: "alternativeColor",
        transparent: true
      })
    }), /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
      px: "m",
      py: "2xs",
      flexDirection: "row",
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
        pr: "2xs",
        children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Badge.default, {
          icon: "clock"
        })
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
        pr: "2xs",
        children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Badge.default, {
          variant: "neutral"
        })
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
        pr: "2xs",
        children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Badge.default, {
          variant: "success"
        })
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
        pr: "2xs",
        children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Badge.default, {
          variant: "warning"
        })
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
        pr: "2xs",
        children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Badge.default, {
          variant: "danger"
        })
      })]
    }), /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
      px: "m",
      py: "2xs",
      flexDirection: "row",
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
        pr: "2xs",
        children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Badge.default, {
          icon: "hamburger",
          transparent: true
        })
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
        pr: "2xs",
        children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Badge.default, {
          icon: "flash",
          color: "featuredColor",
          transparent: true
        })
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
        pr: "2xs",
        children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Badge.default, {
          icon: "motorcycle",
          color: "successColor",
          transparent: true
        })
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
        pr: "2xs",
        children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Badge.default, {
          icon: "vacation-mode",
          transparent: true
        })
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
        pr: "2xs",
        children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Badge.default, {
          icon: "stop",
          color: "dangerColor",
          transparent: true
        })
      })]
    })]
  });
};
exports.Cases = Cases;
const Sizes = () => {
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
      p: "2xs",
      variant: "subtitle01Bold",
      children: "Badge Sizes"
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
      px: "m",
      py: "2xs",
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Badge.default, {
        text: "Small Badge",
        size: "small"
      })
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
      px: "m",
      py: "2xs",
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Badge.default, {
        text: "Medium Badge",
        size: "medium"
      })
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
      px: "m",
      py: "2xs",
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Badge.default, {
        text: "Large Badge",
        size: "large"
      })
    })]
  });
};
exports.Sizes = Sizes;
const WithBackground = () => {
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
      p: "2xs",
      variant: "subtitle01Bold",
      children: "Badge With Background"
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
      px: "m",
      py: "2xs",
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Badge.default, {
        text: "Default",
        icon: "clock"
      })
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
      px: "m",
      py: "2xs",
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Badge.default, {
        variant: "neutral",
        text: "Neutral"
      })
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
      px: "m",
      py: "2xs",
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Badge.default, {
        variant: "success",
        text: "Success"
      })
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
      px: "m",
      py: "2xs",
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Badge.default, {
        variant: "warning",
        text: "Warning"
      })
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
      px: "m",
      py: "2xs",
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Badge.default, {
        variant: "danger",
        text: "Danger"
      })
    })]
  });
};
exports.WithBackground = WithBackground;
const WithoutBackground = () => {
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
      p: "2xs",
      variant: "subtitle01Bold",
      children: "Badge Without Background"
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
      px: "m",
      py: "2xs",
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Badge.default, {
        text: "Default",
        icon: "clock",
        transparent: true
      })
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
      px: "m",
      py: "2xs",
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Badge.default, {
        variant: "neutral",
        text: "Neutral",
        transparent: true
      })
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
      px: "m",
      py: "2xs",
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Badge.default, {
        variant: "success",
        text: "Success",
        transparent: true
      })
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
      px: "m",
      py: "2xs",
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Badge.default, {
        variant: "warning",
        text: "Warning",
        transparent: true
      })
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
      px: "m",
      py: "2xs",
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Badge.default, {
        variant: "danger",
        text: "Danger",
        transparent: true
      })
    })]
  });
};
exports.WithoutBackground = WithoutBackground;
//# sourceMappingURL=Badge.stories.js.map