"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.BottomSheetTitle = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _Box = _interopRequireDefault(require("../Box/Box"));
var _Text = _interopRequireDefault(require("../Text/Text"));
var _BaseModal = _interopRequireDefault(require("../Modal/BaseModal"));
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const BottomSheetTitle = ({
  closeButtonAction,
  closeButtonLabel,
  selectButtonLabel,
  selectButtonAction,
  testID,
  accessibilityLabel,
  children
}) => {
  const testProps = _react.default.useMemo(() => {
    return {
      accessibilityLabel: accessibilityLabel ?? testID,
      testID: testID ?? accessibilityLabel
    };
  }, [testID, accessibilityLabel]);
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
    flexDirection: "column",
    width: "100%",
    gap: "s",
    mb: "m",
    children: [/*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
      justifyContent: "space-between",
      width: "100%",
      alignItems: "center",
      flexDirection: "row",
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.TouchableOpacity, {
        onPress: closeButtonAction,
        style: styles.titleSmallButton,
        testID: `${testProps.testID}-header-close`,
        accessibilityLabel: `${testProps.accessibilityLabel}-header-close`,
        children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
          variant: "subtitle3Medium",
          textAlign: "left",
          children: closeButtonLabel
        })
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
        variant: "subtitle3Medium",
        textAlign: "center",
        style: styles.titleLabel,
        testID: `${testProps.testID}-header-label`,
        accessibilityLabel: `${testProps.accessibilityLabel}-header-label`,
        numberOfLines: 1,
        children: children
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.TouchableOpacity, {
        onPress: selectButtonAction,
        style: styles.titleSmallButton,
        testID: `${testProps.testID}-header-select`,
        accessibilityLabel: `${testProps.accessibilityLabel}-header-select`,
        children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
          variant: "subtitle3Medium",
          color: "primaryColor",
          textAlign: "right",
          children: selectButtonLabel
        })
      })]
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
      height: 1,
      backgroundColor: "borderColor",
      mx: "-m"
    })]
  });
};
exports.BottomSheetTitle = BottomSheetTitle;
const BottomSheet = ({
  children,
  closeButtonLabel,
  closeButtonAction,
  selectButtonAction,
  selectButtonLabel,
  accessibilityLabel,
  testID,
  title,
  header,
  ...etc
}) => {
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_BaseModal.default, {
    ...etc,
    justifyContent: "flex-end",
    p: "none",
    borderBottomStartRadius: "none",
    borderBottomEndRadius: "none",
    closeButtonAction: closeButtonAction,
    accessibilityLabel: accessibilityLabel,
    testID: testID,
    header: header ?? /*#__PURE__*/(0, _jsxRuntime.jsx)(BottomSheetTitle, {
      closeButtonLabel: closeButtonLabel,
      closeButtonAction: closeButtonAction,
      selectButtonAction: selectButtonAction,
      selectButtonLabel: selectButtonLabel,
      accessibilityLabel: accessibilityLabel,
      testID: testID,
      children: title
    }),
    children: children
  });
};
var _default = exports.default = BottomSheet;
const styles = _reactNative.StyleSheet.create({
  titleSmallButton: {
    width: '25%'
  },
  titleLabel: {
    width: '50%'
  }
});
//# sourceMappingURL=BottomSheet.js.map