"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _restyle = require("@ergenekonyigit/restyle");
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const restyleFunctions = (0, _restyle.composeRestyleFunctions)([_restyle.backgroundColor, _restyle.backgroundColorShorthand, _restyle.opacity, _restyle.visible, _restyle.layout, _restyle.spacing, _restyle.spacingShorthand, _restyle.border, _restyle.shadow, _restyle.position]);
const Box = /*#__PURE__*/_react.default.forwardRef(({
  testID,
  accessibilityLabel,
  accessible,
  ...rest
}, ref) => {
  const props = (0, _restyle.useRestyle)(restyleFunctions, rest);
  const testProps = _react.default.useMemo(() => {
    const result = {
      accessible: false,
      accessibilityLabel: undefined,
      testID: undefined
    };
    if (!(testID || accessibilityLabel)) {
      return result;
    }
    result.accessible = accessible ?? true;
    result.accessibilityLabel = accessibilityLabel ?? testID;
    result.testID = testID ?? accessibilityLabel;
    return result;
  }, [testID, accessibilityLabel, accessible]);
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.View, {
    ...props,
    ...testProps,
    ref: ref
  });
});
var _default = exports.default = Box;
//# sourceMappingURL=Box.js.map