"use strict";

var _react = _interopRequireDefault(require("react"));
var _theme = _interopRequireDefault(require("../../theme"));
var _testUtils = require("../../test-utils");
var _Box = _interopRequireDefault(require("./Box"));
var _Text = _interopRequireDefault(require("../Text/Text"));
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
describe('Box', () => {
  test('should render box correctly', () => {
    // when
    const {
      toJSON
    } = (0, _testUtils.render)(/*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {}));

    // then
    expect(toJSON()).toMatchSnapshot();
  });
  test('should render given box', () => {
    // when
    const {
      getByTestId
    } = (0, _testUtils.render)(/*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
      testID: "box",
      backgroundColor: "primaryKey"
    }));
    const boxComponent = getByTestId('box');

    // then
    expect(boxComponent.props.style[0].backgroundColor).toBe(_theme.default.colors.primaryKey);
  });
  test('should render given box children ', () => {
    // when
    const {
      getByTestId
    } = (0, _testUtils.render)(/*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
      testID: "box",
      backgroundColor: "primaryKey",
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
        children: "testtest"
      })
    }));
    const boxComponent = getByTestId('box');

    // then
    const textComponent = boxComponent.children[0];
    expect(textComponent.props.children).toBe('testtest');
  });
});
//# sourceMappingURL=Box.test.js.map