"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.TertiaryButtons = exports.Sizes = exports.SecondaryButtons = exports.PrimaryButtons = exports.PressedStates = exports.IconOnlyButtons = exports.IconButtons = exports.DisabledButtons = exports.ButtonVariants = exports.Basic = void 0;
var _react = _interopRequireDefault(require("react"));
var _Button = _interopRequireDefault(require("./Button"));
var _Box = _interopRequireDefault(require("../Box/Box"));
var _Text = _interopRequireDefault(require("../Text/Text"));
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const variantList = ['primary', 'secondary', 'tertiary'];
const kindList = ['default', 'neutral', 'success', 'danger'];
const sizeList = ['s', 'm', 'l'];
const ButtonMeta = {
  title: 'Button',
  component: _Button.default,
  argTypes: {
    onPress: {
      action: 'pressed the button'
    },
    variant: {
      options: variantList,
      control: {
        type: 'radio'
      }
    },
    kind: {
      options: kindList,
      control: {
        type: 'radio'
      }
    },
    size: {
      options: sizeList,
      control: {
        type: 'radio'
      }
    }
  },
  args: {
    size: sizeList[1],
    kind: kindList[0],
    variant: variantList[0],
    disabled: false,
    filled: false
  }
};
var _default = exports.default = ButtonMeta;
const Basic = args => /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
  children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
    p: "2xs",
    variant: "subtitle01Bold",
    children: "Button"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Button.default, {
    ...args,
    size: args.size,
    kind: args.kind,
    variant: args.variant,
    filled: args.filled,
    icon: "confetti",
    label: args.disabled ? `disabled ${args.kind} ${args.size} button` : `${args.variant} ${args.kind} ${args.size} button`,
    m: "2xs"
  })]
});
exports.Basic = Basic;
const ButtonVariants = () => /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
  children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
    p: "2xs",
    variant: "subtitle01Bold",
    children: "Button Variants"
  }), /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Button.default, {
      variant: "primary",
      label: "Primary Button",
      m: "2xs"
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Button.default, {
      variant: "secondary",
      label: "Secondary Button",
      m: "2xs"
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Button.default, {
      variant: "tertiary",
      label: "Tertiary Button",
      m: "2xs"
    })]
  })]
});
exports.ButtonVariants = ButtonVariants;
const PrimaryButtons = () => /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
  children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
    p: "2xs",
    variant: "subtitle01Bold",
    children: "Primary Buttons"
  }), /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Button.default, {
      label: "Primary Button",
      m: "2xs"
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Button.default, {
      kind: "neutral",
      label: "Primary Button",
      m: "2xs"
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Button.default, {
      kind: "success",
      label: "Primary Button",
      m: "2xs"
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Button.default, {
      kind: "danger",
      label: "Primary Button",
      m: "2xs"
    })]
  })]
});
exports.PrimaryButtons = PrimaryButtons;
const SecondaryButtons = () => /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
  children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
    p: "2xs",
    variant: "subtitle01Bold",
    children: "Secondary Buttons"
  }), /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Button.default, {
      variant: "secondary",
      label: "Secondary Button",
      m: "2xs"
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Button.default, {
      variant: "secondary",
      kind: "neutral",
      label: "Secondary Button",
      m: "2xs"
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Button.default, {
      variant: "secondary",
      kind: "success",
      label: "Secondary Button",
      m: "2xs"
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Button.default, {
      variant: "secondary",
      kind: "danger",
      label: "Secondary Button",
      m: "2xs"
    })]
  })]
});
exports.SecondaryButtons = SecondaryButtons;
const TertiaryButtons = () => /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
  children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
    p: "2xs",
    variant: "subtitle01Bold",
    children: "Tertiary Buttons"
  }), /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Button.default, {
      variant: "tertiary",
      label: "Tertiary Button",
      m: "2xs"
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Button.default, {
      variant: "tertiary",
      kind: "neutral",
      label: "Tertiary Button",
      m: "2xs"
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Button.default, {
      variant: "tertiary",
      kind: "success",
      label: "Tertiary Button",
      m: "2xs"
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Button.default, {
      variant: "tertiary",
      kind: "danger",
      label: "Tertiary Button",
      m: "2xs"
    })]
  })]
});
exports.TertiaryButtons = TertiaryButtons;
const IconButtons = () => /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
  children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
    p: "2xs",
    variant: "subtitle01Bold",
    children: "Icon Buttons"
  }), /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
    flexDirection: "row",
    justifyContent: "space-around",
    children: [/*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Button.default, {
        label: "Save",
        icon: "info",
        m: "2xs"
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Button.default, {
        kind: "neutral",
        label: "Save",
        icon: "info",
        m: "2xs"
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Button.default, {
        kind: "success",
        label: "Save",
        icon: "info",
        m: "2xs"
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Button.default, {
        kind: "danger",
        label: "Save",
        icon: "info",
        m: "2xs"
      })]
    }), /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Button.default, {
        variant: "tertiary",
        label: "Save",
        icon: "info",
        m: "2xs"
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Button.default, {
        variant: "tertiary",
        kind: "neutral",
        label: "Save",
        icon: "info",
        m: "2xs"
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Button.default, {
        variant: "tertiary",
        kind: "success",
        label: "Save",
        icon: "info",
        m: "2xs"
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Button.default, {
        variant: "tertiary",
        kind: "danger",
        label: "Save",
        icon: "info",
        m: "2xs"
      })]
    })]
  })]
});
exports.IconButtons = IconButtons;
const IconOnlyButtons = () => /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
  children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
    p: "2xs",
    variant: "subtitle01Bold",
    children: "Icon Only Buttons"
  }), /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Button.default, {
      icon: "info",
      m: "2xs"
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Button.default, {
      kind: "neutral",
      icon: "info",
      m: "2xs"
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Button.default, {
      kind: "success",
      icon: "info",
      m: "2xs"
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Button.default, {
      kind: "danger",
      icon: "info",
      m: "2xs"
    })]
  })]
});
exports.IconOnlyButtons = IconOnlyButtons;
const Sizes = () => /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
  children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
    p: "2xs",
    variant: "subtitle01Bold",
    children: "Button Sizes"
  }), /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Button.default, {
      size: "l",
      icon: "info",
      label: "Primary Button",
      m: "2xs"
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Button.default, {
      size: "m",
      icon: "info",
      label: "Primary Button",
      m: "2xs"
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Button.default, {
      size: "s",
      icon: "info",
      label: "Primary Button",
      m: "2xs",
      mb: "2xl"
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Button.default, {
      size: "l",
      icon: "info",
      label: "Primary Button",
      filled: true,
      m: "2xs"
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Button.default, {
      size: "m",
      icon: "info",
      label: "Primary Button",
      filled: true,
      m: "2xs"
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Button.default, {
      size: "s",
      icon: "info",
      label: "Primary Button",
      filled: true,
      m: "2xs"
    })]
  })]
});
exports.Sizes = Sizes;
const DisabledButtons = () => /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
  children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
    p: "2xs",
    variant: "subtitle01Bold",
    children: "Disabled Buttons"
  }), /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
    mt: "xl",
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
      p: "2xs",
      variant: "captionMedium",
      children: "Primary & Secondary Variants"
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Button.default, {
      size: "l",
      disabled: true,
      label: "Passive Button",
      m: "2xs"
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Button.default, {
      size: "m",
      disabled: true,
      label: "Passive Button",
      m: "2xs"
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Button.default, {
      size: "s",
      disabled: true,
      label: "Passive Button",
      m: "2xs",
      mb: "2xl"
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
      p: "2xs",
      variant: "captionMedium",
      children: "Tertiary Variant"
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Button.default, {
      size: "l",
      variant: "tertiary",
      disabled: true,
      label: "Passive Button",
      m: "2xs"
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Button.default, {
      size: "m",
      variant: "tertiary",
      disabled: true,
      label: "Passive Button",
      m: "2xs"
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Button.default, {
      size: "s",
      variant: "tertiary",
      disabled: true,
      label: "Passive Button",
      m: "2xs"
    })]
  })]
});
exports.DisabledButtons = DisabledButtons;
const PressedStates = () => /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
  children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
    p: "2xs",
    variant: "subtitle01Bold",
    children: "Pressed States"
  }), /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
    mt: "xl",
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
      p: "2xs",
      variant: "captionMedium",
      children: "Primary & Secondary Variants"
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Button.default, {
      isPressed: true,
      label: "Save",
      icon: "info",
      m: "2xs"
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Button.default, {
      isPressed: true,
      kind: "neutral",
      label: "Save",
      icon: "info",
      m: "2xs"
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Button.default, {
      isPressed: true,
      kind: "success",
      label: "Save",
      icon: "info",
      m: "2xs"
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Button.default, {
      isPressed: true,
      kind: "danger",
      label: "Save",
      icon: "info",
      m: "2xs",
      mb: "2xl"
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
      p: "2xs",
      variant: "captionMedium",
      children: "Tertiary Variant"
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Button.default, {
      variant: "tertiary",
      isPressed: true,
      label: "Save",
      icon: "info",
      m: "2xs"
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Button.default, {
      variant: "tertiary",
      isPressed: true,
      kind: "neutral",
      label: "Save",
      icon: "info",
      m: "2xs"
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Button.default, {
      variant: "tertiary",
      isPressed: true,
      kind: "success",
      label: "Save",
      icon: "info",
      m: "2xs"
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Button.default, {
      variant: "tertiary",
      isPressed: true,
      kind: "danger",
      label: "Save",
      icon: "info",
      m: "2xs"
    })]
  })]
});
exports.PressedStates = PressedStates;
//# sourceMappingURL=Button.stories.js.map