"use strict";

var _testUtils = require("../../test-utils");
var _hooks = require("./hooks");
describe('Button Hooks', () => {
  test('useIsPressed onPressIn', () => {
    // when
    const {
      result
    } = (0, _testUtils.renderHook)(() => (0, _hooks.useIsPressed)());

    // then
    expect(result.current.isPressed).toBe(false);

    // when
    (0, _testUtils.act)(() => {
      result.current.pressableProps.onPressIn();
    });

    // then
    expect(result.current.isPressed).toBe(true);
  });
  test('useIsPressed onPressOut', () => {
    // when
    const {
      result
    } = (0, _testUtils.renderHook)(() => (0, _hooks.useIsPressed)());

    // then
    expect(result.current.isPressed).toBe(false);

    // when
    (0, _testUtils.act)(() => {
      result.current.pressableProps.onPressIn();
      result.current.pressableProps.onPressOut();
    });

    // then
    expect(result.current.isPressed).toBe(false);
  });
});
//# sourceMappingURL=hooks.test.js.map