"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _restyle = require("@ergenekonyigit/restyle");
var _reactNative = require("react-native");
var _Box = _interopRequireDefault(require("../Box/Box"));
var _Icon = _interopRequireDefault(require("../Icon/Icon"));
var _FlagIcon = _interopRequireDefault(require("../FlagIcon/FlagIcon"));
var _Text = _interopRequireDefault(require("../Text/Text"));
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const variant = (0, _restyle.createVariant)({
  themeKey: 'checkboxVariants'
});
const Tickbox = (0, _restyle.createRestyleComponent)([variant], _Box.default);
const CheckboxContainer = (0, _restyle.createRestyleComponent)([_restyle.layout, _restyle.spacing, _restyle.spacingShorthand], _reactNative.TouchableOpacity);
const Checkbox = ({
  checked,
  indeterminate,
  label,
  disabled = false,
  flagIcon,
  onPress,
  ...rest
}) => {
  const checkIcon = _react.default.useMemo(() => {
    if (!checked) {
      return null;
    }
    if (indeterminate) {
      return /*#__PURE__*/(0, _jsxRuntime.jsx)(_Icon.default, {
        size: "4xs",
        name: "minus",
        color: disabled ? 'neutralLight' : 'neutralFull',
        testID: "minus-icon"
      });
    }
    return /*#__PURE__*/(0, _jsxRuntime.jsx)(_Icon.default, {
      size: "3xs",
      name: "check",
      color: disabled ? 'neutralLight' : 'neutralFull',
      testID: "check-icon"
    });
  }, [checked, indeterminate, disabled]);
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(CheckboxContainer, {
    flexDirection: "row",
    alignSelf: "flex-start",
    disabled: disabled,
    onPress: onPress,
    ...rest,
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(Tickbox, {
      testID: "tickbox",
      variant: checked ? disabled ? 'disabledChecked' : 'checked' : disabled ? 'disabledUnchecked' : 'unchecked',
      children: checkIcon
    }), flagIcon ? /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
      marginLeft: "2xs",
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_FlagIcon.default, {
        size: "s",
        name: flagIcon,
        color: disabled ? 'neutralLight' : checked ? 'primaryKey' : 'neutralDarker',
        testID: "flag-icon"
      })
    }) : null, label ? /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
      testID: "label",
      marginLeft: "2xs",
      color: disabled ? 'neutralLighter' : checked ? 'primaryKey' : 'neutralDarker',
      children: label
    }) : null]
  });
};
var _default = exports.default = Checkbox;
//# sourceMappingURL=Checkbox.js.map