"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.CheckboxWithFlagIcon = exports.Cases = exports.Basic = void 0;
var _react = _interopRequireDefault(require("react"));
var _Box = _interopRequireDefault(require("../Box/Box"));
var _Text = _interopRequireDefault(require("../Text/Text"));
var _Checkbox = _interopRequireDefault(require("./Checkbox"));
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const CheckboxMeta = {
  title: 'Checkbox',
  component: _Checkbox.default,
  argTypes: {
    onPress: {
      action: 'pressed the button'
    }
  },
  args: {
    checked: true,
    indeterminate: false,
    disabled: false
  }
};
var _default = exports.default = CheckboxMeta;
const Basic = args => {
  const [checked, setChecked] = _react.default.useState(false);
  _react.default.useEffect(() => {
    setChecked(args.checked);
  }, [args.checked]);
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
      p: "2xs",
      variant: "subtitle01Bold",
      children: "Checkbox"
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Checkbox.default, {
      ...args,
      onPress: () => setChecked(!checked),
      checked: checked,
      indeterminate: args.indeterminate,
      label: "lorem ipsum",
      m: "2xs"
    })]
  });
};
exports.Basic = Basic;
const Cases = () => {
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
      p: "2xs",
      variant: "subtitle01Bold",
      children: "Checkbox"
    }), /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
      px: "m",
      py: "2xs",
      flexDirection: "row",
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Checkbox.default, {
        checked: false
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
        width: 8
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Checkbox.default, {
        checked: true,
        indeterminate: false
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
        width: 8
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Checkbox.default, {
        checked: true,
        indeterminate: true
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
        width: 8
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Checkbox.default, {
        disabled: true,
        checked: false
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
        width: 8
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Checkbox.default, {
        disabled: true,
        checked: true,
        indeterminate: false
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
        width: 8
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Checkbox.default, {
        disabled: true,
        checked: true,
        indeterminate: true
      })]
    }), /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
      px: "m",
      py: "2xs",
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
        height: 12
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Checkbox.default, {
        checked: false,
        label: "checked: false"
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
        height: 12
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Checkbox.default, {
        checked: false,
        indeterminate: false,
        label: "checked: false, indeterminate: false"
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
        height: 12
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Checkbox.default, {
        checked: false,
        indeterminate: true,
        label: "checked: false, indeterminate: true"
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
        height: 12
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Checkbox.default, {
        checked: true,
        label: "checked: true"
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
        height: 12
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Checkbox.default, {
        checked: true,
        indeterminate: false,
        label: "checked: true, indeterminate: false"
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
        height: 12
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Checkbox.default, {
        checked: true,
        indeterminate: true,
        label: "checked: true, indeterminate: true"
      })]
    }), /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
      px: "m",
      py: "xs",
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
        py: "xs",
        variant: "subtitle02Medium",
        children: "Disable:"
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Checkbox.default, {
        disabled: true,
        checked: false,
        label: "disabled, checked: false"
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
        height: 12
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Checkbox.default, {
        disabled: true,
        checked: false,
        indeterminate: false,
        label: "disabled, checked: false, indeterminate: false"
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
        height: 12
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Checkbox.default, {
        disabled: true,
        checked: false,
        indeterminate: true,
        label: "disabled, checked: false, indeterminate: true"
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
        height: 12
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Checkbox.default, {
        disabled: true,
        checked: true,
        label: "disabled, checked: true"
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
        height: 12
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Checkbox.default, {
        disabled: true,
        checked: true,
        indeterminate: false,
        label: "disabled, checked: true, indeterminate: false"
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
        height: 12
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Checkbox.default, {
        disabled: true,
        checked: true,
        indeterminate: true,
        label: "disabled, checked: true, indeterminate: true"
      })]
    }), /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
      px: "m",
      py: "xs",
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
        py: "xs",
        variant: "subtitle02Medium",
        children: "Alignment:"
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Checkbox.default, {
        checked: false,
        label: "Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua."
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
        height: 12
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Checkbox.default, {
        checked: false,
        indeterminate: false,
        alignItems: "center",
        label: "Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua."
      })]
    })]
  });
};
exports.Cases = Cases;
const CheckboxWithFlagIcon = () => {
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
      p: "2xs",
      variant: "subtitle01Bold",
      children: "Checkbox With Flag Icon"
    }), /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
      px: "m",
      py: "2xs",
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
        height: 12
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Checkbox.default, {
        checked: false,
        label: "checked: false, flagIcon: TR",
        flagIcon: "TR"
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
        height: 12
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Checkbox.default, {
        checked: true,
        label: "checked: true, flagIcon: DE",
        flagIcon: "DE"
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
        height: 12
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Checkbox.default, {
        checked: true,
        indeterminate: true,
        label: "checked: true, indeterminate: true, flagIcon: GR",
        flagIcon: "GR"
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
        height: 12
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Checkbox.default, {
        disabled: true,
        checked: false,
        label: "checked: false, disabled, flagIcon: RO",
        flagIcon: "RO"
      })]
    })]
  });
};
exports.CheckboxWithFlagIcon = CheckboxWithFlagIcon;
//# sourceMappingURL=Checkbox.stories.js.map