"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _Box = _interopRequireDefault(require("../Box/Box"));
var _Text = _interopRequireDefault(require("../Text/Text"));
var _Icon = _interopRequireDefault(require("../Icon/Icon"));
var _constants = require("./constants");
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const PickerButton = /*#__PURE__*/_react.default.memo(({
  label,
  isActive,
  onPress,
  testID
}) => /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.TouchableOpacity, {
  onPress: onPress,
  style: styles.touchableOpacity,
  testID: testID,
  accessibilityLabel: testID,
  children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
    py: "2xs",
    px: "xl",
    alignItems: "center",
    borderRadius: "s",
    backgroundColor: isActive ? 'neutralLightest' : undefined,
    children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
      variant: "subtitle03Medium",
      color: "neutralDarkest",
      children: label
    })
  })
}));
const NavigationButton = /*#__PURE__*/_react.default.memo(({
  iconName,
  onPress,
  testID
}) => /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.TouchableOpacity, {
  onPress: onPress,
  testID: testID,
  accessibilityLabel: testID,
  children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
    p: "xs",
    children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Icon.default, {
      size: "m",
      name: iconName
    })
  })
}));
const CalendarHeader = /*#__PURE__*/_react.default.memo(({
  context
}) => {
  const {
    calendarData,
    showPickerType,
    setShowPickerType,
    onPressNext,
    onPressPrev,
    testID
  } = context;
  const handlePickerPress = (0, _react.useCallback)(pickerType => {
    setShowPickerType(showPickerType === pickerType ? _constants.ShowPickerType.NONE : pickerType);
  }, [showPickerType, setShowPickerType]);
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
    flexDirection: "row",
    alignItems: "center",
    justifyContent: "space-between",
    py: "2xs",
    mb: "2xs",
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(NavigationButton, {
      iconName: "arrow-left",
      onPress: onPressPrev,
      testID: `${testID}-header-prev`
    }), /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
      flex: 1,
      flexDirection: "row",
      gap: "2xs",
      alignItems: "center",
      justifyContent: "space-between",
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(PickerButton, {
        label: calendarData.nameOfMonth,
        isActive: showPickerType === _constants.ShowPickerType.MONTH,
        onPress: () => handlePickerPress(_constants.ShowPickerType.MONTH),
        testID: `${testID}-header-month-select`
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(PickerButton, {
        label: calendarData.year,
        isActive: showPickerType === _constants.ShowPickerType.YEAR,
        onPress: () => handlePickerPress(_constants.ShowPickerType.YEAR),
        testID: `${testID}-header-year-select`
      })]
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(NavigationButton, {
      iconName: "arrow-right",
      onPress: onPressNext,
      testID: `${testID}-header-next`
    })]
  });
});
CalendarHeader.displayName = 'CalendarHeader';
PickerButton.displayName = 'PickerButton';
NavigationButton.displayName = 'NavigationButton';
var _default = exports.default = CalendarHeader;
const styles = _reactNative.StyleSheet.create({
  touchableOpacity: {
    flex: 1
  }
});
//# sourceMappingURL=CalendarHeader.js.map