"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _CalendarPicker = _interopRequireDefault(require("./CalendarPicker"));
var _MonthPicker = _interopRequireDefault(require("./MonthPicker"));
var _YearPicker = _interopRequireDefault(require("./YearPicker"));
var _BottomSheet = _interopRequireDefault(require("../BottomSheet/BottomSheet"));
var _CalendarHeader = _interopRequireDefault(require("./CalendarHeader"));
var _constants = require("./constants");
var _DatePickerContext = require("./DatePickerContext");
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const CalendarWrapper = props => {
  const context = (0, _DatePickerContext.useDatePickerContext)();
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_BottomSheet.default, {
    title: props.title,
    visible: context.visible,
    closeButtonAction: context.handleClose,
    closeButtonLabel: props.closeButtonLabel || '',
    selectButtonLabel: props.selectButtonLabel || '',
    selectButtonAction: context.onChange,
    testID: context.testID,
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_CalendarHeader.default, {
      context: context
    }), context.showPickerType === _constants.ShowPickerType.MONTH && /*#__PURE__*/(0, _jsxRuntime.jsx)(_MonthPicker.default, {
      context: context
    }), context.showPickerType === _constants.ShowPickerType.YEAR && /*#__PURE__*/(0, _jsxRuntime.jsx)(_YearPicker.default, {
      context: context
    }), context.showPickerType === _constants.ShowPickerType.NONE && /*#__PURE__*/(0, _jsxRuntime.jsx)(_CalendarPicker.default, {
      context: context
    })]
  });
};
var _default = exports.default = CalendarWrapper;
//# sourceMappingURL=CalendarWrapper.js.map