"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _CalendarWrapper = _interopRequireDefault(require("./CalendarWrapper"));
var _Input = _interopRequireDefault(require("../Input/Input"));
var _Box = _interopRequireDefault(require("../Box/Box"));
var _DatePickerContext = require("./DatePickerContext");
var _utils = require("./utils");
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const DatePickerContent = /*#__PURE__*/_react.default.memo(props => {
  const {
    handleOpen,
    testID,
    value
  } = (0, _DatePickerContext.useDatePickerContext)();
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
    children: [/*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
      position: "relative",
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Input.default, {
        placeholder: props.placeholder,
        value: value || '',
        editable: false,
        pointerEvents: "none",
        testID: `${testID}-input`,
        accessibilityLabel: `${testID}-input`,
        size: props.size,
        icon: "calendar",
        labelFixed: true,
        label: props.label
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.TouchableOpacity, {
        style: styles.touchableOpacity,
        activeOpacity: 1,
        onPress: handleOpen,
        testID: `${testID}-touchable`,
        accessibilityLabel: `${testID}-touchable`
      })]
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_CalendarWrapper.default, {
      closeButtonLabel: props.closeButtonLabel,
      selectButtonLabel: props.selectButtonLabel,
      title: props.title
    })]
  });
});
const DatePicker = /*#__PURE__*/_react.default.memo(props => {
  const _disableDates = _react.default.useMemo(() => (props.disableDates || []).map(date => (0, _utils.getDateFromString)(date, props.format).getTime()), [props.disableDates, props.format]);
  const contextValue = _react.default.useMemo(() => ({
    value: props.value,
    nameOfWeekdays: props.nameOfWeekdays,
    nameOfMonths: props.nameOfMonths,
    minYear: props.minYear,
    maxYear: props.maxYear,
    testID: props.testID,
    firstDayOfWeek: props.firstDayOfWeek,
    placeholder: props.placeholder,
    disableDates: _disableDates,
    onChange: props.onChange,
    multiple: props.multiple || false,
    format: props.format,
    disableMonths: props.disableMonths,
    disableYears: props.disableYears
  }), [props.value, props.nameOfWeekdays, props.nameOfMonths, props.minYear, props.maxYear, props.testID, props.firstDayOfWeek, props.placeholder, props.onChange, props.multiple, props.format, props.disableMonths, props.disableYears, _disableDates]);
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_DatePickerContext.DatePickerProvider, {
    ...contextValue,
    children: /*#__PURE__*/(0, _jsxRuntime.jsx)(DatePickerContent, {
      closeButtonLabel: props.closeButtonLabel,
      selectButtonLabel: props.selectButtonLabel,
      title: props.title,
      placeholder: props.placeholder,
      size: props.size,
      label: props.label,
      multiple: props.multiple
    })
  });
});
DatePicker.displayName = 'DatePicker';
DatePickerContent.displayName = 'DatePickerContent';
var _default = exports.default = DatePicker;
const styles = _reactNative.StyleSheet.create({
  touchableOpacity: {
    position: 'absolute',
    top: 0,
    left: 0,
    right: 0,
    bottom: 0
  }
});
//# sourceMappingURL=DatePicker.js.map