"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.WithYearRange = exports.WithDisabledDates = exports.SizeComparison = exports.MultipleDateSelection = exports.Cases = exports.Basic = void 0;
var _react = _interopRequireDefault(require("react"));
var _Box = _interopRequireDefault(require("../Box/Box"));
var _Text = _interopRequireDefault(require("../Text/Text"));
var _DatePicker = _interopRequireDefault(require("./DatePicker"));
var _constants = require("./constants");
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const DatePickerMeta = {
  title: 'DatePicker',
  component: _DatePicker.default,
  argTypes: {
    onChange: {
      action: 'onChange'
    },
    size: {
      control: {
        type: 'select'
      },
      options: ['small', 'medium', 'large']
    },
    label: {
      control: {
        type: 'text'
      },
      description: 'Input label text'
    },
    maxYear: {
      control: {
        type: 'number'
      },
      description: 'Maximum year'
    },
    minYear: {
      control: {
        type: 'number'
      },
      description: 'Minimum year'
    },
    disableDates: {
      control: {
        type: 'array'
      },
      description: 'Disabled dates'
    },
    disableMonths: {
      control: {
        type: 'array'
      },
      description: 'Disabled months'
    },
    disableYears: {
      control: {
        type: 'array'
      },
      description: 'Disabled years'
    },
    multiple: {
      control: {
        type: 'boolean'
      },
      description: 'Multiple selection'
    },
    format: {
      control: {
        type: 'text'
      },
      description: 'Date format'
    },
    firstDayOfWeek: {
      control: {
        type: 'select'
      },
      options: [0, 1],
      description: 'First day of week'
    },
    placeholder: {
      control: {
        type: 'text'
      },
      description: 'Placeholder text'
    },
    title: {
      control: {
        type: 'text'
      },
      description: 'Title text'
    },
    closeButtonLabel: {
      control: {
        type: 'text'
      },
      description: 'Close button label'
    },
    selectButtonLabel: {
      control: {
        type: 'text'
      },
      description: 'Select button label'
    }
  },
  args: {
    title: 'Select Date',
    closeButtonLabel: 'Close',
    selectButtonLabel: 'Select',
    placeholder: 'Select date',
    firstDayOfWeek: 1,
    multiple: false,
    format: 'dd/MM/yyyy'
  }
};
var _default = exports.default = DatePickerMeta;
const Basic = args => {
  const [value, setValue] = _react.default.useState(null);
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
    p: "2xs",
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
      p: "2xs",
      variant: "subtitle01Bold",
      children: "DatePicker"
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_DatePicker.default, {
      ...args,
      testID: "datepicker",
      value: value,
      onChange: setValue
    })]
  });
};
exports.Basic = Basic;
const Cases = args => {
  const [value1, setValue1] = _react.default.useState(null);
  const [value2, setValue2] = _react.default.useState(null);
  const [value3, setValue3] = _react.default.useState(null);
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
    gap: "2xs",
    children: [/*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
      p: "2xs",
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
        p: "2xs",
        variant: "subtitle01Bold",
        children: "DatePicker start via Sunday"
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_DatePicker.default, {
        ...args,
        title: "Select Date",
        closeButtonLabel: "Close",
        selectButtonLabel: "Select",
        nameOfWeekdays: ['Sun', 'Mon', 'Tue', 'Wed', 'Thu', 'Fri', 'Sat'],
        testID: "datepicker",
        value: value1,
        onChange: setValue1,
        placeholder: "Select date",
        firstDayOfWeek: 0,
        format: "dd/MM/yyyy"
      })]
    }), /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
      p: "2xs",
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
        p: "2xs",
        variant: "subtitle01Bold",
        children: "DatePicker start via Monday (Default)"
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_DatePicker.default, {
        ...args,
        title: "Select Date",
        closeButtonLabel: "Close",
        selectButtonLabel: "Select",
        testID: "datepicker",
        value: value2,
        onChange: setValue2,
        placeholder: "Select date",
        firstDayOfWeek: 1,
        format: "dd/MM/yyyy"
      })]
    }), /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
      p: "2xs",
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
        p: "2xs",
        variant: "subtitle01Bold",
        children: "DatePicker with Label"
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_DatePicker.default, {
        ...args,
        label: "Birth Date",
        title: "Select Date",
        closeButtonLabel: "Close",
        selectButtonLabel: "Select",
        testID: "datepicker-with-label",
        value: value3,
        onChange: setValue3,
        placeholder: "Select date",
        firstDayOfWeek: 1
      })]
    })]
  });
};
exports.Cases = Cases;
const SizeComparison = args => {
  const [value1, setValue1] = _react.default.useState(null);
  const [value2, setValue2] = _react.default.useState(null);
  const [value3, setValue3] = _react.default.useState(null);
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
    p: "2xs",
    gap: "2xs",
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
      p: "2xs",
      variant: "subtitle01Bold",
      children: "DatePicker Size Comparison"
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
      variant: "subtitle03Medium",
      color: "neutralDark",
      children: "Small Size:"
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_DatePicker.default, {
      ...args,
      size: "small",
      title: "Select Date",
      closeButtonLabel: "Close",
      selectButtonLabel: "Select",
      testID: "datepicker-small-compare",
      value: value1,
      onChange: setValue1,
      placeholder: "Small size",
      firstDayOfWeek: 1
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
      variant: "subtitle03Medium",
      color: "neutralDark",
      children: "Medium Size:"
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_DatePicker.default, {
      ...args,
      size: "medium",
      title: "Select Date",
      closeButtonLabel: "Close",
      selectButtonLabel: "Select",
      testID: "datepicker-medium-compare",
      value: value2,
      onChange: setValue2,
      placeholder: "Medium size",
      firstDayOfWeek: 1
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
      variant: "subtitle03Medium",
      color: "neutralDark",
      children: "Large with Label:"
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_DatePicker.default, {
      ...args,
      size: "large",
      title: "Select Date",
      label: "Large Date",
      closeButtonLabel: "Close",
      selectButtonLabel: "Select",
      testID: "datepicker-large-compare",
      value: value3,
      onChange: setValue3,
      placeholder: "Large size",
      firstDayOfWeek: 1
    })]
  });
};
exports.SizeComparison = SizeComparison;
const MultipleDateSelection = args => {
  const [value, setValue] = _react.default.useState(null);
  const [value1, setValue1] = _react.default.useState(null);
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
    gap: "2xs",
    children: [/*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
      p: "2xs",
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
        p: "2xs",
        variant: "subtitle01Bold",
        children: "Multiple Date Selection"
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_DatePicker.default, {
        ...args,
        multiple: true,
        label: "Date Range Selector",
        placeholder: "Select start - end date",
        title: "Select date range",
        closeButtonLabel: "Close",
        selectButtonLabel: "Select",
        testID: "datepicker-multiple",
        value: value,
        onChange: setValue,
        firstDayOfWeek: 1,
        format: "yyyy-MM-dd"
      })]
    }), /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
      p: "2xs",
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
        p: "2xs",
        variant: "subtitle01Bold",
        children: "Multiple Date Selection with Custom Labels"
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_DatePicker.default, {
        ...args,
        multiple: true,
        label: "Reservation Date",
        placeholder: "Select check-in - check-out date",
        title: "Select reservation date",
        closeButtonLabel: "Cancel",
        selectButtonLabel: "Confirm",
        testID: "datepicker-multiple-custom",
        value: value1,
        onChange: setValue1,
        firstDayOfWeek: 1
      })]
    })]
  });
};
exports.MultipleDateSelection = MultipleDateSelection;
const WithDisabledDates = args => {
  const [value, setValue] = _react.default.useState(null);
  const [value1, setValue1] = _react.default.useState(null);
  const [value2, setValue2] = _react.default.useState(null);
  const disabledMonths = [202501, 202502, 202506, 202507, 202512, 202601, 202606, 202610];
  const disabledYears = [2024, 2026];
  const disabledDates = ['2025-01-04', '2025-01-05', '2025-01-12', '2025-01-25', '2025-01-26', '2025-01-01', '2025-01-15'];
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
    gap: "2xs",
    children: [/*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
      p: "2xs",
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
        p: "2xs",
        variant: "subtitle01Bold",
        children: "DatePicker with Disabled Dates"
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
        p: "2xs",
        variant: "subtitle03Regular",
        color: "neutralDark",
        children: "Weekends and holidays are disabled"
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_DatePicker.default, {
        ...args,
        label: "Appointment Date",
        title: "Select Available Date",
        closeButtonLabel: "Close",
        selectButtonLabel: "Select",
        nameOfWeekdays: _constants.DEFAULT_NAME_OF_WEEKDAYS,
        nameOfMonths: _constants.DEFAULT_NAME_OF_MONTHS,
        testID: "datepicker-disabled-dates",
        value: value,
        onChange: setValue,
        placeholder: "Select available date",
        firstDayOfWeek: 1,
        disableDates: disabledDates,
        format: "yyyy-MM-dd"
      })]
    }), /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
      p: "2xs",
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
        p: "2xs",
        variant: "subtitle01Bold",
        children: "DatePicker with Disabled Months"
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
        p: "2xs",
        variant: "subtitle03Regular",
        color: "neutralDark",
        children: "Some months are disabled"
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_DatePicker.default, {
        ...args,
        label: "Month Selection",
        title: "Select Available Month",
        closeButtonLabel: "Close",
        selectButtonLabel: "Select",
        nameOfWeekdays: _constants.DEFAULT_NAME_OF_WEEKDAYS,
        nameOfMonths: _constants.DEFAULT_NAME_OF_MONTHS,
        testID: "datepicker-disabled-months",
        value: value1,
        onChange: setValue1,
        placeholder: "Select available month",
        firstDayOfWeek: 1,
        disableMonths: disabledMonths,
        format: "yyyy-MM-dd"
      })]
    }), /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
      p: "2xs",
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
        p: "2xs",
        variant: "subtitle01Bold",
        children: "DatePicker with Disabled Years"
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
        p: "2xs",
        variant: "subtitle03Regular",
        color: "neutralDark",
        children: "Some years are disabled"
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_DatePicker.default, {
        ...args,
        label: "Year Selection",
        title: "Select Available Year",
        closeButtonLabel: "Close",
        selectButtonLabel: "Select",
        nameOfWeekdays: _constants.DEFAULT_NAME_OF_WEEKDAYS,
        nameOfMonths: _constants.DEFAULT_NAME_OF_MONTHS,
        testID: "datepicker-disabled-years",
        value: value2,
        onChange: setValue2,
        placeholder: "Select available year",
        firstDayOfWeek: 1,
        disableYears: disabledYears,
        format: "yyyy-MM-dd"
      })]
    })]
  });
};
exports.WithDisabledDates = WithDisabledDates;
const WithYearRange = args => {
  const [value, setValue] = _react.default.useState(null);
  const minYear = 2024;
  const maxYear = 2026;
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
    p: "2xs",
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
      p: "2xs",
      variant: "subtitle01Bold",
      children: "DatePicker with Year Range"
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
      p: "2xs",
      variant: "subtitle03Regular",
      color: "neutralDark",
      children: "Only years 2024-2026 are selectable"
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_DatePicker.default, {
      ...args,
      label: "Event Date",
      title: "Select Event Date",
      closeButtonLabel: "Close",
      selectButtonLabel: "Select",
      nameOfWeekdays: _constants.DEFAULT_NAME_OF_WEEKDAYS,
      nameOfMonths: _constants.DEFAULT_NAME_OF_MONTHS,
      testID: "datepicker-year-range",
      value: value,
      onChange: setValue,
      placeholder: "Select event date (2024-2026)",
      firstDayOfWeek: 1,
      minYear: minYear,
      maxYear: maxYear,
      format: "dd/MM/yyyy"
    })]
  });
};
exports.WithYearRange = WithYearRange;
//# sourceMappingURL=DatePicker.stories.js.map