"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _Box = _interopRequireDefault(require("../Box/Box"));
var _Text = _interopRequireDefault(require("../Text/Text"));
var _constants = require("./constants");
var _utils = require("./utils");
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const MonthItem = /*#__PURE__*/_react.default.memo(({
  name,
  idx,
  isSelected,
  isCurrentMonth,
  onSelect,
  testID,
  isDisabled
}) => {
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.TouchableOpacity, {
    onPress: () => {
      if (isDisabled) {
        return;
      }
      onSelect(idx);
    },
    style: styles.monthItem,
    testID: `${testID}-month-${idx + 1}`,
    accessibilityLabel: `${testID}-month-${idx + 1}`,
    children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
      flex: 1,
      mb: "2xs",
      alignItems: "center",
      py: "2xs",
      borderRadius: "s",
      backgroundColor: isSelected ? 'primaryKey' : 'neutralFull',
      opacity: isDisabled ? 0.5 : 1,
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
        variant: "subtitle03Regular",
        color: isSelected ? 'white' : isCurrentMonth ? 'primaryColor' : 'contentPrimary',
        children: name
      })
    })
  }, name);
});
const MonthPicker = /*#__PURE__*/_react.default.memo(({
  context
}) => {
  const {
    calendarData,
    setCalendarData,
    setShowPickerType,
    nameOfMonths,
    firstDayOfWeek,
    testID,
    disableMonths
  } = context;
  const currentDate = new Date();
  const currentMonth = currentDate.getMonth();
  const currentYear = currentDate.getFullYear();
  const onSelect = (0, _react.useCallback)(idx => {
    setCalendarData({
      calendar: (0, _utils.createCalendar)({
        year: calendarData.year,
        month: idx,
        firstDayOfWeek
      }),
      year: calendarData.year,
      month: idx,
      nameOfMonth: nameOfMonths?.[idx]
    });
    setShowPickerType(_constants.ShowPickerType.NONE);
  }, [calendarData.year, firstDayOfWeek, nameOfMonths, setCalendarData, setShowPickerType]);
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
    children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
      flexDirection: "row",
      flexWrap: "wrap",
      justifyContent: "space-between",
      children: nameOfMonths?.map((name, idx) => {
        const isSelected = calendarData.month === idx;
        const isCurrentMonth = idx === currentMonth && calendarData.year === currentYear;
        const isDisabled = disableMonths ? disableMonths.includes(Number(`${calendarData.year}${(idx + 1).toString().padStart(2, '0')}`)) : false;
        return /*#__PURE__*/(0, _jsxRuntime.jsx)(MonthItem, {
          name: name,
          idx: idx,
          isSelected: isSelected,
          isCurrentMonth: isCurrentMonth,
          onSelect: onSelect,
          testID: testID || '',
          isDisabled: isDisabled
        }, name);
      })
    })
  });
});
MonthPicker.displayName = 'MonthPicker';
MonthItem.displayName = 'MonthItem';
var _default = exports.default = MonthPicker;
const styles = _reactNative.StyleSheet.create({
  monthItem: {
    width: '30%'
  }
});
//# sourceMappingURL=MonthPicker.js.map