"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _Box = _interopRequireDefault(require("../Box/Box"));
var _Text = _interopRequireDefault(require("../Text/Text"));
var _constants = require("./constants");
var _utils = require("./utils");
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const YearItem = /*#__PURE__*/_react.default.memo(({
  year,
  isSelected,
  isCurrentYear,
  onSelect,
  testID,
  isDisabled
}) => /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.TouchableOpacity, {
  onPress: () => {
    if (isDisabled) {
      return;
    }
    onSelect(year);
  },
  style: styles.yearItem,
  testID: `${testID}-year-${year}`,
  accessibilityLabel: `${testID}-year-${year}`,
  children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
    flex: 1,
    mb: "2xs",
    alignItems: "center",
    py: "2xs",
    borderRadius: "s",
    backgroundColor: isSelected ? 'primaryKey' : 'neutralFull',
    opacity: isDisabled ? 0.5 : 1,
    children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
      variant: "subtitle03Regular",
      color: isSelected ? 'white' : isCurrentYear ? 'primaryColor' : 'neutralDarker',
      children: year
    })
  })
}, year));
const YearPicker = /*#__PURE__*/_react.default.memo(({
  context
}) => {
  const {
    calendarData,
    setCalendarData,
    setShowPickerType,
    nameOfMonths,
    nameOfWeekdays,
    firstDayOfWeek,
    yearRange,
    testID,
    disableYears
  } = context;
  const onSelect = (0, _react.useCallback)(year => {
    const calendar = (0, _utils.createCalendar)({
      year,
      month: calendarData.month,
      nameOfMonths,
      nameOfWeekdays,
      firstDayOfWeek
    });
    setCalendarData({
      calendar,
      year,
      month: calendarData.month,
      nameOfMonth: nameOfMonths?.[calendarData.month]
    });
    setShowPickerType(_constants.ShowPickerType.NONE);
  }, [calendarData.month, nameOfMonths, nameOfWeekdays, firstDayOfWeek, setCalendarData, setShowPickerType]);
  const currentYear = new Date().getFullYear();
  const years = (0, _react.useMemo)(() => Array.from({
    length: yearRange.max - yearRange.min + 1
  }, (_, i) => yearRange.min + i), [yearRange.min, yearRange.max]);
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
    mb: "2xs",
    children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
      flexDirection: "row",
      flexWrap: "wrap",
      justifyContent: "space-between",
      children: years.map(year => {
        const isSelected = calendarData.year === year;
        const isCurrentYear = year === currentYear;
        const isDisabled = disableYears ? disableYears.includes(year) : false;
        return /*#__PURE__*/(0, _jsxRuntime.jsx)(YearItem, {
          year: year,
          isSelected: isSelected,
          isCurrentYear: isCurrentYear,
          onSelect: onSelect,
          testID: testID || '',
          isDisabled: isDisabled
        }, year);
      })
    })
  });
});
YearPicker.displayName = 'YearPicker';
YearItem.displayName = 'YearItem';
var _default = exports.default = YearPicker;
const styles = _reactNative.StyleSheet.create({
  yearItem: {
    width: '30%'
  }
});
//# sourceMappingURL=YearPicker.js.map