"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.FlagIconSizes = exports.FlagIconList = exports.Basic = void 0;
var _react = _interopRequireDefault(require("react"));
var _FlagIcon = _interopRequireDefault(require("./FlagIcon"));
var _list = require("./list");
var _Box = _interopRequireDefault(require("../Box/Box"));
var _Text = _interopRequireDefault(require("../Text/Text"));
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const sizeList = ['2xs', 'xs', 's', 'm', 'l', 'xl'];
const FlagIconMeta = {
  title: 'FlagIcon',
  component: _FlagIcon.default,
  argTypes: {
    name: {
      options: _list.flagIconList,
      control: {
        type: 'select'
      }
    },
    size: {
      options: sizeList,
      control: {
        type: 'radio'
      }
    }
  },
  args: {
    name: 'TR',
    size: 'l'
  }
};
var _default = exports.default = FlagIconMeta;
const Basic = args => /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
  children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
    p: "2xs",
    variant: "subtitle01Bold",
    children: "Flag Icon"
  }), /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
    flexDirection: "row",
    p: "2xs",
    alignItems: "center",
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_FlagIcon.default, {
      name: args.name,
      size: args.size
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
      px: "2xs",
      children: args.name
    })]
  })]
});
exports.Basic = Basic;
const FlagIconSizes = args => /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
  children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
    p: "2xs",
    variant: "subtitle01Bold",
    children: "Flag Icon Sizes"
  }), /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
    p: "2xs",
    alignSelf: "flex-start",
    children: [/*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
      flexDirection: "row",
      p: "2xs",
      alignItems: "center",
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_FlagIcon.default, {
        name: args.name,
        size: "xl"
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
        px: "2xs",
        children: "xl"
      })]
    }), /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
      flexDirection: "row",
      p: "2xs",
      alignItems: "center",
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_FlagIcon.default, {
        name: args.name,
        size: "l"
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
        px: "2xs",
        children: "l"
      })]
    }), /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
      flexDirection: "row",
      p: "2xs",
      alignItems: "center",
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_FlagIcon.default, {
        name: args.name,
        size: "m"
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
        px: "2xs",
        children: "m"
      })]
    }), /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
      flexDirection: "row",
      p: "2xs",
      alignItems: "center",
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_FlagIcon.default, {
        name: args.name,
        size: "s"
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
        px: "2xs",
        children: "s"
      })]
    }), /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
      flexDirection: "row",
      p: "2xs",
      alignItems: "center",
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_FlagIcon.default, {
        name: args.name,
        size: "xs"
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
        px: "2xs",
        children: "xs"
      })]
    }), /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
      flexDirection: "row",
      p: "2xs",
      alignItems: "center",
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_FlagIcon.default, {
        name: args.name,
        size: "2xs"
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
        px: "2xs",
        children: "2xs"
      })]
    })]
  })]
});
exports.FlagIconSizes = FlagIconSizes;
const FlagIconList = () => /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
  children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
    p: "2xs",
    variant: "subtitle01Bold",
    children: "Flag Icon List"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
    p: "2xs",
    alignSelf: "flex-start",
    children: _list.flagIconList.map(iconName => /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
      flexDirection: "row",
      p: "2xs",
      alignItems: "center",
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_FlagIcon.default, {
        name: iconName
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
        px: "2xs",
        children: iconName
      })]
    }, iconName))
  })]
});
exports.FlagIconList = FlagIconList;
//# sourceMappingURL=FlagIcon.stories.js.map