"use strict";

var _react = _interopRequireDefault(require("react"));
var _theme = _interopRequireDefault(require("../../theme"));
var _testUtils = require("../../test-utils");
var _FlagIcon = _interopRequireDefault(require("./FlagIcon"));
var _list = require("./list");
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
describe('FlagIcon', () => {
  beforeEach(() => {
    jest.spyOn(console, 'warn').mockImplementation(() => ({}));
  });
  test('should render icon correctly', () => {
    // when
    const {
      toJSON
    } = (0, _testUtils.render)(/*#__PURE__*/(0, _jsxRuntime.jsx)(_FlagIcon.default, {
      name: "TR"
    }));

    // then
    expect(toJSON()).toMatchSnapshot();
  });
  test('should render default size correctly', () => {
    // when
    const {
      getByTestId
    } = (0, _testUtils.render)(/*#__PURE__*/(0, _jsxRuntime.jsx)(_FlagIcon.default, {
      testID: "flagIcon",
      name: "TR"
    }));
    const iconComponent = getByTestId('flagIcon');

    // then
    expect(iconComponent.props.width).toBe(_theme.default.iconSizeVariants.l);
    expect(iconComponent.props.height).toBe(_theme.default.iconSizeVariants.l);
  });
  test('should render given size correctly', () => {
    // when
    const {
      getByTestId
    } = (0, _testUtils.render)(/*#__PURE__*/(0, _jsxRuntime.jsx)(_FlagIcon.default, {
      testID: "flagIcon",
      name: "TR",
      size: "2xs"
    }));
    const iconComponent = getByTestId('flagIcon');

    // then
    expect(iconComponent.props.width).toBe(_theme.default.iconSizeVariants['2xs']);
    expect(iconComponent.props.height).toBe(_theme.default.iconSizeVariants['2xs']);
  });
  test('should render iconList correctly', () => {
    // when
    const {
      getByTestId
    } = (0, _testUtils.render)(/*#__PURE__*/(0, _jsxRuntime.jsx)(_FlagIcon.default, {
      testID: "flagIcon",
      name: _list.flagIconList[6]
    }));
    const iconComponent = getByTestId('flagIcon');

    // then
    expect(iconComponent).toBeTruthy();
  });
  test('should not render icon component without name', () => {
    // when
    //@ts-ignore
    const {
      queryByTestId
    } = (0, _testUtils.render)(/*#__PURE__*/(0, _jsxRuntime.jsx)(_FlagIcon.default, {
      testID: "flagIcon"
    }));
    const iconComponent = queryByTestId('flagIcon');

    // then
    expect(iconComponent).toBeNull();
  });
});
//# sourceMappingURL=FlagIcon.test.js.map