"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.IconSizes = exports.IconList = exports.IconColors = exports.Basic = void 0;
var _react = _interopRequireDefault(require("react"));
var _Icon = _interopRequireDefault(require("./Icon"));
var _list = require("./list");
var _Box = _interopRequireDefault(require("../Box/Box"));
var _Text = _interopRequireDefault(require("../Text/Text"));
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const sizeList = ['2xs', 'xs', 's', 'm', 'l', 'xl'];
const IconMeta = {
  title: 'Icon',
  component: _Icon.default,
  argTypes: {
    name: {
      options: _list.iconList,
      control: {
        type: 'select'
      }
    },
    size: {
      options: sizeList,
      control: {
        type: 'radio'
      }
    }
  },
  args: {
    name: 'confetti',
    color: 'neutralDarker',
    size: 'l'
  }
};
var _default = exports.default = IconMeta;
const Basic = args => /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
  children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
    p: "2xs",
    variant: "subtitle01Bold",
    children: "Icon"
  }), /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
    flexDirection: "row",
    p: "2xs",
    alignItems: "center",
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Icon.default, {
      name: args.name,
      color: args.color,
      size: args.size
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
      px: "2xs",
      children: args.name
    })]
  })]
});
exports.Basic = Basic;
const IconSizes = args => /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
  children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
    p: "2xs",
    variant: "subtitle01Bold",
    children: "Icon Sizes"
  }), /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
    p: "2xs",
    alignSelf: "flex-start",
    children: [/*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
      flexDirection: "row",
      p: "2xs",
      alignItems: "center",
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Icon.default, {
        name: args.name,
        color: args.color,
        size: "xl"
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
        px: "2xs",
        children: "xl"
      })]
    }), /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
      flexDirection: "row",
      p: "2xs",
      alignItems: "center",
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Icon.default, {
        name: args.name,
        color: args.color,
        size: "l"
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
        px: "2xs",
        children: "l"
      })]
    }), /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
      flexDirection: "row",
      p: "2xs",
      alignItems: "center",
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Icon.default, {
        name: args.name,
        color: args.color,
        size: "m"
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
        px: "2xs",
        children: "m"
      })]
    }), /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
      flexDirection: "row",
      p: "2xs",
      alignItems: "center",
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Icon.default, {
        name: args.name,
        color: args.color,
        size: "s"
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
        px: "2xs",
        children: "s"
      })]
    }), /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
      flexDirection: "row",
      p: "2xs",
      alignItems: "center",
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Icon.default, {
        name: args.name,
        color: args.color,
        size: "xs"
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
        px: "2xs",
        children: "xs"
      })]
    }), /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
      flexDirection: "row",
      p: "2xs",
      alignItems: "center",
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Icon.default, {
        name: args.name,
        color: args.color,
        size: "2xs"
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
        px: "2xs",
        children: "2xs"
      })]
    })]
  })]
});
exports.IconSizes = IconSizes;
const IconColors = args => /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
  children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
    p: "2xs",
    variant: "subtitle01Bold",
    children: "Icon Colors"
  }), /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
    alignSelf: "flex-start",
    p: "2xs",
    children: [/*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
      flexDirection: "row",
      p: "2xs",
      alignItems: "center",
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Icon.default, {
        name: args.name,
        color: "neutralDarker"
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
        px: "2xs",
        children: "neutralDarker"
      })]
    }), /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
      flexDirection: "row",
      p: "2xs",
      alignItems: "center",
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Icon.default, {
        name: args.name,
        color: "red"
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
        px: "2xs",
        children: "red"
      })]
    }), /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
      flexDirection: "row",
      p: "2xs",
      alignItems: "center",
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Icon.default, {
        name: args.name,
        color: "#fcba03"
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
        px: "2xs",
        children: "#fcba03"
      })]
    })]
  })]
});
exports.IconColors = IconColors;
const IconList = args => /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
  children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
    p: "2xs",
    variant: "subtitle01Bold",
    children: "Icon List"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
    p: "2xs",
    alignSelf: "flex-start",
    children: _list.iconList.map(iconName => /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
      flexDirection: "row",
      p: "2xs",
      alignItems: "center",
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Icon.default, {
        name: iconName,
        color: args.color
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
        px: "2xs",
        children: iconName
      })]
    }, iconName))
  })]
});
exports.IconList = IconList;
//# sourceMappingURL=Icon.stories.js.map