"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _Box = _interopRequireDefault(require("../Box/Box"));
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const Image = ({
  bordered = true,
  width = 48,
  height = 72,
  source,
  testID = 'image',
  accessibilityLabel = 'image',
  borderRadius = 0,
  style,
  ...rest
}) => {
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
    width: width,
    height: height,
    borderWidth: bordered ? 1 : 0,
    borderColor: bordered ? 'neutralLighter' : 'transparent',
    testID: `${testID}-box`,
    style: {
      borderRadius
    },
    accessibilityLabel: `${accessibilityLabel}-box`,
    children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.Image, {
      style: {
        height: bordered ? height - 2 : height,
        width: bordered ? width - 2 : width,
        borderRadius: borderRadius ? borderRadius - 1 : borderRadius,
        ...style
      },
      source: source,
      testID: testID,
      accessibilityLabel: accessibilityLabel,
      ...rest
    })
  });
};
var _default = exports.default = Image;
//# sourceMappingURL=Image.js.map