"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.Sizes = exports.Cases = exports.Basic = void 0;
var _react = _interopRequireWildcard(require("react"));
var _Text = _interopRequireDefault(require("../Text/Text"));
var _Input = _interopRequireDefault(require("./Input"));
var _Box = _interopRequireDefault(require("../Box/Box"));
var _Button = _interopRequireDefault(require("../Button/Button"));
var _list = require("../Icon/list");
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const sizeList = ['small', 'medium', 'large'];
const InputMeta = {
  title: 'Input',
  component: _Input.default,
  argTypes: {
    size: {
      options: sizeList,
      control: {
        type: 'radio'
      }
    },
    icon: {
      options: _list.iconList,
      control: {
        type: 'select'
      }
    }
  },
  args: {
    size: 'large',
    label: 'Label',
    subLabel: '',
    placeholder: 'Placeholder Text',
    labelFixed: false,
    required: false,
    secureTextEntry: false,
    helpText: 'Help Text',
    error: false,
    success: false,
    disabled: false,
    errorText: 'Error Text',
    successText: 'Success Text',
    icon: 'confetti',
    leadingText: '',
    trailingText: ''
  }
};
var _default = exports.default = InputMeta;
const Basic = args => /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
  px: '2xs',
  children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
    py: '2xs',
    variant: "subtitle01Bold",
    children: "Input"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Input.default, {
    ...args
  })]
});
exports.Basic = Basic;
const Cases = args => {
  const [state, setState] = (0, _react.useState)(args);
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
    px: '2xs',
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
      py: '2xs',
      variant: "subtitle01Bold",
      children: "Input Cases"
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Input.default, {
      ...args,
      success: false,
      error: false,
      required: false,
      helpText: null,
      icon: null,
      disabled: true
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Input.default, {
      ...args,
      success: false,
      error: false,
      required: true,
      helpText: null,
      icon: "calendar",
      label: null
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Input.default, {
      ...args,
      subLabel: '(Optional)',
      labelFixed: true,
      icon: null,
      size: "large",
      helpText: null
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Input.default, {
      ...args,
      subLabel: '(Optional)',
      icon: null,
      size: "large",
      helpText: null
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Input.default, {
      ...args,
      labelFixed: false,
      success: false,
      error: false,
      icon: null,
      size: "large",
      helpText: null
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Input.default, {
      ...args,
      labelFixed: false,
      success: false,
      error: false,
      icon: null,
      size: "medium",
      helpText: null
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Input.default, {
      ...args,
      labelFixed: false,
      success: false,
      error: false,
      icon: null,
      size: "small",
      helpText: null
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Input.default, {
      ...state
    }), /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
      flexDirection: "row",
      mb: "m",
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Button.default, {
        flex: 1,
        kind: "danger",
        variant: "secondary",
        size: "s",
        onPress: () => setState({
          ...state,
          error: true,
          errorText: null,
          success: false
        }),
        label: "Toggle Error",
        filled: true,
        mr: "2xs"
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Button.default, {
        flex: 1,
        size: "s",
        kind: "success",
        variant: "secondary",
        onPress: () => setState({
          ...state,
          success: true,
          successText: null,
          error: false
        }),
        label: "Toggle Success",
        filled: true,
        ml: "2xs"
      })]
    }), /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
      flexDirection: "row",
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Button.default, {
        flex: 1,
        size: "s",
        kind: "danger",
        variant: "secondary",
        onPress: () => setState({
          ...state,
          error: true,
          errorText: 'Error text',
          success: false
        }),
        label: "Error with Text",
        filled: true,
        mr: "2xs"
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Button.default, {
        flex: 1,
        size: "s",
        kind: "success",
        variant: "secondary",
        onPress: () => setState({
          ...state,
          success: true,
          successText: 'Success text',
          error: false
        }),
        label: "Success with Text",
        filled: true,
        ml: "2xs"
      })]
    })]
  });
};
exports.Cases = Cases;
const Sizes = () => /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
  px: '2xs',
  children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
    py: '2xs',
    variant: "subtitle01Bold",
    children: "Input Sizes"
  }), /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
    py: 'xs',
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Input.default, {
      size: "large",
      label: "Label",
      placeholder: "Large"
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Input.default, {
      size: "large",
      label: "Label",
      placeholder: "Large",
      labelFixed: true
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Input.default, {
      size: "large",
      placeholder: "Large"
    })]
  }), /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
    py: 'xs',
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Input.default, {
      size: "medium",
      label: "Label",
      placeholder: "Medium"
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Input.default, {
      size: "medium",
      label: "Label",
      placeholder: "Medium",
      labelFixed: true
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Input.default, {
      size: "medium",
      placeholder: "Medium"
    })]
  }), /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
    py: 'xs',
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Input.default, {
      size: "small",
      label: "Label",
      placeholder: "Small"
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Input.default, {
      size: "small",
      label: "Label",
      placeholder: "Small",
      labelFixed: true
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Input.default, {
      size: "small",
      placeholder: "Small"
    })]
  })]
});
exports.Sizes = Sizes;
//# sourceMappingURL=Input.stories.js.map