"use strict";

var _react = _interopRequireDefault(require("react"));
var _testUtils = require("../../test-utils");
var _InputHelpText = require("./InputHelpText");
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
describe('Input Help Text', () => {
  let helpText;
  let errorText;
  let successText;
  let errorState;
  let successState;
  test('should render help text correctly', () => {
    // given
    helpText = 'help text';
    errorText = 'error text';
    successText = 'success text';
    errorState = false;
    successState = false;

    // when
    const {
      toJSON
    } = (0, _testUtils.render)(/*#__PURE__*/(0, _jsxRuntime.jsx)(_InputHelpText.InputHelpText, {
      helpText: helpText,
      successState: successState,
      errorState: errorState,
      errorText: errorText,
      successText: successText
    }));

    // then
    expect(toJSON()).toMatchSnapshot();
  });
  test('should render null when not has help text, error text and success text', () => {
    // given
    helpText = null;
    errorText = null;
    successText = null;
    errorState = false;
    successState = false;

    // when
    const {
      toJSON
    } = (0, _testUtils.render)(/*#__PURE__*/(0, _jsxRuntime.jsx)(_InputHelpText.InputHelpText, {
      helpText: helpText,
      successState: successState,
      errorState: errorState,
      errorText: errorText,
      successText: successText
    }));

    // then
    expect(toJSON()).toMatchSnapshot();
  });
  test('should render null when not has help text', () => {
    // given
    helpText = '';
    errorText = 'error text';
    successText = 'success text';
    errorState = false;
    successState = false;

    // when
    const {
      toJSON
    } = (0, _testUtils.render)(/*#__PURE__*/(0, _jsxRuntime.jsx)(_InputHelpText.InputHelpText, {
      helpText: helpText,
      successState: successState,
      errorState: errorState,
      errorText: errorText,
      successText: successText
    }));

    // then
    expect(toJSON()).toMatchSnapshot();
  });
});
//# sourceMappingURL=InputHelpText.test.js.map