"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.InputIcon = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _Icon = _interopRequireDefault(require("../Icon/Icon"));
var _utils = require("./utils");
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const InputIcon = exports.InputIcon = /*#__PURE__*/_react.default.memo(({
  secureTextEntry,
  icon,
  variantIconName,
  focused,
  successState,
  errorState,
  passwordVisibilityIcon,
  handlePasswordVisibility
}) => {
  if (secureTextEntry) {
    return /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.Pressable, {
      testID: "password-visibility-button",
      onPress: handlePasswordVisibility,
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Icon.default, {
        name: passwordVisibilityIcon,
        size: "s",
        color: "neutralLight",
        testID: "secure-input-icon"
      })
    });
  }
  const iconColor = (0, _utils.getIconColor)({
    focused,
    errorState,
    successState
  });
  if (!icon && !variantIconName) {
    return null;
  }
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_Icon.default, {
    name: variantIconName ?? icon,
    size: "s",
    color: iconColor,
    testID: "input-icon"
  });
});
//# sourceMappingURL=InputIcon.js.map