"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.InputLabel = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _Box = _interopRequireDefault(require("../Box/Box"));
var _Text = _interopRequireDefault(require("../Text/Text"));
var _utils = require("./utils");
var _theme = _interopRequireDefault(require("../../theme"));
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const isRTL = _reactNative.I18nManager.isRTL;
const InputLabel = exports.InputLabel = /*#__PURE__*/_react.default.memo(({
  label,
  subLabel,
  labelFixed,
  errorState,
  successState,
  animatedViewProps,
  animatedTextProps,
  inputHeight,
  required
}) => {
  if (!label) {
    return null;
  }
  const contentSecondaryColor = (0, _utils.getLabelColor)({
    errorState,
    successState
  });
  const RenderFixedLabel = () => {
    return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
      flexDirection: "row",
      mb: "3xs",
      testID: "fixed-label-box",
      children: [/*#__PURE__*/(0, _jsxRuntime.jsxs)(_Text.default, {
        variant: "subtitle04Medium",
        color: contentSecondaryColor,
        testID: "fixed-label",
        children: [label, required && /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
          variant: "subtitle04Medium",
          color: "dangerKey",
          children: "*"
        })]
      }), subLabel ? /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
        testID: "subLabel",
        ml: "4xs",
        variant: "subtitle04Regular",
        color: "neutralLight",
        children: subLabel
      }) : null]
    });
  };
  const RenderOutlinedLabel = () => {
    return /*#__PURE__*/(0, _jsxRuntime.jsx)(_jsxRuntime.Fragment, {
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.Animated.View, {
        ...animatedViewProps,
        pointerEvents: "none",
        children: /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
          flexDirection: "row",
          height: inputHeight + 6,
          testID: "outlined-label-box",
          children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.Animated.Text, {
            ...animatedTextProps,
            children: isRTL ? `${subLabel ?? ''}${label}` : `${label}${subLabel ?? ''}`
          }), required && /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.Animated.Text, {
            style: [animatedTextProps.style, {
              color: _theme.default.colors.dangerKey
            }],
            children: "*"
          })]
        })
      })
    });
  };
  return labelFixed ? /*#__PURE__*/(0, _jsxRuntime.jsx)(RenderFixedLabel, {}) : /*#__PURE__*/(0, _jsxRuntime.jsx)(RenderOutlinedLabel, {});
});
//# sourceMappingURL=InputLabel.js.map