"use strict";

var _react = _interopRequireDefault(require("react"));
var _testUtils = require("../../test-utils");
var _InputLabel = require("./InputLabel");
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
describe('Input Label', () => {
  let label;
  let labelFixed;
  let errorState;
  let successState;
  let animatedViewProps;
  let animatedTextProps;
  let inputHeight;
  beforeEach(() => {
    label = 'Label';
    labelFixed = false;
    errorState = false;
    successState = false;
    animatedViewProps = {};
    animatedTextProps = {};
    inputHeight = 48;
  });
  test('should render null when not has a label', () => {
    // given
    label = null;

    // when
    const {
      toJSON
    } = (0, _testUtils.render)(/*#__PURE__*/(0, _jsxRuntime.jsx)(_InputLabel.InputLabel, {
      label: label,
      labelFixed: labelFixed,
      errorState: errorState,
      successState: successState,
      animatedViewProps: animatedViewProps,
      animatedTextProps: animatedTextProps,
      inputHeight: inputHeight
    }));

    // then
    expect(toJSON()).toMatchSnapshot();
  });
  test('should render outlined label correctly', () => {
    // when
    const {
      toJSON
    } = (0, _testUtils.render)(/*#__PURE__*/(0, _jsxRuntime.jsx)(_InputLabel.InputLabel, {
      label: label,
      labelFixed: labelFixed,
      errorState: errorState,
      successState: successState,
      animatedViewProps: animatedViewProps,
      animatedTextProps: animatedTextProps,
      inputHeight: inputHeight
    }));

    // then
    expect(toJSON()).toMatchSnapshot();
  });
  test('should render outlined label with optional correctly', () => {
    // when
    const {
      toJSON
    } = (0, _testUtils.render)(/*#__PURE__*/(0, _jsxRuntime.jsx)(_InputLabel.InputLabel, {
      label: label,
      labelFixed: labelFixed,
      errorState: errorState,
      successState: successState,
      animatedViewProps: animatedViewProps,
      animatedTextProps: animatedTextProps,
      inputHeight: inputHeight
    }));

    // then
    expect(toJSON()).toMatchSnapshot();
  });
  test('should render fixed label correctly', () => {
    // given
    labelFixed = true;

    // when
    const {
      toJSON
    } = (0, _testUtils.render)(/*#__PURE__*/(0, _jsxRuntime.jsx)(_InputLabel.InputLabel, {
      label: label,
      labelFixed: labelFixed,
      errorState: errorState,
      successState: successState,
      animatedViewProps: animatedViewProps,
      animatedTextProps: animatedTextProps,
      inputHeight: inputHeight
    }));

    // then
    expect(toJSON()).toMatchSnapshot();
  });
  test('should render fixed label with optional correctly', () => {
    // given
    labelFixed = true;

    // when
    const {
      toJSON
    } = (0, _testUtils.render)(/*#__PURE__*/(0, _jsxRuntime.jsx)(_InputLabel.InputLabel, {
      label: label,
      labelFixed: labelFixed,
      errorState: errorState,
      successState: successState,
      animatedViewProps: animatedViewProps,
      animatedTextProps: animatedTextProps,
      inputHeight: inputHeight
    }));

    // then
    expect(toJSON()).toMatchSnapshot();
  });
});
//# sourceMappingURL=InputLabel.test.js.map