"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getTextColor = exports.getPlaceholderText = exports.getLabelColor = exports.getIconColor = exports.getHelpText = exports.getBorderColor = void 0;
const getPlaceholderText = ({
  label,
  subLabel,
  labelFixed,
  placeholder,
  value,
  focused
}) => {
  if (label && placeholder) {
    if (labelFixed) {
      return placeholder;
    }
    if (!value && !focused) {
      return '';
    }
    if (value && focused) {
      return '';
    } else {
      return placeholder;
    }
  }
  if (!label && placeholder) {
    if (subLabel) {
      return `${placeholder} ${subLabel}`;
    } else {
      return placeholder;
    }
  }
  if (label && !placeholder) {
    return '';
  }
  return '';
};
exports.getPlaceholderText = getPlaceholderText;
const getHelpText = ({
  helpText,
  errorText,
  successText,
  errorState,
  successState
}) => {
  if (successState) {
    if (successText) {
      return successText;
    } else {
      return helpText;
    }
  }
  if (errorState) {
    if (errorText) {
      return errorText;
    } else {
      return helpText;
    }
  }
  return helpText;
};
exports.getHelpText = getHelpText;
const getLabelColor = ({
  successState,
  errorState
}) => {
  return successState ? 'successKey' : errorState ? 'dangerKey' : 'neutralDark';
};
exports.getLabelColor = getLabelColor;
const getTextColor = ({
  successState,
  errorState
}) => {
  return successState ? 'successKey' : errorState ? 'dangerKey' : 'neutralLight';
};
exports.getTextColor = getTextColor;
const getBorderColor = ({
  focused,
  successState,
  errorState
}) => {
  return focused ? 'primaryKey' : successState ? 'successKey' : errorState ? 'dangerKey' : 'neutralLighter';
};
exports.getBorderColor = getBorderColor;
const getIconColor = ({
  focused,
  successState,
  errorState
}) => {
  return focused ? 'primaryKey' : successState ? 'successKey' : errorState ? 'dangerKey' : 'neutralLight';
};
exports.getIconColor = getIconColor;
//# sourceMappingURL=utils.js.map