"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.Basic = void 0;
var _react = _interopRequireDefault(require("react"));
var _Box = _interopRequireDefault(require("../Box/Box"));
var _Button = _interopRequireDefault(require("../Button/Button"));
var _Text = _interopRequireDefault(require("../Text/Text"));
var _Modal = _interopRequireDefault(require("./Modal"));
var _Image = _interopRequireDefault(require("../Image/Image"));
var _reactNative = require("react-native");
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const ModalMeta = {
  title: 'Modal',
  component: _Modal.default,
  parameters: {
    isFullScreen: true,
    layout: 'centered',
    showPanel: false
  }
};
var _default = exports.default = ModalMeta;
const Basic = () => {
  const dims = (0, _reactNative.useWindowDimensions)();
  const [modal1, showModal1] = _react.default.useState(false);
  const [modal2, showModal2] = _react.default.useState(false);
  const [modal3, showModal3] = _react.default.useState(false);
  const [modal4, showModal4] = _react.default.useState(false);
  const [modal5, showModal5] = _react.default.useState(false);
  const [modal6, showModal6] = _react.default.useState(false);
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
    children: [/*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
      borderRadius: "l",
      p: "m",
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
        variant: "subtitle1Bold",
        mb: "l",
        children: "Modal Examples"
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Button.default, {
        mb: "m",
        filled: true,
        label: "Basic",
        onPress: () => showModal1(true)
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Button.default, {
        mb: "m",
        filled: true,
        label: "Non-Closable",
        onPress: () => showModal2(true)
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Button.default, {
        mb: "m",
        filled: true,
        label: "Actions Button",
        onPress: () => showModal3(true)
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Button.default, {
        mb: "m",
        filled: true,
        label: "Long Content",
        onPress: () => showModal4(true)
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Button.default, {
        mb: "m",
        filled: true,
        label: "Bottom Sticky",
        onPress: () => showModal5(true)
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Button.default, {
        mb: "m",
        filled: true,
        label: "Image Content",
        onPress: () => showModal6(true)
      })]
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Modal.default, {
      modalKey: "basic",
      visible: modal1,
      closable: true,
      title: "Lorem ipsum dolor",
      closeButtonAction: () => showModal1(false),
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
        children: "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Facilisi arcu accumsan nunc massa. Viverra id arcu convallis facilisi urna proin in. Sit sed velit elementum mattis laoreet nulla vitae at. Aenean justo nibh enim imperdiet commodo varius eleifend nec vel. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Facilisi arcu accumsan nunc massa."
      })
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Modal.default, {
      modalKey: "non-closable",
      visible: modal2,
      closable: false,
      title: "Lorem ipsum dolor",
      closeButtonAction: () => showModal2(false),
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
        children: "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Facilisi arcu accumsan nunc massa. Viverra id arcu convallis facilisi urna proin in. Sit sed velit elementum mattis laoreet nulla vitae at. Aenean justo nibh enim imperdiet commodo varius eleifend nec vel. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Facilisi arcu accumsan nunc massa."
      })
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Modal.default, {
      modalKey: "with-action",
      visible: modal3,
      closable: true,
      title: "Lorem ipsum dolor",
      closeButtonAction: () => showModal3(false),
      actionButtonProps: {
        label: 'Primary Action',
        onPress: () => {}
      },
      secondActionButtonProps: {
        label: 'Secondary Action',
        onPress: () => {}
      },
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
        children: "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Facilisi arcu accumsan nunc massa. Viverra id arcu convallis facilisi urna proin in. Sit sed velit elementum mattis laoreet nulla vitae at. Aenean justo nibh enim imperdiet commodo varius eleifend nec vel. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Facilisi arcu accumsan nunc massa."
      })
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Modal.default, {
      modalKey: "long-content",
      visible: modal4,
      closable: true,
      title: "Lorem ipsum dolor",
      closeButtonAction: () => showModal4(false),
      actionButtonProps: {
        label: 'Primary Action',
        onPress: () => {}
      },
      secondActionButtonProps: {
        label: 'Secondary Action',
        onPress: () => {}
      },
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
        children: "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Facilisi arcu accumsan nunc massa. Viverra id arcu convallis facilisi urna proin in. Sit sed velit elementum mattis laoreet nulla vitae at. Aenean justo nibh enim imperdiet commodo varius eleifend nec vel. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Facilisi arcu accumsan nunc massa. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Facilisi arcu accumsan nunc massa. Viverra id arcu convallis facilisi urna proin in. Sit sed velit elementum mattis laoreet nulla vitae at. Aenean justo nibh enim imperdiet commodo varius eleifend nec vel. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Facilisi arcu accumsan nunc massa. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Facilisi arcu accumsan nunc massa. Viverra id arcu convallis facilisi urna proin in. Sit sed velit elementum mattis laoreet nulla vitae at. Aenean justo nibh enim imperdiet commodo varius eleifend nec vel. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Facilisi arcu accumsan nunc massa. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Facilisi arcu accumsan nunc massa. Viverra id arcu convallis facilisi urna proin in. Sit sed velit elementum mattis laoreet nulla vitae at. Aenean justo nibh enim imperdiet commodo varius eleifend nec vel. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Facilisi arcu accumsan nunc massa. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Facilisi arcu accumsan nunc massa. Viverra id arcu convallis facilisi urna proin in. Sit sed velit elementum mattis laoreet nulla vitae at. Aenean justo nibh enim imperdiet commodo varius eleifend nec vel. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Facilisi arcu accumsan nunc massa."
      })
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Modal.default, {
      modalKey: "bottom",
      visible: modal5,
      closable: true,
      justifyContent: "flex-end",
      title: "Lorem ipsum dolor",
      closeButtonAction: () => showModal5(false),
      actionButtonProps: {
        label: 'Primary Action',
        onPress: () => {}
      },
      secondActionButtonProps: {
        label: 'Secondary Action',
        onPress: () => {}
      },
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
        children: "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Facilisi arcu accumsan nunc massa. Viverra id arcu convallis facilisi urna proin in. Sit sed velit elementum mattis laoreet nulla vitae at. Aenean justo nibh enim imperdiet commodo varius eleifend nec vel. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Facilisi arcu accumsan nunc massa."
      })
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Modal.default, {
      modalKey: "image-content",
      visible: modal6,
      closable: true,
      title: "Image Preview",
      closeButtonAction: () => showModal6(false),
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
        alignItems: "center",
        children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Image.default, {
          height: dims.height * 0.6,
          width: dims.width - 72,
          resizeMode: "cover",
          borderRadius: 8,
          source: {
            uri: 'https://cdn.dsmcdn.com/ty1006/product/media/images/prod/PIM/20230927/18/a885ced6-7ac8-4ccf-8b58-108db99ed477/1_org_zoom.jpg'
          }
        })
      })
    })]
  });
};
exports.Basic = Basic;
//# sourceMappingURL=Modal.stories.js.map