"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _restyle = require("@ergenekonyigit/restyle");
var _reactNative = require("react-native");
var _Box = _interopRequireDefault(require("../Box/Box"));
var _Text = _interopRequireDefault(require("../Text/Text"));
var _FlagIcon = _interopRequireDefault(require("../FlagIcon/FlagIcon"));
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const variant = (0, _restyle.createVariant)({
  themeKey: 'radioButtonVariants'
});
const Selectbox = (0, _restyle.createRestyleComponent)([variant], _Box.default);
const RadioButtonContainer = (0, _restyle.createRestyleComponent)([_restyle.layout, _restyle.spacing, _restyle.spacingShorthand], _reactNative.TouchableOpacity);
const RadioButton = ({
  selected,
  label,
  disabled = false,
  flagIcon,
  onPress,
  ...rest
}) => {
  const selectedBox = _react.default.useMemo(() => {
    if (!selected) {
      return null;
    }
    return /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
      testID: "bullet",
      borderRadius: "full",
      width: 8,
      height: 8,
      backgroundColor: disabled ? 'neutralLighter' : 'neutralFull'
    });
  }, [disabled, selected]);
  const selectVariant = _react.default.useMemo(() => {
    if (selected) {
      return disabled ? 'disabledSelected' : 'selected';
    } else {
      return disabled ? 'disabledUnselected' : 'unselected';
    }
  }, [selected, disabled]);
  const selectLabelColor = _react.default.useMemo(() => {
    if (disabled) {
      return 'neutralLighter';
    } else {
      return selected ? 'primaryKey' : 'neutralDarker';
    }
  }, [selected, disabled]);
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(RadioButtonContainer, {
    flexDirection: "row",
    alignSelf: "flex-start",
    disabled: disabled,
    onPress: onPress,
    ...rest,
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(Selectbox, {
      testID: "selectbox",
      variant: selectVariant,
      children: selectedBox
    }), flagIcon ? /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
      marginLeft: "2xs",
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_FlagIcon.default, {
        size: "s",
        name: flagIcon,
        color: disabled ? 'neutralLight' : selected ? 'primaryKey' : 'neutralDarker',
        testID: "flag-icon"
      })
    }) : null, label ? /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
      testID: "label",
      marginLeft: "2xs",
      color: selectLabelColor,
      children: label
    }) : null]
  });
};
var _default = exports.default = RadioButton;
//# sourceMappingURL=RadioButton.js.map