"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.RadioButtonWithFlagIcon = exports.Cases = exports.Basic = void 0;
var _react = _interopRequireDefault(require("react"));
var _Box = _interopRequireDefault(require("../Box/Box"));
var _Text = _interopRequireDefault(require("../Text/Text"));
var _RadioButton = _interopRequireDefault(require("./RadioButton"));
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const RadioButtonMeta = {
  title: 'RadioButton',
  component: _RadioButton.default,
  argTypes: {
    onPress: {
      action: 'pressed the button'
    }
  },
  args: {
    selected: true,
    disabled: false
  }
};
var _default = exports.default = RadioButtonMeta;
const Basic = args => {
  const [selected, setSelected] = _react.default.useState(false);
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
      p: "2xs",
      variant: "subtitle01Bold",
      children: "RadioButton"
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_RadioButton.default, {
      ...args,
      onPress: () => setSelected(true),
      selected: selected,
      label: "lorem ipsum",
      m: "2xs"
    })]
  });
};
exports.Basic = Basic;
const Cases = () => {
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
      p: "2xs",
      variant: "subtitle01Bold",
      children: "RadioButton"
    }), /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
      px: "m",
      py: "2xs",
      flexDirection: "row",
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_RadioButton.default, {
        selected: false
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
        width: 8
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_RadioButton.default, {
        selected: true
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
        width: 8
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_RadioButton.default, {
        disabled: true,
        selected: false
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
        width: 8
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_RadioButton.default, {
        disabled: true,
        selected: true
      })]
    }), /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
      px: "m",
      py: "2xs",
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
        height: 12
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_RadioButton.default, {
        selected: false,
        label: "selected: false"
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
        height: 12
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_RadioButton.default, {
        selected: true,
        label: "selected: true"
      })]
    }), /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
      px: "m",
      py: "xs",
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
        py: "xs",
        variant: "subtitle02Medium",
        children: "Disable:"
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_RadioButton.default, {
        disabled: true,
        selected: false,
        label: "disabled, selected: false"
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
        height: 12
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_RadioButton.default, {
        disabled: true,
        selected: true,
        label: "disabled, selected: true"
      })]
    }), /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
      px: "m",
      py: "xs",
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
        py: "xs",
        variant: "subtitle02Medium",
        children: "Alignment:"
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_RadioButton.default, {
        selected: false,
        label: "Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua."
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
        height: 12
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_RadioButton.default, {
        selected: false,
        alignItems: "center",
        label: "Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua."
      })]
    })]
  });
};
exports.Cases = Cases;
const RadioButtonWithFlagIcon = () => {
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
      p: "2xs",
      variant: "subtitle01Bold",
      children: "Radio Button With Flag Icon"
    }), /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
      px: "m",
      py: "2xs",
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
        height: 12
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_RadioButton.default, {
        selected: false,
        label: "selected: false, flagIcon: TR",
        flagIcon: "TR"
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
        height: 12
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_RadioButton.default, {
        selected: true,
        label: "selected: true, flagIcon: DE",
        flagIcon: "DE"
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
        height: 12
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_RadioButton.default, {
        disabled: true,
        selected: false,
        label: "selected: false, disabled, flagIcon: GR",
        flagIcon: "GR"
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
        height: 12
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_RadioButton.default, {
        disabled: true,
        selected: true,
        label: "selected: true, disabled, flagIcon: RO",
        flagIcon: "RO"
      })]
    })]
  });
};
exports.RadioButtonWithFlagIcon = RadioButtonWithFlagIcon;
//# sourceMappingURL=RadioButton.stories.js.map