"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.Sizes = exports.SingleSelect = exports.DisplaySelected = exports.Cases = exports.Basic = void 0;
var _react = _interopRequireWildcard(require("react"));
var _Select = _interopRequireDefault(require("./Select"));
var _Text = _interopRequireDefault(require("../Text/Text"));
var _Box = _interopRequireDefault(require("../Box/Box"));
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const sizeList = ['small', 'medium', 'large'];
const SelectMeta = {
  title: 'Select',
  component: _Select.default,
  argTypes: {
    size: {
      options: sizeList,
      control: {
        type: 'radio'
      }
    }
  },
  args: {
    size: 'large',
    label: 'Label',
    placeholder: 'Select item',
    helpText: 'Helper text',
    errorText: 'Error text',
    successText: 'Success text',
    labelFixed: true,
    error: false,
    success: false,
    disabled: false,
    options: [{
      id: '1',
      label: 'Option 1 '
    }, {
      id: '2',
      label: 'Option 2'
    }, {
      id: '3',
      label: 'Option 3'
    }, {
      id: '4',
      label: 'Option 4'
    }, {
      id: '5',
      label: 'Option 5'
    }],
    multiple: true,
    bottomSheetTitle: 'Options',
    closeButtonLabel: 'Cancel',
    selectButtonLabel: 'Select'
  }
};
var _default = exports.default = SelectMeta;
const Basic = args => /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
  borderRadius: "l",
  p: "m",
  children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
    variant: "subtitle1Bold",
    mb: "l",
    children: "Select"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Select.default, {
    ...args
  })]
});
exports.Basic = Basic;
const Cases = () => {
  const options = [{
    id: '1',
    label: 'Option 1'
  }, {
    id: '2',
    label: 'Option 2'
  }, {
    id: '3',
    label: 'Option 3'
  }, {
    id: '4',
    label: 'Option 4'
  }, {
    id: '5',
    label: 'Option 5'
  }];
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
    px: '2xs',
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
      py: '2xs',
      variant: "subtitle01Bold",
      children: "Select Cases"
    }), /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
      py: 'xs',
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Select.default, {
        label: "Inline Label",
        placeholder: "Inline Label",
        options: options,
        bottomSheetTitle: "Options",
        closeButtonLabel: "Cancel",
        selectButtonLabel: "Select"
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Select.default, {
        label: "Label Fixed",
        placeholder: "Label Fixed",
        labelFixed: true,
        options: options,
        bottomSheetTitle: "Options",
        closeButtonLabel: "Cancel",
        selectButtonLabel: "Select"
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Select.default, {
        placeholder: "Label False",
        options: options,
        bottomSheetTitle: "Options",
        closeButtonLabel: "Cancel",
        selectButtonLabel: "Select"
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Select.default, {
        placeholder: "Disable",
        labelFixed: true,
        options: options,
        disabled: true
      })]
    }), /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
      py: 'l',
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Select.default, {
        label: "Label",
        placeholder: "Required",
        labelFixed: true,
        options: options,
        bottomSheetTitle: "Options",
        closeButtonLabel: "Cancel",
        selectButtonLabel: "Select",
        required: true
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Select.default, {
        label: "Label",
        placeholder: "Optional",
        options: options,
        bottomSheetTitle: "Options",
        closeButtonLabel: "Cancel",
        selectButtonLabel: "Select",
        subLabel: ' (Optional)'
      })]
    }), /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
      py: 'l',
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Select.default, {
        label: "Label",
        placeholder: "Helper text",
        labelFixed: true,
        options: options,
        bottomSheetTitle: "Options",
        closeButtonLabel: "Cancel",
        selectButtonLabel: "Select",
        helpText: "Helper text"
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Select.default, {
        label: "Label",
        placeholder: "Success",
        labelFixed: true,
        options: options,
        bottomSheetTitle: "Options",
        closeButtonLabel: "Cancel",
        selectButtonLabel: "Select",
        success: true,
        successText: "Success text"
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Select.default, {
        label: "Label",
        placeholder: "Error",
        labelFixed: true,
        options: options,
        bottomSheetTitle: "Options",
        closeButtonLabel: "Cancel",
        selectButtonLabel: "Select",
        error: true,
        errorText: "Error text"
      })]
    })]
  });
};
exports.Cases = Cases;
const DisplaySelected = args => {
  const [selectedMultiple, setSelectedMultiple] = (0, _react.useState)([]);
  const handleMultiSelect = selected => {
    setSelectedMultiple(selected);
  };
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
    px: '2xs',
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Select.default, {
      ...args,
      label: "Label",
      placeholder: "Multi Select",
      selectedOptions: selectedMultiple,
      onSelect: handleMultiSelect
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
      py: 's',
      children: /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Text.default, {
        children: ["Selected values: ", selectedMultiple.join(', ') || 'None']
      })
    })]
  });
};
exports.DisplaySelected = DisplaySelected;
const SingleSelect = () => {
  const options = [{
    id: '1',
    label: 'Option 1'
  }, {
    id: '2',
    label: 'Option 2'
  }, {
    id: '3',
    label: 'Option 3'
  }, {
    id: '4',
    label: 'Option 4'
  }, {
    id: '5',
    label: 'Option 5'
  }];
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
    px: '2xs',
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
      py: '2xs',
      variant: "subtitle01Bold",
      children: "Single Select"
    }), /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
      py: 'xs',
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Select.default, {
        multiple: false,
        label: "Inline Label",
        placeholder: "Inline Label",
        options: options,
        bottomSheetTitle: "Options",
        closeButtonLabel: "Cancel",
        selectButtonLabel: "Select"
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Select.default, {
        multiple: false,
        label: "Label Fixed",
        placeholder: "Label Fixed",
        labelFixed: true,
        options: options,
        bottomSheetTitle: "Options",
        closeButtonLabel: "Cancel",
        selectButtonLabel: "Select"
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Select.default, {
        multiple: false,
        placeholder: "Label False",
        options: options,
        bottomSheetTitle: "Options",
        closeButtonLabel: "Cancel",
        selectButtonLabel: "Select"
      })]
    })]
  });
};
exports.SingleSelect = SingleSelect;
const Sizes = () => {
  const options = [{
    id: '1',
    label: 'Option 1'
  }, {
    id: '2',
    label: 'Option 2'
  }, {
    id: '3',
    label: 'Option 3'
  }, {
    id: '4',
    label: 'Option 4'
  }, {
    id: '5',
    label: 'Option 5'
  }];
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
    px: '2xs',
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
      py: '2xs',
      variant: "subtitle01Bold",
      children: "Select Sizes"
    }), /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
      py: 'xs',
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Select.default, {
        size: "large",
        label: "Label",
        placeholder: "Large",
        options: options,
        bottomSheetTitle: "Options",
        closeButtonLabel: "Cancel",
        selectButtonLabel: "Select"
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Select.default, {
        size: "large",
        label: "Label",
        placeholder: "Large",
        labelFixed: true,
        options: options,
        bottomSheetTitle: "Options",
        closeButtonLabel: "Cancel",
        selectButtonLabel: "Select"
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Select.default, {
        size: "large",
        placeholder: "Large",
        options: options,
        bottomSheetTitle: "Options",
        closeButtonLabel: "Cancel",
        selectButtonLabel: "Select"
      })]
    }), /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
      py: 'xl',
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Select.default, {
        size: "medium",
        label: "Label",
        placeholder: "Medium",
        options: options,
        bottomSheetTitle: "Options",
        closeButtonLabel: "Cancel",
        selectButtonLabel: "Select"
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Select.default, {
        size: "medium",
        label: "Label",
        placeholder: "Medium",
        labelFixed: true,
        options: options,
        bottomSheetTitle: "Options",
        closeButtonLabel: "Cancel",
        selectButtonLabel: "Select"
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Select.default, {
        size: "medium",
        placeholder: "Medium",
        options: options,
        bottomSheetTitle: "Options",
        closeButtonLabel: "Cancel",
        selectButtonLabel: "Select"
      })]
    }), /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
      py: 'xl',
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Select.default, {
        size: "small",
        label: "Label",
        placeholder: "Small",
        options: options,
        bottomSheetTitle: "Options",
        closeButtonLabel: "Cancel",
        selectButtonLabel: "Select"
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Select.default, {
        size: "small",
        label: "Label",
        placeholder: "Small",
        labelFixed: true,
        options: options,
        bottomSheetTitle: "Options",
        closeButtonLabel: "Cancel",
        selectButtonLabel: "Select"
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Select.default, {
        size: "small",
        placeholder: "Small",
        options: options,
        bottomSheetTitle: "Options",
        closeButtonLabel: "Cancel",
        selectButtonLabel: "Select"
      })]
    })]
  });
};
exports.Sizes = Sizes;
//# sourceMappingURL=Select.stories.js.map