"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.RadioButton = exports.Checkbox = exports.Basic = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _SelectBottomSheet = _interopRequireDefault(require("./SelectBottomSheet"));
var _Text = _interopRequireDefault(require("../Text/Text"));
var _Button = _interopRequireDefault(require("../Button/Button"));
var _Box = _interopRequireDefault(require("../Box/Box"));
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const typeList = ['checkbox', 'radio'];
const SelectBottomSheetMeta = {
  title: 'SelectBottomSheet',
  component: _SelectBottomSheet.default,
  argTypes: {
    type: typeList,
    options: {
      id: '1',
      label: 'Option'
    }
  },
  args: {
    visible: true,
    type: 'checkbox',
    selectButtonLabel: 'Select',
    closeButtonLabel: 'Close',
    title: 'Select Options',
    options: [{
      id: '1',
      label: 'Option 1'
    }, {
      id: '2',
      label: 'Option 2'
    }, {
      id: '3',
      label: 'Option 3'
    }]
  }
};
var _default = exports.default = SelectBottomSheetMeta;
const Basic = args => /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
  borderRadius: "l",
  p: "m",
  children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
    variant: "subtitle1Bold",
    mb: "l",
    children: "Select Bottom Sheet"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_SelectBottomSheet.default, {
    visible: args.visible,
    type: args.type,
    selectButtonLabel: "Select",
    closeButtonLabel: "Close",
    title: "Select Options",
    options: args.options,
    onSelect: () => {}
  })]
});
exports.Basic = Basic;
const Checkbox = () => {
  const [modal, showModal] = _react.default.useState(false);
  const [selectedOptions, setSelectedOptions] = _react.default.useState([]);
  const handleMultiSelect = options => {
    if (Array.isArray(options)) {
      setSelectedOptions(options);
    }
  };
  const options = [{
    id: '1',
    label: 'Option 1'
  }, {
    id: '2',
    label: 'Option 2'
  }, {
    id: '3',
    label: 'Option 3'
  }, {
    id: '4',
    label: 'Option 4'
  }, {
    id: '5',
    label: 'Option 5',
    disabled: true
  }, {
    id: '6',
    label: 'Option 6'
  }, {
    id: '7',
    label: 'Option 7'
  }, {
    id: '8',
    label: 'Option 8'
  }, {
    id: '9',
    label: 'Option 9'
  }];
  const showAlert = selected => {
    _reactNative.Alert.alert('Selected Items', selected.join(', '));
  };
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
      p: "2xs",
      variant: "subtitle01Bold",
      children: "Select Bottom Sheet with Checkbox"
    }), /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
      px: "m",
      py: "2xs",
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Button.default, {
        mb: "m",
        filled: true,
        label: "Checkbox",
        onPress: () => showModal(true)
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_SelectBottomSheet.default, {
        visible: modal,
        type: "checkbox",
        selectButtonLabel: "Select",
        closeButtonLabel: "Close",
        title: "Select Options",
        closeButtonAction: () => showModal(false),
        selectButtonAction: () => {
          showAlert(selectedOptions);
          showModal(false);
        },
        options: options,
        selectedOption: selectedOptions,
        onSelect: handleMultiSelect
      })]
    })]
  });
};
exports.Checkbox = Checkbox;
const RadioButton = () => {
  const [modal, showModal] = _react.default.useState(false);
  const [selectedRadioOption, setSelectedRadioOption] = _react.default.useState('');
  const handleRadioSelect = option => {
    if (Array.isArray(option) && option.length > 0) {
      setSelectedRadioOption(option[0]);
    } else if (typeof option === 'string') {
      setSelectedRadioOption(option);
    }
  };
  const [modal2, showModal2] = _react.default.useState(false);
  const [selectedRadioOption2, setSelectedRadioOption2] = _react.default.useState('');
  const handleRadioSelect2 = option => {
    if (Array.isArray(option) && option.length > 0) {
      setSelectedRadioOption2(option[0]);
    } else if (typeof option === 'string') {
      setSelectedRadioOption2(option);
    }
    if (selectedRadioOption2) {
      showAlert([selectedRadioOption2]);
      showModal2(false);
    }
  };
  const options = [{
    id: '1',
    label: 'Option 1'
  }, {
    id: '2',
    label: 'Option 2'
  }, {
    id: '3',
    label: 'Option 3'
  }, {
    id: '4',
    label: 'Option 4'
  }, {
    id: '5',
    label: 'Option 5',
    disabled: true
  }, {
    id: '6',
    label: 'Option 6'
  }, {
    id: '7',
    label: 'Option 7'
  }, {
    id: '8',
    label: 'Option 8'
  }, {
    id: '9',
    label: 'Option 9'
  }];
  const showAlert = selected => {
    _reactNative.Alert.alert('Selected Items', selected.join(', '));
  };
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
      p: "2xs",
      variant: "subtitle01Bold",
      children: "Select Bottom Sheet with RadioButton"
    }), /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
      px: "m",
      py: "2xs",
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Button.default, {
        mb: "m",
        filled: true,
        label: "RadioButton",
        onPress: () => showModal(true)
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_SelectBottomSheet.default, {
        visible: modal,
        type: "radio",
        selectButtonLabel: "Select",
        closeButtonLabel: "Close",
        title: "Select a Single Option",
        closeButtonAction: () => showModal(false),
        selectButtonAction: () => {
          showAlert([selectedRadioOption]);
          showModal(false);
        },
        options: options,
        selectedOption: [selectedRadioOption],
        onSelect: handleRadioSelect
      })]
    }), /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
      px: "m",
      py: "2xs",
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Button.default, {
        mb: "m",
        filled: true,
        label: "RadioButton without select button",
        onPress: () => showModal2(true)
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_SelectBottomSheet.default, {
        visible: modal2,
        type: "radio",
        options: options,
        title: "Select a Single Option",
        closeButtonLabel: "Close",
        closeButtonAction: () => showModal2(false),
        onSelect: handleRadioSelect2
      })]
    })]
  });
};
exports.RadioButton = RadioButton;
//# sourceMappingURL=SelectBottomSheet.stories.js.map