"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _reactNativeSvg = _interopRequireWildcard(require("react-native-svg"));
var _theme = _interopRequireDefault(require("../../theme"));
var _jsxRuntime = require("react/jsx-runtime");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const AnimatedSvg = _reactNative.Animated.createAnimatedComponent(_reactNativeSvg.default);
const Spinner = ({
  testID,
  accessibilityLabel,
  accessible,
  color = 'primaryKey',
  size = 'm'
}) => {
  const rotation = _react.default.useRef(new _reactNative.Animated.Value(0)).current;
  const spinnerColor = _theme.default.colors[color] ?? color;
  const spinnerSize = _theme.default.spinnerSizeVariants[size];
  _react.default.useEffect(() => {
    const loop = _reactNative.Animated.loop(_reactNative.Animated.timing(rotation, {
      toValue: 1,
      duration: 1000,
      easing: _reactNative.Easing.linear,
      useNativeDriver: true
    }));
    loop.start();
    return () => {
      loop.stop();
    };
  }, [rotation]);
  const testProps = _react.default.useMemo(() => {
    const result = {
      accessible: false,
      accessibilityLabel: undefined,
      testID: undefined
    };
    if (!(testID || accessibilityLabel)) {
      return result;
    }
    result.accessible = accessible ?? true;
    result.accessibilityLabel = accessibilityLabel ?? testID;
    result.testID = testID ?? accessibilityLabel;
    return result;
  }, [testID, accessibilityLabel, accessible]);
  const animatedStyle = _react.default.useMemo(() => {
    return {
      transform: [{
        rotate: rotation.interpolate({
          inputRange: [0, 1],
          outputRange: ['0deg', '360deg']
        })
      }]
    };
  }, [rotation]);
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(AnimatedSvg, {
    style: animatedStyle,
    width: spinnerSize,
    height: spinnerSize,
    viewBox: "0 0 48 48",
    fill: "#FFFFFF",
    xmlns: "http://www.w3.org/2000/svg",
    ...testProps,
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNativeSvg.Path, {
      opacity: 0.3,
      d: "M48 24c0 13.255-10.745 24-24 24S0 37.255 0 24 10.745 0 24 0s24 10.745 24 24zM7.2 24c0 9.278 7.522 16.8 16.8 16.8S40.8 33.278 40.8 24 33.278 7.2 24 7.2 7.2 14.722 7.2 24z",
      fill: spinnerColor
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNativeSvg.Path, {
      d: "M44.4 24c1.988 0 3.628-1.62 3.33-3.587A23.999 23.999 0 0027.587.27C25.62-.028 24 1.612 24 3.6s1.63 3.561 3.573 3.984a16.8 16.8 0 0112.843 12.843C40.839 22.37 42.412 24 44.4 24z",
      fill: spinnerColor
    })]
  });
};
var _default = exports.default = Spinner;
//# sourceMappingURL=Spinner.js.map