"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.SwitchWithLabel = exports.SwitchState = exports.DisabledSwitch = exports.CustomSwitch = exports.Basic = void 0;
var _react = _interopRequireDefault(require("react"));
var _Switch = _interopRequireDefault(require("./Switch"));
var _theme = _interopRequireDefault(require("../../theme"));
var _Text = _interopRequireDefault(require("../Text/Text"));
var _Box = _interopRequireDefault(require("../Box/Box"));
var _Button = _interopRequireDefault(require("../Button/Button"));
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const variantList = Object.keys(_theme.default.textVariants);
const TextMeta = {
  title: 'Switch',
  component: _Switch.default,
  args: {
    label: variantList[0]
  }
};
var _default = exports.default = TextMeta;
const Basic = () => /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
  children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
    p: "2xs",
    variant: "subtitle01Bold",
    children: "Switch"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
    px: "m",
    py: "2xs",
    children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Switch.default, {
      onValueChange: _ => {}
    })
  })]
});
exports.Basic = Basic;
const SwitchWithLabel = args => /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
  children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
    p: "2xs",
    variant: "subtitle01Bold",
    children: "Switch With Label"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
    px: "m",
    py: "2xs",
    children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Switch.default, {
      onValueChange: _ => {},
      label: args.label,
      disabled: false
    })
  })]
});
exports.SwitchWithLabel = SwitchWithLabel;
const DisabledSwitch = () => /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
  children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
    p: "2xs",
    variant: "subtitle01Bold",
    children: "Disabled Switch"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
    px: "m",
    py: "2xs",
    children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Switch.default, {
      onValueChange: _ => {},
      disabled: true
    })
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
    px: "m",
    py: "2xs",
    children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Switch.default, {
      onValueChange: _ => {},
      disabled: true,
      value: true
    })
  })]
});
exports.DisabledSwitch = DisabledSwitch;
const CustomSwitch = () => /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
  children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
    p: "2xs",
    variant: "subtitle01Bold",
    children: "Custom Switch"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
    px: "m",
    py: "2xs",
    children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Switch.default, {
      onValueChange: _ => {},
      onColor: _theme.default.colors.successKey,
      offColor: _theme.default.colors.dangerKey
    })
  })]
});
exports.CustomSwitch = CustomSwitch;
const SwitchState = () => {
  const [value, setValue] = _react.default.useState(true);
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
      p: "2xs",
      variant: "subtitle01Bold",
      children: "Switch State"
    }), /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
      px: "m",
      py: "2xs",
      flexDirection: "row",
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
        pr: "3xl",
        children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Switch.default, {
          onValueChange: setValue,
          value: value,
          label: "Lorem"
        })
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Button.default, {
        label: 'Make it ' + !value,
        onPress: () => {
          setValue(!value);
        }
      })]
    })]
  });
};
exports.SwitchState = SwitchState;
//# sourceMappingURL=Switch.stories.js.map