"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.TabTypes = exports.IconAndBadge = exports.Example = exports.Cases = exports.Basic = void 0;
var _react = _interopRequireWildcard(require("react"));
var _Box = _interopRequireDefault(require("../Box/Box"));
var _Text = _interopRequireDefault(require("../Text/Text"));
var _Tabs = _interopRequireDefault(require("./Tabs"));
var _reactNative = require("react-native");
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const TabsMeta = {
  title: 'Tabs',
  component: _Tabs.default,
  argTypes: {
    onValueChange: {
      action: 'pressed the button'
    }
  },
  args: {
    value: 'tab1',
    defaultValue: 'tab1'
  }
};
var _default = exports.default = TabsMeta;
const Basic = args => {
  const [value, setValue] = _react.default.useState('');
  _react.default.useEffect(() => {
    setValue(args.value);
  }, [args.value]);
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
      p: "2xs",
      variant: "subtitle01Bold",
      children: "Tabs"
    }), /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Tabs.default, {
      ...args,
      onValueChange: setValue,
      value: value,
      defaultValue: "tab1",
      children: [/*#__PURE__*/(0, _jsxRuntime.jsxs)(_Tabs.default.List, {
        children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Tabs.default.Option, {
          value: "tab1",
          title: "Tab Title",
          caption: "Caption"
        }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Tabs.default.Option, {
          value: "tab2",
          title: "Tab Title"
        })]
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Tabs.default.Content, {
        value: "tab1",
        children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
          mt: "s",
          children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
            children: "Tab 1 Content"
          })
        })
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Tabs.default.Content, {
        value: "tab2",
        children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
          mt: "s",
          children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
            children: "Tab 2 Content"
          })
        })
      })]
    })]
  });
};
exports.Basic = Basic;
const TabTypes = () => {
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
      p: "2xs",
      variant: "subtitle01Bold",
      children: "Tab Types"
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
      px: "m",
      py: "2xs",
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Tabs.default, {
        value: 'tab1',
        onValueChange: () => {},
        defaultValue: "tab1",
        children: /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Tabs.default.List, {
          children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Tabs.default.Option, {
            value: "tab1",
            title: "Active Tab",
            caption: "Caption"
          }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Tabs.default.Option, {
            value: "tab2",
            title: "Inactive Tab",
            caption: "Caption"
          }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Tabs.default.Option, {
            value: "tab2",
            title: "Disabled Tab",
            caption: "Caption",
            disabled: true
          })]
        })
      })
    })]
  });
};
exports.TabTypes = TabTypes;
const Cases = () => {
  const [value, setValue] = (0, _react.useState)('tab1');
  const [value2, setValue2] = (0, _react.useState)('tab1');
  const [value3, setValue3] = (0, _react.useState)('tab1');
  const [value4, setValue4] = (0, _react.useState)('tab1');
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
      p: "2xs",
      variant: "subtitle01Bold",
      children: "Tab Cases"
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
      px: "m",
      py: "2xs",
      children: /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Tabs.default, {
        value: value,
        onValueChange: setValue,
        defaultValue: "tab1",
        children: [/*#__PURE__*/(0, _jsxRuntime.jsxs)(_Tabs.default.List, {
          children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Tabs.default.Option, {
            value: "tab1",
            title: "Tab Title",
            caption: "Caption"
          }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Tabs.default.Option, {
            value: "tab2",
            title: "Tab Title"
          })]
        }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Tabs.default.Content, {
          value: "tab1",
          children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
            mt: "s",
            children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
              children: "Tab 1 Content"
            })
          })
        }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Tabs.default.Content, {
          value: "tab2",
          children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
            mt: "s",
            children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
              children: "Tab 2 Content"
            })
          })
        })]
      })
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
      px: "m",
      py: "2xs",
      mt: "5xl",
      children: /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Tabs.default, {
        value: value2,
        onValueChange: setValue2,
        defaultValue: "tab1",
        children: [/*#__PURE__*/(0, _jsxRuntime.jsxs)(_Tabs.default.List, {
          children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Tabs.default.Option, {
            value: "tab1",
            title: "Tab Title",
            caption: "Caption"
          }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Tabs.default.Option, {
            value: "tab2",
            title: "Tab Title",
            caption: "Caption"
          }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Tabs.default.Option, {
            value: "tab3",
            title: "Tab Title",
            caption: "Caption",
            disabled: true
          })]
        }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Tabs.default.Content, {
          value: "tab1",
          children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
            mt: "s",
            children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
              children: "Tab 1 Content"
            })
          })
        }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Tabs.default.Content, {
          value: "tab2",
          children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
            mt: "s",
            children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
              children: "Tab 2 Content"
            })
          })
        }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Tabs.default.Content, {
          value: "tab3",
          children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
            mt: "s",
            children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
              children: "Tab 3 Content"
            })
          })
        })]
      })
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
      px: "m",
      py: "2xs",
      mt: "5xl",
      children: /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Tabs.default, {
        value: value3,
        onValueChange: setValue3,
        defaultValue: "tab1",
        children: [/*#__PURE__*/(0, _jsxRuntime.jsxs)(_Tabs.default.List, {
          children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Tabs.default.Option, {
            value: "tab1",
            title: "Lorem ipsum dolor sit amet",
            caption: "Caption"
          }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Tabs.default.Option, {
            value: "tab2",
            title: "Tab Title",
            caption: "Caption"
          })]
        }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Tabs.default.Content, {
          value: "tab1",
          children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
            mt: "s",
            children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
              children: "Tab 1 Content"
            })
          })
        }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Tabs.default.Content, {
          value: "tab2",
          children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
            mt: "s",
            children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
              children: "Tab 2 Content"
            })
          })
        })]
      })
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
      px: "m",
      py: "2xs",
      mt: "5xl",
      children: /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Tabs.default, {
        value: value4,
        onValueChange: setValue4,
        defaultValue: "tab1",
        children: [/*#__PURE__*/(0, _jsxRuntime.jsxs)(_Tabs.default.List, {
          children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Tabs.default.Option, {
            value: "tab1",
            title: "Tab Title",
            caption: "Caption"
          }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Tabs.default.Option, {
            value: "tab2",
            title: "Tab Title",
            caption: "Caption"
          }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Tabs.default.Option, {
            value: "tab3",
            title: "Tab Title"
          }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Tabs.default.Option, {
            value: "tab4",
            title: "Tab Title",
            caption: "Caption"
          }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Tabs.default.Option, {
            value: "tab5",
            title: "Tab Title",
            caption: "Caption"
          })]
        }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Tabs.default.Content, {
          value: "tab1",
          children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
            mt: "s",
            children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
              children: "Tab 1 Content"
            })
          })
        }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Tabs.default.Content, {
          value: "tab2",
          children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
            mt: "s",
            children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
              children: "Tab 2 Content"
            })
          })
        }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Tabs.default.Content, {
          value: "tab3",
          children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
            mt: "s",
            children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
              children: "Tab 3 Content"
            })
          })
        }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Tabs.default.Content, {
          value: "tab4",
          children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
            mt: "s",
            children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
              children: "Tab 4 Content"
            })
          })
        }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Tabs.default.Content, {
          value: "tab5",
          children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
            mt: "s",
            children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
              children: "Tab 5 Content"
            })
          })
        })]
      })
    })]
  });
};
exports.Cases = Cases;
const IconAndBadge = () => {
  const [value1, setValue1] = (0, _react.useState)('tab1');
  const [value2, setValue2] = (0, _react.useState)('tab1');
  const [value3, setValue3] = (0, _react.useState)('tab1');
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
      p: "2xs",
      variant: "subtitle01Bold",
      children: "Icon And Badge Tab Cases"
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
      px: "m",
      py: "2xs",
      mt: "5xl",
      children: /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Tabs.default, {
        value: value1,
        onValueChange: setValue1,
        defaultValue: "tab1",
        children: [/*#__PURE__*/(0, _jsxRuntime.jsxs)(_Tabs.default.List, {
          children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Tabs.default.Option, {
            value: "tab1",
            title: "Tab Title",
            caption: "Caption"
          }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Tabs.default.Option, {
            value: "tab2",
            title: "Tab Title",
            caption: "Caption",
            iconName: "heart"
          }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Tabs.default.Option, {
            value: "tab3",
            title: "Tab Title"
          })]
        }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Tabs.default.Content, {
          value: "tab1",
          children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
            mt: "s",
            children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
              children: "Tab 1 Content"
            })
          })
        }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Tabs.default.Content, {
          value: "tab2",
          children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
            mt: "s",
            children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
              children: "Tab 2 Content"
            })
          })
        }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Tabs.default.Content, {
          value: "tab3",
          children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
            mt: "s",
            children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
              children: "Tab 3 Content"
            })
          })
        })]
      })
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
      px: "m",
      py: "2xs",
      mt: "5xl",
      children: /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Tabs.default, {
        value: value2,
        onValueChange: setValue2,
        defaultValue: "tab1",
        children: [/*#__PURE__*/(0, _jsxRuntime.jsxs)(_Tabs.default.List, {
          children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Tabs.default.Option, {
            value: "tab1",
            title: "Tab Title",
            caption: "Caption"
          }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Tabs.default.Option, {
            value: "tab2",
            title: "Tab Title",
            caption: "Caption",
            badgeText: "New"
          }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Tabs.default.Option, {
            value: "tab3",
            title: "Tab Title"
          })]
        }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Tabs.default.Content, {
          value: "tab1",
          children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
            mt: "s",
            children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
              children: "Tab 1 Content"
            })
          })
        }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Tabs.default.Content, {
          value: "tab2",
          children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
            mt: "s",
            children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
              children: "Tab 2 Content"
            })
          })
        }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Tabs.default.Content, {
          value: "tab3",
          children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
            mt: "s",
            children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
              children: "Tab 3 Content"
            })
          })
        })]
      })
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
      px: "m",
      py: "2xs",
      mt: "5xl",
      children: /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Tabs.default, {
        value: value3,
        onValueChange: setValue3,
        defaultValue: "tab1",
        children: [/*#__PURE__*/(0, _jsxRuntime.jsxs)(_Tabs.default.List, {
          children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Tabs.default.Option, {
            value: "tab1",
            title: "Tab Title",
            caption: "Caption"
          }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Tabs.default.Option, {
            value: "tab2",
            title: "Tab Title",
            caption: "Caption",
            iconName: "confetti",
            badgeText: "Lorem"
          }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Tabs.default.Option, {
            value: "tab3",
            title: "Tab Title"
          })]
        }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Tabs.default.Content, {
          value: "tab1",
          children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
            mt: "s",
            children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
              children: "Tab 1 Content"
            })
          })
        }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Tabs.default.Content, {
          value: "tab2",
          children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
            mt: "s",
            children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
              children: "Tab 2 Content"
            })
          })
        }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Tabs.default.Content, {
          value: "tab3",
          children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
            mt: "s",
            children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
              children: "Tab 3 Content"
            })
          })
        })]
      })
    })]
  });
};
exports.IconAndBadge = IconAndBadge;
const Example = () => {
  const [value, setValue] = (0, _react.useState)('tab1');
  const dims = (0, _reactNative.useWindowDimensions)();
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
    height: dims.height,
    backgroundColor: "dangerContrast",
    children: /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Tabs.default, {
      value: value,
      onValueChange: setValue,
      defaultValue: "tab1",
      children: [/*#__PURE__*/(0, _jsxRuntime.jsxs)(_Tabs.default.List, {
        children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Tabs.default.Option, {
          value: "tab1",
          title: "Tab Title",
          caption: "Caption"
        }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Tabs.default.Option, {
          value: "tab2",
          title: "Tab Title",
          caption: "Caption"
        })]
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Tabs.default.Content, {
        flex: 1,
        value: "tab1",
        backgroundColor: "infoKey",
        children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
          mt: "s",
          children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
            children: "Tab 1 Content"
          })
        })
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Tabs.default.Content, {
        flex: 1,
        value: "tab2",
        backgroundColor: "infoKey",
        children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
          mt: "s",
          children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
            children: "Tab 2 Content"
          })
        })
      })]
    })
  });
};
exports.Example = Example;
//# sourceMappingURL=Tabs.stories.js.map