"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.Subtitle4 = exports.Subtitle3 = exports.Subtitle2 = exports.Subtitle1 = exports.Heading = exports.Caption = exports.Body = exports.Basic = void 0;
var _react = _interopRequireDefault(require("react"));
var _Text = _interopRequireDefault(require("./Text"));
var _theme = _interopRequireDefault(require("../../theme"));
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const variantList = Object.keys(_theme.default.textVariants);
const TextMeta = {
  title: 'Text',
  component: _Text.default,
  argTypes: {
    variant: {
      options: variantList,
      control: {
        type: 'radio'
      }
    }
  },
  args: {
    variant: variantList[0]
  }
};
var _default = exports.default = TextMeta;
const Basic = args => /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
  children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
    p: "2xs",
    variant: "subtitle1Bold",
    children: "Text"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
    variant: args.variant,
    p: "2xs",
    children: "Sample Text"
  })]
});
exports.Basic = Basic;
const Heading = () => /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
  children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
    p: "2xs",
    variant: "subtitle1Bold",
    children: "Text Heading"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
    variant: "heading1",
    p: "2xs",
    children: "Heading 1"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
    variant: "heading2",
    p: "2xs",
    children: "Heading 2"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
    variant: "heading3",
    p: "2xs",
    children: "Heading 3"
  })]
});
exports.Heading = Heading;
const Subtitle1 = () => /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
  children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
    p: "2xs",
    variant: "subtitle1Bold",
    children: "Text Subtitle 1"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
    variant: "subtitle1Regular",
    p: "2xs",
    children: "Subtitle 1 / Regular"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
    variant: "subtitle1Medium",
    p: "2xs",
    children: "Subtitle 1 / Medium"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
    variant: "subtitle1Semibold",
    p: "2xs",
    children: "Subtitle 1 / Semibold"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
    variant: "subtitle1Bold",
    p: "2xs",
    children: "Subtitle 1 / Bold"
  })]
});
exports.Subtitle1 = Subtitle1;
const Subtitle2 = () => /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
  children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
    p: "2xs",
    variant: "subtitle1Bold",
    children: "Text Subtitle 2"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
    variant: "subtitle2Regular",
    p: "2xs",
    children: "Subtitle 2 / Regular"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
    variant: "subtitle2Medium",
    p: "2xs",
    children: "Subtitle 2 / Medium"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
    variant: "subtitle2Semibold",
    p: "2xs",
    children: "Subtitle 2 / Semibold"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
    variant: "subtitle2Bold",
    p: "2xs",
    children: "Subtitle 2 / Bold"
  })]
});
exports.Subtitle2 = Subtitle2;
const Subtitle3 = () => /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
  children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
    p: "2xs",
    variant: "subtitle1Bold",
    children: "Text Subtitle 3"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
    variant: "subtitle3Regular",
    p: "2xs",
    children: "Subtitle 3 / Regular"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
    variant: "subtitle3Medium",
    p: "2xs",
    children: "Subtitle 3 / Medium"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
    variant: "subtitle3Semibold",
    p: "2xs",
    children: "Subtitle 3 / Semibold"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
    variant: "subtitle3Bold",
    p: "2xs",
    children: "Subtitle 3 / Bold"
  })]
});
exports.Subtitle3 = Subtitle3;
const Subtitle4 = () => /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
  children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
    p: "2xs",
    variant: "subtitle1Bold",
    children: "Text Subtitle 4"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
    variant: "subtitle4Regular",
    p: "2xs",
    children: "Subtitle 4 / Regular"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
    variant: "subtitle4Medium",
    p: "2xs",
    children: "Subtitle 4 / Medium"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
    variant: "subtitle4Semibold",
    p: "2xs",
    children: "Subtitle 4 / Semibold"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
    variant: "subtitle4Bold",
    p: "2xs",
    children: "Subtitle 4 / Bold"
  })]
});
exports.Subtitle4 = Subtitle4;
const Body = () => /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
  children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
    p: "2xs",
    variant: "subtitle1Bold",
    children: "Text Body"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
    variant: "body1",
    p: "2xs",
    children: "Body 1"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
    variant: "body2",
    p: "2xs",
    children: "Body 2"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
    variant: "body3",
    p: "2xs",
    children: "Body 3"
  })]
});
exports.Body = Body;
const Caption = () => /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
  children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
    p: "2xs",
    variant: "subtitle1Bold",
    children: "Text Caption"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
    variant: "captionText",
    p: "2xs",
    children: "Caption / Text"
  })]
});
exports.Caption = Caption;
//# sourceMappingURL=Text.stories.js.map