"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.Types = exports.Sizes = exports.Cases = exports.Basic = void 0;
var _react = _interopRequireWildcard(require("react"));
var _Text = _interopRequireDefault(require("../Text/Text"));
var _TextArea = _interopRequireDefault(require("./TextArea"));
var _Box = _interopRequireDefault(require("../Box/Box"));
var _Button = _interopRequireDefault(require("../Button/Button"));
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const sizeList = ['small', 'medium', 'large'];
const TextAreaMeta = {
  title: 'TextArea',
  component: _TextArea.default,
  argTypes: {
    size: {
      options: sizeList,
      control: {
        type: 'radio'
      }
    }
  },
  args: {
    size: 'medium',
    label: 'Label',
    placeholder: 'Type something...',
    labelFixed: false,
    helpText: 'Helper Text',
    error: false,
    disabled: false,
    errorText: 'Error Text'
  }
};
var _default = exports.default = TextAreaMeta;
const Basic = args => /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
  children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
    px: "2xs",
    children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
      py: "2xs",
      variant: "subtitle01Bold",
      children: "Text Area"
    })
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_TextArea.default, {
    ...args
  })]
});
exports.Basic = Basic;
const Cases = args => {
  const [state, setState] = (0, _react.useState)(args);
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
      px: "2xs",
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
        py: "2xs",
        variant: "subtitle01Bold",
        children: "Text Area Cases"
      })
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_TextArea.default, {
      ...args,
      disabled: true
    }), /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
      pt: "2xl",
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_TextArea.default, {
        ...state
      }), /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
        flexDirection: "row",
        px: "2xs",
        marginLeft: "2xs",
        marginTop: "xs",
        children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Button.default, {
          flex: 1,
          kind: "danger",
          variant: "secondary",
          size: "s",
          onPress: () => setState({
            ...state,
            error: true,
            errorText: null
          }),
          label: "Toggle Error",
          filled: true,
          mr: "2xs"
        }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Button.default, {
          flex: 1,
          size: "s",
          kind: "danger",
          variant: "secondary",
          onPress: () => setState({
            ...state,
            error: true,
            errorText: 'Error text'
          }),
          label: "Error with Text",
          filled: true,
          mr: "2xs"
        })]
      })]
    })]
  });
};
exports.Cases = Cases;
const Sizes = () => /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
  children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
    px: "2xs",
    children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
      py: "2xs",
      variant: "subtitle01Bold",
      children: "Text Area Sizes"
    })
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
    py: "xs",
    children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_TextArea.default, {
      size: "large",
      label: "Label",
      placeholder: "Large",
      helpText: "Help Text"
    })
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
    py: "xs",
    children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_TextArea.default, {
      size: "medium",
      label: "Label",
      placeholder: "Medium",
      helpText: "Help Text"
    })
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
    py: "xs",
    children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_TextArea.default, {
      size: "small",
      label: "Label",
      placeholder: "Small",
      helpText: "Help Text"
    })
  })]
});
exports.Sizes = Sizes;
const Types = args => {
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
      px: "2xs",
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
        py: "2xs",
        variant: "subtitle01Bold",
        children: "Text Area Types"
      })
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_TextArea.default, {
      ...args,
      labelFixed: true
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_TextArea.default, {
      ...args
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_TextArea.default, {
      ...args,
      label: null
    })]
  });
};
exports.Types = Types;
//# sourceMappingURL=TextArea.stories.js.map