"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TextAreaHelpText = void 0;
var _react = _interopRequireDefault(require("react"));
var _Box = _interopRequireDefault(require("../Box/Box"));
var _Text = _interopRequireDefault(require("../Text/Text"));
var _utils = require("./utils");
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const TextAreaHelpText = exports.TextAreaHelpText = /*#__PURE__*/_react.default.memo(({
  helpText,
  errorState,
  errorText
}) => {
  if (!helpText && !errorText) {
    return null;
  }
  const textColor = (0, _utils.getTextColor)({
    errorState
  });
  const content = (0, _utils.getHelpText)({
    helpText,
    errorText,
    errorState
  });
  return content ? /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
    mt: "3xs",
    children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
      variant: "subtitle04Regular",
      color: textColor,
      children: content
    })
  }) : null;
});
//# sourceMappingURL=TextAreaHelpText.js.map