"use strict";

var _react = _interopRequireDefault(require("react"));
var _testUtils = require("../../test-utils");
var _TextAreaHelpText = require("./TextAreaHelpText");
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
describe('TextArea Help Text', () => {
  let helpText;
  let errorText;
  let errorState;
  test('should render help text correctly', () => {
    // given
    helpText = 'help text';
    errorText = 'error text';
    errorState = false;

    // when
    const {
      toJSON
    } = (0, _testUtils.render)(/*#__PURE__*/(0, _jsxRuntime.jsx)(_TextAreaHelpText.TextAreaHelpText, {
      helpText: helpText,
      errorState: errorState,
      errorText: errorText
    }));

    // then
    expect(toJSON()).toMatchSnapshot();
  });
  test('should render null when not has help text and error text', () => {
    // given
    helpText = null;
    errorText = null;
    errorState = false;

    // when
    const {
      toJSON
    } = (0, _testUtils.render)(/*#__PURE__*/(0, _jsxRuntime.jsx)(_TextAreaHelpText.TextAreaHelpText, {
      helpText: helpText,
      errorState: errorState,
      errorText: errorText
    }));

    // then
    expect(toJSON()).toMatchSnapshot();
  });
  test('should render null when not has help text', () => {
    // given
    helpText = '';
    errorText = 'error text';
    errorState = false;

    // when
    const {
      toJSON
    } = (0, _testUtils.render)(/*#__PURE__*/(0, _jsxRuntime.jsx)(_TextAreaHelpText.TextAreaHelpText, {
      helpText: helpText,
      errorState: errorState,
      errorText: errorText
    }));

    // then
    expect(toJSON()).toMatchSnapshot();
  });
});
//# sourceMappingURL=TextAreaHelpText.test.js.map