"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TextAreaLabel = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _Box = _interopRequireDefault(require("../Box/Box"));
var _Text = _interopRequireDefault(require("../Text/Text"));
var _utils = require("./utils");
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const TextAreaLabel = exports.TextAreaLabel = /*#__PURE__*/_react.default.memo(({
  label,
  labelFixed,
  errorState,
  animatedViewProps,
  animatedTextProps
}) => {
  if (!label) {
    return null;
  }
  const contentSecondaryColor = (0, _utils.getLabelColor)({
    errorState
  });
  const RenderFixedLabel = () => {
    return /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
      flexDirection: "row",
      mb: "3xs",
      testID: "fixed-label-box",
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
        variant: "subtitle04Medium",
        color: contentSecondaryColor,
        testID: "fixed-label",
        children: label
      })
    });
  };
  const RenderOutlinedLabel = () => {
    return /*#__PURE__*/(0, _jsxRuntime.jsx)(_jsxRuntime.Fragment, {
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.Animated.View, {
        ...animatedViewProps,
        pointerEvents: "none",
        children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
          flexDirection: "row",
          pl: "m",
          testID: "outlined-label-box",
          children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.Animated.Text, {
            style: errorState ? [animatedTextProps.style, {
              color: 'red'
            }] : animatedTextProps.style,
            children: label
          })
        })
      })
    });
  };
  return labelFixed ? /*#__PURE__*/(0, _jsxRuntime.jsx)(RenderFixedLabel, {}) : /*#__PURE__*/(0, _jsxRuntime.jsx)(RenderOutlinedLabel, {});
});
//# sourceMappingURL=TextAreaLabel.js.map