"use strict";

var _react = _interopRequireDefault(require("react"));
var _testUtils = require("../../test-utils");
var _TextAreaLabel = require("./TextAreaLabel");
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
describe('TextArea Label', () => {
  let label;
  let labelFixed;
  let errorState;
  let animatedViewProps;
  let animatedTextProps;
  let textAreaHeight;
  beforeEach(() => {
    label = 'Label';
    labelFixed = false;
    errorState = false;
    animatedViewProps = {};
    animatedTextProps = {};
    textAreaHeight = 88;
  });
  test('should render null when not has a label', () => {
    // given
    label = null;

    // when
    const {
      toJSON
    } = (0, _testUtils.render)(/*#__PURE__*/(0, _jsxRuntime.jsx)(_TextAreaLabel.TextAreaLabel, {
      label: label,
      labelFixed: labelFixed,
      errorState: errorState,
      animatedViewProps: animatedViewProps,
      animatedTextProps: animatedTextProps,
      textAreaHeight: textAreaHeight
    }));

    // then
    expect(toJSON()).toMatchSnapshot();
  });
  test('should render outlined label correctly', () => {
    // when
    const {
      toJSON
    } = (0, _testUtils.render)(/*#__PURE__*/(0, _jsxRuntime.jsx)(_TextAreaLabel.TextAreaLabel, {
      label: label,
      labelFixed: labelFixed,
      errorState: errorState,
      animatedViewProps: animatedViewProps,
      animatedTextProps: animatedTextProps,
      textAreaHeight: textAreaHeight
    }));

    // then
    expect(toJSON()).toMatchSnapshot();
  });
  test('should render outlined label with optional correctly', () => {
    // when
    const {
      toJSON
    } = (0, _testUtils.render)(/*#__PURE__*/(0, _jsxRuntime.jsx)(_TextAreaLabel.TextAreaLabel, {
      label: label,
      labelFixed: labelFixed,
      errorState: errorState,
      animatedViewProps: animatedViewProps,
      animatedTextProps: animatedTextProps,
      textAreaHeight: textAreaHeight
    }));

    // then
    expect(toJSON()).toMatchSnapshot();
  });
  test('should render fixed label correctly', () => {
    // given
    labelFixed = true;

    // when
    const {
      toJSON
    } = (0, _testUtils.render)(/*#__PURE__*/(0, _jsxRuntime.jsx)(_TextAreaLabel.TextAreaLabel, {
      label: label,
      labelFixed: labelFixed,
      errorState: errorState,
      animatedViewProps: animatedViewProps,
      animatedTextProps: animatedTextProps,
      textAreaHeight: textAreaHeight
    }));

    // then
    expect(toJSON()).toMatchSnapshot();
  });
  test('should render fixed label with optional correctly', () => {
    // given
    labelFixed = true;

    // when
    const {
      toJSON
    } = (0, _testUtils.render)(/*#__PURE__*/(0, _jsxRuntime.jsx)(_TextAreaLabel.TextAreaLabel, {
      label: label,
      labelFixed: labelFixed,
      errorState: errorState,
      animatedViewProps: animatedViewProps,
      animatedTextProps: animatedTextProps,
      textAreaHeight: textAreaHeight
    }));

    // then
    expect(toJSON()).toMatchSnapshot();
  });
});
//# sourceMappingURL=TextAreaLabel.test.js.map