"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getTextColor = exports.getPlaceholderText = exports.getLabelColor = exports.getHelpText = exports.getCounterText = exports.getBorderColor = void 0;
const getPlaceholderText = ({
  label,
  labelFixed,
  placeholder,
  value,
  focused
}) => {
  if (label && placeholder) {
    if (labelFixed) {
      return placeholder;
    }
    if (!value && !focused) {
      return '';
    }
    if (value && focused) {
      return '';
    } else {
      return placeholder;
    }
  }
  if (!label && placeholder) {
    return placeholder;
  }
  if (label && !placeholder) {
    return '';
  }
  return '';
};
exports.getPlaceholderText = getPlaceholderText;
const getHelpText = ({
  helpText,
  errorText,
  errorState
}) => {
  if (errorState) {
    if (errorText) {
      return errorText;
    } else {
      return helpText;
    }
  }
  return helpText;
};
exports.getHelpText = getHelpText;
const getCounterText = ({
  counterText,
  errorText,
  errorState
}) => {
  if (errorState) {
    if (errorText) {
      return errorText;
    } else {
      return counterText;
    }
  }
  return counterText;
};
exports.getCounterText = getCounterText;
const getLabelColor = ({
  errorState
}) => {
  return errorState ? 'dangerKey' : 'neutralDark';
};
exports.getLabelColor = getLabelColor;
const getTextColor = ({
  errorState
}) => {
  return errorState ? 'dangerKey' : 'neutralLight';
};
exports.getTextColor = getTextColor;
const getBorderColor = ({
  focused,
  errorState
}) => {
  return errorState ? 'dangerKey' : focused ? 'primaryKey' : 'neutralLighter';
};
exports.getBorderColor = getBorderColor;
//# sourceMappingURL=utils.js.map