"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.Subtitle04 = exports.Subtitle03 = exports.Subtitle02 = exports.Subtitle01 = exports.Heading = exports.Caption = exports.Body = exports.Basic = void 0;
var _react = _interopRequireDefault(require("react"));
var _TextLink = _interopRequireDefault(require("./TextLink"));
var _theme = _interopRequireDefault(require("../../theme"));
var _Text = _interopRequireDefault(require("../Text/Text"));
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const variantList = Object.keys(_theme.default.textVariants);
const TextLinkMeta = {
  title: 'TextLink',
  component: _TextLink.default,
  argTypes: {
    variant: {
      options: variantList,
      control: {
        type: 'radio'
      }
    }
  },
  args: {
    variant: variantList[0]
  }
};
var _default = exports.default = TextLinkMeta;
const Basic = args => /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
  children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
    p: "2xs",
    variant: "subtitle01Bold",
    children: "TextLink"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_TextLink.default, {
    variant: args.variant,
    p: "2xs",
    children: "Sample TextLink"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
    p: "2xs",
    variant: "subtitle01Bold",
    children: "Pressed TextLink"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_TextLink.default, {
    variant: args.variant,
    p: "2xs",
    isPressed: true,
    children: "Sample TextLink"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
    p: "2xs",
    variant: "subtitle01Bold",
    children: "TextLink in Paragraph"
  }), /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Text.default, {
    p: "2xs",
    variant: args.variant,
    children: ["It is an example of usage", ' ', /*#__PURE__*/(0, _jsxRuntime.jsx)(_TextLink.default, {
      p: "2xs",
      variant: args.variant,
      isPressed: true,
      children: "Sample TextLink"
    }), ' ', "in a paragraph."]
  })]
});
exports.Basic = Basic;
const Heading = () => /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
  children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
    p: "2xs",
    variant: "subtitle01Bold",
    children: "TextLink Heading"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_TextLink.default, {
    variant: "heading1",
    p: "2xs",
    children: "Heading 1"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_TextLink.default, {
    variant: "heading2",
    p: "2xs",
    children: "Heading 2"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_TextLink.default, {
    variant: "heading3",
    p: "2xs",
    children: "Heading 3"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
    p: "2xs",
    variant: "subtitle01Bold",
    children: "Pressed TextLink Heading"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_TextLink.default, {
    variant: "heading1",
    p: "2xs",
    isPressed: true,
    children: "Heading 1"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_TextLink.default, {
    variant: "heading2",
    p: "2xs",
    isPressed: true,
    children: "Heading 2"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_TextLink.default, {
    variant: "heading3",
    p: "2xs",
    isPressed: true,
    children: "Heading 3"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
    p: "2xs",
    variant: "subtitle01Bold",
    children: "Heading TextLink in Paragraph"
  }), /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Text.default, {
    p: "2xs",
    variant: "heading1",
    children: ["It is an example of usage", ' ', /*#__PURE__*/(0, _jsxRuntime.jsx)(_TextLink.default, {
      p: "2xs",
      variant: "heading1",
      isPressed: true,
      children: "Heading TextLink"
    }), ' ', "in a paragraph."]
  })]
});
exports.Heading = Heading;
const Subtitle01 = () => /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
  children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
    p: "2xs",
    variant: "subtitle01Bold",
    children: "TextLink Subtitle 01"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_TextLink.default, {
    variant: "subtitle01Regular",
    p: "2xs",
    children: "Subtitle 01 / Regular"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_TextLink.default, {
    variant: "subtitle01Medium",
    p: "2xs",
    children: "Subtitle 01 / Medium"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_TextLink.default, {
    variant: "subtitle01Semibold",
    p: "2xs",
    children: "Subtitle 01 / Semibold"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_TextLink.default, {
    variant: "subtitle01Bold",
    p: "2xs",
    children: "Subtitle 01 / Bold"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
    p: "2xs",
    variant: "subtitle01Bold",
    children: "Pressed TextLink Subtitle 01"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_TextLink.default, {
    variant: "subtitle01Regular",
    p: "2xs",
    isPressed: true,
    children: "Subtitle 01 / Regular"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_TextLink.default, {
    variant: "subtitle01Medium",
    p: "2xs",
    isPressed: true,
    children: "Subtitle 01 / Medium"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_TextLink.default, {
    variant: "subtitle01Semibold",
    p: "2xs",
    isPressed: true,
    children: "Subtitle 01 / Semibold"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_TextLink.default, {
    variant: "subtitle01Bold",
    p: "2xs",
    isPressed: true,
    children: "Subtitle 01 / Bold"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
    p: "2xs",
    variant: "subtitle01Bold",
    children: "Subtitle TextLink in Paragraph"
  }), /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Text.default, {
    p: "2xs",
    variant: "subtitle01Regular",
    children: ["It is an example of usage", ' ', /*#__PURE__*/(0, _jsxRuntime.jsx)(_TextLink.default, {
      p: "2xs",
      variant: "subtitle01Regular",
      isPressed: true,
      children: "Subtitle TextLink"
    }), ' ', "in a paragraph."]
  })]
});
exports.Subtitle01 = Subtitle01;
const Subtitle02 = () => /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
  children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
    p: "2xs",
    variant: "subtitle01Bold",
    children: "TextLink Subtitle 02"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_TextLink.default, {
    variant: "subtitle02Regular",
    p: "2xs",
    children: "Subtitle 02 / Regular"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_TextLink.default, {
    variant: "subtitle02Medium",
    p: "2xs",
    children: "Subtitle 02 / Medium"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_TextLink.default, {
    variant: "subtitle02Semibold",
    p: "2xs",
    children: "Subtitle 02 / Semibold"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_TextLink.default, {
    variant: "subtitle02Bold",
    p: "2xs",
    children: "Sutitle 02 / Bold"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
    p: "2xs",
    variant: "subtitle01Bold",
    children: "Pressed TextLink Subtitle 02"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_TextLink.default, {
    variant: "subtitle02Regular",
    p: "2xs",
    isPressed: true,
    children: "Subtitle 02 / Regular"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_TextLink.default, {
    variant: "subtitle02Medium",
    p: "2xs",
    isPressed: true,
    children: "Subtitle 02 / Medium"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_TextLink.default, {
    variant: "subtitle02Semibold",
    p: "2xs",
    isPressed: true,
    children: "Subtitle 02 / Semibold"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_TextLink.default, {
    variant: "subtitle02Bold",
    p: "2xs",
    isPressed: true,
    children: "Sutitle 02 / Bold"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
    p: "2xs",
    variant: "subtitle01Bold",
    children: "Subtitle TextLink in Paragraph"
  }), /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Text.default, {
    p: "2xs",
    variant: "subtitle02Regular",
    children: ["It is an example of usage", ' ', /*#__PURE__*/(0, _jsxRuntime.jsx)(_TextLink.default, {
      p: "2xs",
      variant: "subtitle02Regular",
      isPressed: true,
      children: "Subtitle TextLink"
    }), ' ', "in a paragraph."]
  })]
});
exports.Subtitle02 = Subtitle02;
const Subtitle03 = () => /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
  children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
    p: "2xs",
    variant: "subtitle01Bold",
    children: "TextLink Subtitle 03"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_TextLink.default, {
    variant: "subtitle03Regular",
    p: "2xs",
    children: "Subtitle 03 / Regular"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_TextLink.default, {
    variant: "subtitle03Medium",
    p: "2xs",
    children: "Subtitle 03 / Medium"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_TextLink.default, {
    variant: "subtitle03Semibold",
    p: "2xs",
    children: "Subtitle 03 / Semibold"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_TextLink.default, {
    variant: "subtitle03Bold",
    p: "2xs",
    children: "Subtitle 03 / Bold"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
    p: "2xs",
    variant: "subtitle01Bold",
    children: "Pressed TextLink Subtitle 03"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_TextLink.default, {
    variant: "subtitle03Regular",
    p: "2xs",
    isPressed: true,
    children: "Subtitle 03 / Regular"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_TextLink.default, {
    variant: "subtitle03Medium",
    p: "2xs",
    isPressed: true,
    children: "Subtitle 03 / Medium"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_TextLink.default, {
    variant: "subtitle03Semibold",
    p: "2xs",
    isPressed: true,
    children: "Subtitle 03 / Semibold"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_TextLink.default, {
    variant: "subtitle03Bold",
    p: "2xs",
    isPressed: true,
    children: "Subtitle 03 / Bold"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
    p: "2xs",
    variant: "subtitle01Bold",
    children: "Subtitle TextLink in Paragraph"
  }), /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Text.default, {
    p: "2xs",
    variant: "subtitle03Regular",
    children: ["It is an example of usage", ' ', /*#__PURE__*/(0, _jsxRuntime.jsx)(_TextLink.default, {
      p: "2xs",
      variant: "subtitle03Regular",
      isPressed: true,
      children: "Subtitle TextLink"
    }), ' ', "in a paragraph."]
  })]
});
exports.Subtitle03 = Subtitle03;
const Subtitle04 = () => /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
  children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
    p: "2xs",
    variant: "subtitle01Bold",
    children: "TextLink Subtitle 04"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_TextLink.default, {
    variant: "subtitle04Regular",
    p: "2xs",
    children: "Subtitle 04 / Regular"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_TextLink.default, {
    variant: "subtitle04Medium",
    p: "2xs",
    children: "Subtitle 04 / Medium"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_TextLink.default, {
    variant: "subtitle04Semibold",
    p: "2xs",
    children: "Subtitle 04 / Semibold"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_TextLink.default, {
    variant: "subtitle04Bold",
    p: "2xs",
    children: "Subtitle 04 / Bold"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
    p: "2xs",
    variant: "subtitle01Bold",
    children: "Pressed TextLink Subtitle 04"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_TextLink.default, {
    variant: "subtitle04Regular",
    p: "2xs",
    isPressed: true,
    children: "Subtitle 04 / Regular"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_TextLink.default, {
    variant: "subtitle04Medium",
    p: "2xs",
    isPressed: true,
    children: "Subtitle 04 / Medium"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_TextLink.default, {
    variant: "subtitle04Semibold",
    p: "2xs",
    isPressed: true,
    children: "Subtitle 04 / Semibold"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_TextLink.default, {
    variant: "subtitle04Bold",
    p: "2xs",
    isPressed: true,
    children: "Subtitle 04 / Bold"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
    p: "2xs",
    variant: "subtitle01Bold",
    children: "Subtitle TextLink in Paragraph"
  }), /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Text.default, {
    p: "2xs",
    variant: "subtitle04Regular",
    children: ["It is an example of usage", ' ', /*#__PURE__*/(0, _jsxRuntime.jsx)(_TextLink.default, {
      p: "2xs",
      variant: "subtitle04Regular",
      isPressed: true,
      children: "Subtitle TextLink"
    }), ' ', "in a paragraph."]
  })]
});
exports.Subtitle04 = Subtitle04;
const Body = () => /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
  children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
    p: "2xs",
    variant: "subtitle01Bold",
    children: "TextLink Body"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_TextLink.default, {
    variant: "bodyText",
    p: "2xs",
    children: "Body / Text"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
    p: "2xs",
    variant: "subtitle01Bold",
    children: "Pressed TextLink Body"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_TextLink.default, {
    variant: "bodyText",
    p: "2xs",
    isPressed: true,
    children: "Body / Text"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
    p: "2xs",
    variant: "subtitle01Bold",
    children: "Body TextLink in Paragraph"
  }), /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Text.default, {
    p: "2xs",
    variant: "bodyText",
    children: ["It is an example of usage", ' ', /*#__PURE__*/(0, _jsxRuntime.jsx)(_TextLink.default, {
      p: "2xs",
      variant: "bodyText",
      isPressed: true,
      children: "Subtitle TextLink"
    }), ' ', "in a paragraph."]
  })]
});
exports.Body = Body;
const Caption = () => /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
  children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
    p: "2xs",
    variant: "subtitle01Bold",
    children: "TextLink Caption"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_TextLink.default, {
    variant: "captionText",
    p: "2xs",
    children: "Caption / Text"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_TextLink.default, {
    variant: "captionMedium",
    p: "2xs",
    children: "Caption / Medium"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_TextLink.default, {
    variant: "captionLongText",
    p: "2xs",
    children: "Caption / Long Text"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
    p: "2xs",
    variant: "subtitle01Bold",
    children: "Pressed TextLink Caption"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_TextLink.default, {
    variant: "captionText",
    p: "2xs",
    isPressed: true,
    children: "Caption / Text"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_TextLink.default, {
    variant: "captionMedium",
    p: "2xs",
    isPressed: true,
    children: "Caption / Medium"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_TextLink.default, {
    variant: "captionLongText",
    p: "2xs",
    isPressed: true,
    children: "Caption / Long Text"
  }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
    p: "2xs",
    variant: "subtitle01Bold",
    children: "Caption TextLink in Paragraph"
  }), /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Text.default, {
    p: "2xs",
    variant: "captionText",
    children: ["It is an example of usage", ' ', /*#__PURE__*/(0, _jsxRuntime.jsx)(_TextLink.default, {
      p: "2xs",
      variant: "captionText",
      isPressed: true,
      children: "Subtitle TextLink"
    }), ' ', "in a paragraph."]
  })]
});
exports.Caption = Caption;
//# sourceMappingURL=TextLink.stories.js.map