"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.WithAction = exports.Basic = void 0;
var _react = _interopRequireDefault(require("react"));
var _Button = _interopRequireDefault(require("../Button/Button"));
var _Text = _interopRequireDefault(require("../Text/Text"));
var _Toast = _interopRequireDefault(require("./Toast"));
var _ToastView = _interopRequireDefault(require("./ToastView"));
var _types = require("./types");
var _Input = _interopRequireDefault(require("../Input/Input"));
var _Box = _interopRequireDefault(require("../Box/Box"));
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const ToastMeta = {
  title: 'Toast',
  component: _ToastView.default
};
var _default = exports.default = ToastMeta;
const Basic = () => {
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
      p: "2xs",
      variant: "subtitle01Bold",
      children: "Toast"
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Button.default, {
      variant: "primary",
      kind: "neutral",
      label: "Show DEFAULT toast",
      filled: true,
      m: "2xs",
      onPress: () => _Toast.default.show({
        text: 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.'
      })
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Button.default, {
      variant: "primary",
      kind: "success",
      label: "Show SUCCESS toast",
      filled: true,
      m: "2xs",
      onPress: () => _Toast.default.show({
        variant: 'success',
        text: 'This is a SUCCESS toast'
      })
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Button.default, {
      variant: "primary",
      kind: "danger",
      label: "Show ERROR toast",
      filled: true,
      m: "2xs",
      onPress: () => _Toast.default.show({
        variant: 'error',
        text: 'This is an ERROR toast'
      })
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Button.default, {
      variant: "primary",
      label: "Show WARNING toast",
      filled: true,
      m: "2xs",
      onPress: () => _Toast.default.show({
        variant: 'warning',
        text: 'This is an WARNING toast'
      })
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
      m: "2xs",
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Input.default, {
        placeholder: "Focus to show keyboard"
      })
    })]
  });
};
exports.Basic = Basic;
const WithAction = () => {
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
      p: "2xs",
      variant: "subtitle01Bold",
      children: "Toast with action"
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Button.default, {
      variant: "primary",
      kind: "neutral",
      label: "Show DEFAULT toast with action",
      filled: true,
      m: "2xs",
      onPress: () => _Toast.default.show({
        variant: _types.ToastVariants.DEFAULT,
        text: 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.',
        duration: _types.ToastDurations.SHORT,
        action: close => {
          close();
        },
        actionText: 'Action'
      })
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Button.default, {
      variant: "primary",
      kind: "success",
      label: "Show SUCCESS toast with action",
      filled: true,
      m: "2xs",
      onPress: () => _Toast.default.show({
        variant: _types.ToastVariants.SUCCESS,
        text: 'This is a SUCCESS toast with action',
        duration: _types.ToastDurations.SHORT,
        action: close => {
          close();
        },
        actionText: 'Action'
      })
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Button.default, {
      variant: "primary",
      kind: "danger",
      label: "Show ERROR toast with action",
      filled: true,
      m: "2xs",
      onPress: () => _Toast.default.show({
        variant: _types.ToastVariants.ERROR,
        text: 'This is an ERROR toast with action',
        duration: _types.ToastDurations.SHORT,
        action: close => {
          close();
        },
        actionText: 'Action'
      })
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Button.default, {
      variant: "primary",
      label: "Show WARNING toast with action",
      filled: true,
      m: "2xs",
      onPress: () => _Toast.default.show({
        variant: _types.ToastVariants.WARNING,
        text: 'This is a WARNING toast with action',
        duration: _types.ToastDurations.SHORT,
        action: close => {
          close();
        },
        actionText: 'Action'
      })
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
      m: "2xs",
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Input.default, {
        placeholder: "Focus to show keyboard"
      })
    })]
  });
};
exports.WithAction = WithAction;
//# sourceMappingURL=Toast.stories.js.map