"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.Overlay = exports.Overflow = exports.Methods = exports.Basic = void 0;
var _react = _interopRequireDefault(require("react"));
var _dimentions = require("../../utils/dimentions");
var _Box = _interopRequireDefault(require("../Box/Box"));
var _Button = _interopRequireDefault(require("../Button/Button"));
var _Icon = _interopRequireDefault(require("../Icon/Icon"));
var _Text = _interopRequireDefault(require("../Text/Text"));
var _Tooltip = _interopRequireDefault(require("./Tooltip"));
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const positions = ['top', 'bottom'];
const TooltipMeta = {
  title: 'Tooltip',
  component: _Tooltip.default,
  argTypes: {
    position: {
      options: positions,
      control: {
        type: 'radio'
      }
    }
  },
  args: {
    content: 'Lorem ipsum dolor sit amet',
    overlay: true,
    hole: true,
    highlight: true,
    holePadding: 4
  }
};
var _default = exports.default = TooltipMeta;
const Basic = args => {
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
      height: _dimentions.deviceHeight * 0.3
    }), /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
      p: "3xl",
      flexDirection: "row",
      bg: "secondaryColor",
      alignItems: "center",
      justifyContent: "center",
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Tooltip.default, {
        id: "basic",
        position: args.position,
        overlay: args.overlay,
        hole: args.hole,
        holePadding: args.holePadding,
        highlight: args.highlight,
        content: args.content,
        children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Icon.default, {
          name: "info",
          color: "primaryColor",
          size: "m"
        })
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
        ml: "m",
        children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
          color: "white",
          variant: "subtitle2Medium",
          children: "Click to info icon"
        })
      })]
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
      style: {
        height: _dimentions.deviceHeight * 0.5
      }
    })]
  });
};
exports.Basic = Basic;
const Overflow = () => {
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
      p: "m",
      flexDirection: "row",
      alignItems: "center",
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Tooltip.default, {
        id: "text",
        overlay: true,
        hole: true,
        position: "top",
        content: "opened at the bottom because there was not enough space",
        children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
          bg: "primaryColor",
          padding: "s",
          borderRadius: "m",
          children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
            color: "white",
            variant: "subtitle2Medium",
            children: "too close to top"
          })
        })
      })
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
      style: {
        height: _dimentions.deviceHeight * 0.64
      }
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
      p: "m",
      flexDirection: "row",
      alignItems: "center",
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Tooltip.default, {
        id: "text",
        overlay: true,
        hole: true,
        position: "bottom",
        content: "opened at the top because there was not enough space",
        children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
          bg: "primaryColor",
          padding: "s",
          borderRadius: "m",
          children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
            color: "white",
            variant: "subtitle2Medium",
            children: "too close to bottom"
          })
        })
      })
    })]
  });
};
exports.Overflow = Overflow;
const Overlay = () => {
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Box.default, {
    p: "l",
    backgroundColor: "secondaryColor",
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
      p: "m",
      flexDirection: "row",
      alignItems: "center",
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Tooltip.default, {
        id: "test1",
        position: "bottom",
        content: "text Lorem ipsum dolor sit amet consectetur. Sagittis viverra id hendrerit nunc ultrices volutpat. Scelerisque tincidunt cras mattis.",
        children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
          bg: "primaryColor",
          padding: "s",
          borderRadius: "m",
          children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
            color: "white",
            variant: "subtitle2Medium",
            children: "no overlay"
          })
        })
      })
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
      p: "m",
      flexDirection: "row",
      alignItems: "center",
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Tooltip.default, {
        id: "test2",
        overlay: true,
        position: "bottom",
        content: "text Lorem ipsum dolor sit amet consectetur. Sagittis viverra id hendrerit nunc ultrices volutpat. Scelerisque tincidunt cras mattis.",
        children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
          bg: "primaryColor",
          padding: "s",
          borderRadius: "m",
          children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
            color: "white",
            variant: "subtitle2Medium",
            children: "overlay"
          })
        })
      })
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
      p: "m",
      flexDirection: "row",
      alignItems: "center",
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Tooltip.default, {
        id: "test3",
        overlay: true,
        hole: true,
        position: "bottom",
        content: "text Lorem ipsum dolor sit amet consectetur. Sagittis viverra id hendrerit nunc ultrices volutpat. Scelerisque tincidunt cras mattis.",
        children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
          bg: "primaryColor",
          padding: "s",
          borderRadius: "m",
          children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
            color: "white",
            variant: "subtitle2Medium",
            children: "overlay + hole"
          })
        })
      })
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
      p: "m",
      flexDirection: "row",
      alignItems: "center",
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Tooltip.default, {
        id: "test3",
        overlay: true,
        hole: true,
        highlight: true,
        position: "bottom",
        content: "text Lorem ipsum dolor sit amet consectetur. Sagittis viverra id hendrerit nunc ultrices volutpat. Scelerisque tincidunt cras mattis.",
        children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
          bg: "primaryColor",
          padding: "s",
          borderRadius: "m",
          children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
            color: "white",
            variant: "subtitle2Medium",
            children: "overlay + hole + highlight"
          })
        })
      })
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
      p: "m",
      flexDirection: "row",
      alignItems: "center",
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Tooltip.default, {
        id: "test4",
        overlay: true,
        hole: true,
        holePadding: 10,
        position: "bottom",
        content: "text Lorem ipsum dolor sit amet consectetur. Sagittis viverra id hendrerit nunc ultrices volutpat. Scelerisque tincidunt cras mattis.",
        children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
          bg: "primaryColor",
          padding: "s",
          borderRadius: "m",
          children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
            color: "white",
            variant: "subtitle2Medium",
            children: "overlay + hole + extra padding"
          })
        })
      })
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
      p: "m",
      flexDirection: "row",
      alignItems: "center",
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Tooltip.default, {
        id: "test4",
        overlay: true,
        hole: true,
        highlight: true,
        holePadding: 10,
        position: "bottom",
        content: "text Lorem ipsum dolor sit amet consectetur. Sagittis viverra id hendrerit nunc ultrices volutpat. Scelerisque tincidunt cras mattis.",
        children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
          bg: "primaryColor",
          padding: "s",
          borderRadius: "m",
          children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Text.default, {
            color: "white",
            variant: "subtitle2Medium",
            children: "overlay + hole + highlight + extra padding"
          })
        })
      })
    })]
  });
};
exports.Overlay = Overlay;
const Methods = () => {
  const tooltipRef = _react.default.useRef(null);
  const action = _react.default.useCallback(() => {
    setTimeout(() => {
      tooltipRef.current?.show();
      setTimeout(() => {
        tooltipRef.current?.hide();
      }, 3000);
    }, 2000);
  }, []);
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
      p: "m",
      flexDirection: "row",
      alignItems: "center",
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Tooltip.default, {
        id: "test5",
        ref: tooltipRef,
        overlay: true,
        hole: true,
        position: "bottom",
        content: "text Lorem ipsum dolor sit amet consectetur. Sagittis viverra id hendrerit nunc ultrices volutpat. Scelerisque tincidunt cras mattis.",
        children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Button.default, {
          label: "Show after 2sec and hide after 3sec",
          onPress: action
        })
      })
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Box.default, {
      style: {
        height: _dimentions.deviceHeight * 0.5
      }
    })]
  });
};
exports.Methods = Methods;
//# sourceMappingURL=Tooltip.stories.js.map