"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var _exportNames = {
  render: true,
  mockPanResponder: true
};
exports.render = exports.mockPanResponder = void 0;
var _restyle = require("@ergenekonyigit/restyle");
var _reactNative = require("@testing-library/react-native");
Object.keys(_reactNative).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _reactNative[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _reactNative[key];
    }
  });
});
var React = _interopRequireWildcard(require("react"));
var _reactNative2 = require("react-native");
var _theme = _interopRequireDefault(require("./theme"));
var _ = require(".");
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
_theme.default.fonts = {
  light: 'Rubik-Light',
  regular: 'Rubik-Regular',
  medium: 'Rubik-Medium',
  semiBold: 'Rubik-SemiBold',
  bold: 'Rubik-Bold'
};
const AllProviders = ({
  children
}) => /*#__PURE__*/(0, _jsxRuntime.jsx)(_restyle.ThemeProvider, {
  theme: _theme.default,
  children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_.PortalProvider, {
    children: children
  })
});
const customRender = (ui, options) => (0, _reactNative.render)(ui, {
  wrapper: AllProviders,
  ...options
});
exports.render = customRender;
const mockPanResponder = () => {
  jest.spyOn(_reactNative2.PanResponder, 'create').mockImplementation(({
    onStartShouldSetPanResponderCapture,
    onMoveShouldSetPanResponder,
    onPanResponderGrant,
    onPanResponderMove,
    onPanResponderRelease
  }) => ({
    panHandlers: {
      onStartShouldSetResponderCapture: onStartShouldSetPanResponderCapture,
      onMoveShouldSetResponder: onMoveShouldSetPanResponder,
      onResponderGrant: onPanResponderGrant,
      onResponderMove: onPanResponderMove,
      onResponderRelease: onPanResponderRelease
    }
  }));
};
exports.mockPanResponder = mockPanResponder;
//# sourceMappingURL=test-utils.js.map