"use strict";

import React, { useState } from 'react';
import Text from '../Text/Text';
import Alert from './Alert';
import Button from '../Button/Button';
import Box from '../Box/Box';
import { jsx as _jsx, jsxs as _jsxs, Fragment as _Fragment } from "react/jsx-runtime";
const variantList = ['info', 'warning', 'success', 'danger'];
const AlertMeta = {
  title: 'Alert',
  component: Alert,
  argTypes: {
    variant: {
      options: variantList,
      control: {
        type: 'radio'
      }
    }
  },
  args: {
    variant: variantList[0],
    caption: 'Informational Caption',
    description: 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed tincidunt tellus, tellus non facilisis. Est at ante amet eget ut blandit.',
    closable: true,
    icon: true,
    closed: false
  }
};
export default AlertMeta;
export const Basic = args => {
  const [state, setState] = useState(args);
  return /*#__PURE__*/_jsxs(_Fragment, {
    children: [/*#__PURE__*/_jsx(Text, {
      p: "2xs",
      variant: "subtitle01Bold",
      children: "Alert"
    }), /*#__PURE__*/_jsx(Box, {
      px: "m",
      py: "2xs",
      children: /*#__PURE__*/_jsxs(Alert, {
        ...state,
        onClose: () => setState({
          ...state,
          closed: true
        }),
        children: [/*#__PURE__*/_jsx(Button, {
          label: "Button"
        }), /*#__PURE__*/_jsx(Button, {
          label: "Button",
          variant: "secondary",
          ml: "2xs"
        })]
      })
    })]
  });
};
export const Variants = () => /*#__PURE__*/_jsxs(_Fragment, {
  children: [/*#__PURE__*/_jsx(Text, {
    p: "2xs",
    variant: "subtitle01Bold",
    children: "Alert Variants"
  }), /*#__PURE__*/_jsx(Box, {
    px: "m",
    py: "2xs",
    children: /*#__PURE__*/_jsxs(Alert, {
      caption: "Informational Caption",
      description: "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed tincidunt tellus, tellus non facilisis. Est at ante amet eget ut blandit.",
      closable: false,
      children: [/*#__PURE__*/_jsx(Button, {
        label: "Button"
      }), /*#__PURE__*/_jsx(Button, {
        label: "Button",
        variant: "secondary",
        ml: "2xs"
      })]
    })
  }), /*#__PURE__*/_jsx(Box, {
    px: "m",
    py: "2xs",
    children: /*#__PURE__*/_jsx(Alert, {
      caption: "Informational Caption",
      description: "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed tincidunt tellus, tellus non facilisis. Est at ante amet eget ut blandit.",
      variant: "warning",
      closable: true,
      icon: false,
      children: /*#__PURE__*/_jsx(Button, {
        label: "Button"
      })
    })
  }), /*#__PURE__*/_jsx(Box, {
    px: "m",
    py: "2xs",
    children: /*#__PURE__*/_jsx(Alert, {
      caption: "Informational Caption",
      description: "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed tincidunt tellus, tellus non facilisis. Est at ante amet eget ut blandit.",
      variant: "success",
      closable: false,
      icon: false,
      children: /*#__PURE__*/_jsx(Button, {
        label: "Button",
        variant: "secondary"
      })
    })
  }), /*#__PURE__*/_jsx(Box, {
    px: "m",
    py: "2xs",
    children: /*#__PURE__*/_jsx(Alert, {
      description: "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed tincidunt tellus, tellus non facilisis. Est at ante amet eget ut blandit.",
      variant: "danger",
      closable: true
    })
  })]
});
//# sourceMappingURL=Alert.stories.js.map