"use strict";

import React from 'react';
import Icon from '../Icon/Icon';
import { jsx as _jsx } from "react/jsx-runtime";
export const AlertIcon = /*#__PURE__*/React.memo(({
  variant = 'info',
  icon
}) => {
  const iconName = React.useMemo(() => {
    if (typeof icon === 'boolean' && !icon) {
      return null;
    }
    return {
      info: 'info',
      success: 'check-fill',
      warning: 'warning',
      danger: 'alert'
    }[variant];
  }, [variant, icon]);
  const iconColor = React.useMemo(() => {
    return {
      info: 'primaryKey',
      warning: 'warningKey',
      success: 'successKey',
      danger: 'dangerKey'
    }[variant];
  }, [variant]);
  if (!iconName) {
    return null;
  }
  return /*#__PURE__*/_jsx(Icon, {
    size: "s",
    name: iconName,
    color: iconColor,
    testID: "alert-icon"
  });
});
//# sourceMappingURL=AlertIcon.js.map