"use strict";

import React from 'react';
import { render } from '../../test-utils';
import { AlertIcon } from './AlertIcon';
import { jsx as _jsx } from "react/jsx-runtime";
describe('AlertIcon', () => {
  test('should render alert icon correctly', () => {
    // when
    const {
      toJSON
    } = render(/*#__PURE__*/_jsx(AlertIcon, {}));

    // then
    expect(toJSON()).toMatchSnapshot();
  });
  test('should render null when icon false', () => {
    // when
    const {
      toJSON
    } = render(/*#__PURE__*/_jsx(AlertIcon, {
      icon: false
    }));

    // then
    expect(toJSON()).toMatchSnapshot();
  });
  test('should render alert icon with given variant', () => {
    // when
    const {
      getByTestId
    } = render(/*#__PURE__*/_jsx(AlertIcon, {
      variant: "success"
    }));
    const alertComponent = getByTestId('alert-icon');

    // then
    expect(alertComponent.props.title).toBe('check-fill');
  });
});
//# sourceMappingURL=AlertIcon.test.js.map