"use strict";

import React from 'react';
import Box from '../Box/Box';
import Text from '../Text/Text';
import Badge from './Badge';
import { iconList } from '../Icon/list';
import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "react/jsx-runtime";
const variantList = ['default', 'neutral', 'success', 'warning', 'danger'];
const sizeList = ['small', 'medium', 'large'];
const BadgeMeta = {
  title: 'Badge',
  component: Badge,
  argTypes: {
    variant: {
      options: variantList,
      control: {
        type: 'radio'
      }
    },
    icon: {
      options: iconList,
      control: {
        type: 'select'
      }
    },
    size: {
      options: sizeList,
      control: {
        type: 'radio'
      }
    }
  },
  args: {
    variant: 'default',
    icon: 'confetti',
    text: 'Lorem Ipsum',
    size: 'medium',
    transparent: false
  }
};
export default BadgeMeta;
export const Basic = args => /*#__PURE__*/_jsxs(_Fragment, {
  children: [/*#__PURE__*/_jsx(Text, {
    p: "2xs",
    variant: "subtitle01Bold",
    children: "Badge"
  }), /*#__PURE__*/_jsx(Box, {
    px: "m",
    py: "2xs",
    children: /*#__PURE__*/_jsx(Badge, {
      variant: args.variant,
      icon: args.icon,
      text: args.text,
      size: args.size,
      transparent: args.transparent
    })
  })]
});
export const Cases = () => {
  return /*#__PURE__*/_jsxs(_Fragment, {
    children: [/*#__PURE__*/_jsx(Text, {
      p: "2xs",
      variant: "subtitle01Bold",
      children: "Badge Cases"
    }), /*#__PURE__*/_jsx(Box, {
      px: "m",
      py: "2xs",
      children: /*#__PURE__*/_jsx(Badge, {
        text: "Yeni",
        icon: "alert",
        color: "white",
        transparent: true,
        backgroundColor: "red"
      })
    }), /*#__PURE__*/_jsx(Box, {
      px: "m",
      py: "2xs",
      children: /*#__PURE__*/_jsx(Badge, {
        text: "Lorem Ipsum",
        icon: "confetti",
        color: "white",
        transparent: true,
        backgroundColor: "green"
      })
    }), /*#__PURE__*/_jsx(Box, {
      px: "m",
      py: "2xs",
      children: /*#__PURE__*/_jsx(Badge, {
        text: "Lorem Ipsum",
        transparent: true,
        color: "featuredColor",
        backgroundColor: "featuredBackground"
      })
    }), /*#__PURE__*/_jsx(Box, {
      px: "m",
      py: "2xs",
      children: /*#__PURE__*/_jsx(Badge, {
        text: "Lorem Ipsum",
        icon: "gift",
        color: "alternativeColor",
        transparent: true
      })
    }), /*#__PURE__*/_jsxs(Box, {
      px: "m",
      py: "2xs",
      flexDirection: "row",
      children: [/*#__PURE__*/_jsx(Box, {
        pr: "2xs",
        children: /*#__PURE__*/_jsx(Badge, {
          icon: "clock"
        })
      }), /*#__PURE__*/_jsx(Box, {
        pr: "2xs",
        children: /*#__PURE__*/_jsx(Badge, {
          variant: "neutral"
        })
      }), /*#__PURE__*/_jsx(Box, {
        pr: "2xs",
        children: /*#__PURE__*/_jsx(Badge, {
          variant: "success"
        })
      }), /*#__PURE__*/_jsx(Box, {
        pr: "2xs",
        children: /*#__PURE__*/_jsx(Badge, {
          variant: "warning"
        })
      }), /*#__PURE__*/_jsx(Box, {
        pr: "2xs",
        children: /*#__PURE__*/_jsx(Badge, {
          variant: "danger"
        })
      })]
    }), /*#__PURE__*/_jsxs(Box, {
      px: "m",
      py: "2xs",
      flexDirection: "row",
      children: [/*#__PURE__*/_jsx(Box, {
        pr: "2xs",
        children: /*#__PURE__*/_jsx(Badge, {
          icon: "hamburger",
          transparent: true
        })
      }), /*#__PURE__*/_jsx(Box, {
        pr: "2xs",
        children: /*#__PURE__*/_jsx(Badge, {
          icon: "flash",
          color: "featuredColor",
          transparent: true
        })
      }), /*#__PURE__*/_jsx(Box, {
        pr: "2xs",
        children: /*#__PURE__*/_jsx(Badge, {
          icon: "motorcycle",
          color: "successColor",
          transparent: true
        })
      }), /*#__PURE__*/_jsx(Box, {
        pr: "2xs",
        children: /*#__PURE__*/_jsx(Badge, {
          icon: "vacation-mode",
          transparent: true
        })
      }), /*#__PURE__*/_jsx(Box, {
        pr: "2xs",
        children: /*#__PURE__*/_jsx(Badge, {
          icon: "stop",
          color: "dangerColor",
          transparent: true
        })
      })]
    })]
  });
};
export const Sizes = () => {
  return /*#__PURE__*/_jsxs(_Fragment, {
    children: [/*#__PURE__*/_jsx(Text, {
      p: "2xs",
      variant: "subtitle01Bold",
      children: "Badge Sizes"
    }), /*#__PURE__*/_jsx(Box, {
      px: "m",
      py: "2xs",
      children: /*#__PURE__*/_jsx(Badge, {
        text: "Small Badge",
        size: "small"
      })
    }), /*#__PURE__*/_jsx(Box, {
      px: "m",
      py: "2xs",
      children: /*#__PURE__*/_jsx(Badge, {
        text: "Medium Badge",
        size: "medium"
      })
    }), /*#__PURE__*/_jsx(Box, {
      px: "m",
      py: "2xs",
      children: /*#__PURE__*/_jsx(Badge, {
        text: "Large Badge",
        size: "large"
      })
    })]
  });
};
export const WithBackground = () => {
  return /*#__PURE__*/_jsxs(_Fragment, {
    children: [/*#__PURE__*/_jsx(Text, {
      p: "2xs",
      variant: "subtitle01Bold",
      children: "Badge With Background"
    }), /*#__PURE__*/_jsx(Box, {
      px: "m",
      py: "2xs",
      children: /*#__PURE__*/_jsx(Badge, {
        text: "Default",
        icon: "clock"
      })
    }), /*#__PURE__*/_jsx(Box, {
      px: "m",
      py: "2xs",
      children: /*#__PURE__*/_jsx(Badge, {
        variant: "neutral",
        text: "Neutral"
      })
    }), /*#__PURE__*/_jsx(Box, {
      px: "m",
      py: "2xs",
      children: /*#__PURE__*/_jsx(Badge, {
        variant: "success",
        text: "Success"
      })
    }), /*#__PURE__*/_jsx(Box, {
      px: "m",
      py: "2xs",
      children: /*#__PURE__*/_jsx(Badge, {
        variant: "warning",
        text: "Warning"
      })
    }), /*#__PURE__*/_jsx(Box, {
      px: "m",
      py: "2xs",
      children: /*#__PURE__*/_jsx(Badge, {
        variant: "danger",
        text: "Danger"
      })
    })]
  });
};
export const WithoutBackground = () => {
  return /*#__PURE__*/_jsxs(_Fragment, {
    children: [/*#__PURE__*/_jsx(Text, {
      p: "2xs",
      variant: "subtitle01Bold",
      children: "Badge Without Background"
    }), /*#__PURE__*/_jsx(Box, {
      px: "m",
      py: "2xs",
      children: /*#__PURE__*/_jsx(Badge, {
        text: "Default",
        icon: "clock",
        transparent: true
      })
    }), /*#__PURE__*/_jsx(Box, {
      px: "m",
      py: "2xs",
      children: /*#__PURE__*/_jsx(Badge, {
        variant: "neutral",
        text: "Neutral",
        transparent: true
      })
    }), /*#__PURE__*/_jsx(Box, {
      px: "m",
      py: "2xs",
      children: /*#__PURE__*/_jsx(Badge, {
        variant: "success",
        text: "Success",
        transparent: true
      })
    }), /*#__PURE__*/_jsx(Box, {
      px: "m",
      py: "2xs",
      children: /*#__PURE__*/_jsx(Badge, {
        variant: "warning",
        text: "Warning",
        transparent: true
      })
    }), /*#__PURE__*/_jsx(Box, {
      px: "m",
      py: "2xs",
      children: /*#__PURE__*/_jsx(Badge, {
        variant: "danger",
        text: "Danger",
        transparent: true
      })
    })]
  });
};
//# sourceMappingURL=Badge.stories.js.map