"use strict";

import React from 'react';
import Text from '../Text/Text';
import BottomSheet from './BottomSheet';
import Button from '../Button/Button';
import Box from '../Box/Box';
import Image from '../Image/Image';
import { useWindowDimensions } from 'react-native';
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
const BottomSheetMeta = {
  title: 'BottomSheet',
  component: BottomSheet
};
export default BottomSheetMeta;
export const Basic = () => {
  const dims = useWindowDimensions();
  const [modal1, showModal1] = React.useState(false);
  const [modal2, showModal2] = React.useState(false);
  return /*#__PURE__*/_jsxs(Box, {
    borderRadius: "l",
    p: "m",
    children: [/*#__PURE__*/_jsx(Text, {
      variant: "subtitle1Bold",
      mb: "l",
      children: "BottomSheetStory"
    }), /*#__PURE__*/_jsxs(Box, {
      children: [/*#__PURE__*/_jsx(Button, {
        mb: "m",
        filled: true,
        label: "Basic",
        onPress: () => showModal1(true)
      }), /*#__PURE__*/_jsx(BottomSheet, {
        modalKey: "basic",
        selectButtonLabel: "Select",
        closeButtonLabel: "Close",
        visible: modal1,
        title: "Basic",
        closeButtonAction: () => showModal1(false),
        selectButtonAction: () => showModal1(false),
        children: /*#__PURE__*/_jsx(Text, {
          children: "Basic Content"
        })
      })]
    }), /*#__PURE__*/_jsxs(Box, {
      children: [/*#__PURE__*/_jsx(Button, {
        mb: "m",
        filled: true,
        label: "Basic with image",
        onPress: () => showModal2(true)
      }), /*#__PURE__*/_jsx(BottomSheet, {
        modalKey: "basic",
        selectButtonLabel: "Select",
        closeButtonLabel: "Close",
        visible: modal2,
        title: "Basic with image",
        closeButtonAction: () => showModal2(false),
        selectButtonAction: () => showModal2(false),
        children: /*#__PURE__*/_jsx(Image, {
          height: dims.height * 0.6,
          width: dims.width - 72,
          resizeMode: "cover",
          borderRadius: 8,
          source: {
            uri: 'https://cdn.dsmcdn.com/ty1006/product/media/images/prod/PIM/20230927/18/a885ced6-7ac8-4ccf-8b58-108db99ed477/1_org_zoom.jpg'
          }
        })
      })]
    })]
  });
};
//# sourceMappingURL=BottomSheet.stories.js.map