"use strict";

import { backgroundColor, backgroundColorShorthand, opacity, visible, layout, spacing, border, shadow, position, useRestyle, spacingShorthand, composeRestyleFunctions } from '@ergenekonyigit/restyle';
import React from 'react';
import { View as RNView } from 'react-native';
import { jsx as _jsx } from "react/jsx-runtime";
const restyleFunctions = composeRestyleFunctions([backgroundColor, backgroundColorShorthand, opacity, visible, layout, spacing, spacingShorthand, border, shadow, position]);
const Box = /*#__PURE__*/React.forwardRef(({
  testID,
  accessibilityLabel,
  accessible,
  ...rest
}, ref) => {
  const props = useRestyle(restyleFunctions, rest);
  const testProps = React.useMemo(() => {
    const result = {
      accessible: false,
      accessibilityLabel: undefined,
      testID: undefined
    };
    if (!(testID || accessibilityLabel)) {
      return result;
    }
    result.accessible = accessible ?? true;
    result.accessibilityLabel = accessibilityLabel ?? testID;
    result.testID = testID ?? accessibilityLabel;
    return result;
  }, [testID, accessibilityLabel, accessible]);
  return /*#__PURE__*/_jsx(RNView, {
    ...props,
    ...testProps,
    ref: ref
  });
});
export default Box;
//# sourceMappingURL=Box.js.map