"use strict";

import React from 'react';
import theme from '../../theme';
import { render } from '../../test-utils';
import Box from './Box';
import Text from '../Text/Text';
import { jsx as _jsx } from "react/jsx-runtime";
describe('Box', () => {
  test('should render box correctly', () => {
    // when
    const {
      toJSON
    } = render(/*#__PURE__*/_jsx(Box, {}));

    // then
    expect(toJSON()).toMatchSnapshot();
  });
  test('should render given box', () => {
    // when
    const {
      getByTestId
    } = render(/*#__PURE__*/_jsx(Box, {
      testID: "box",
      backgroundColor: "primaryKey"
    }));
    const boxComponent = getByTestId('box');

    // then
    expect(boxComponent.props.style[0].backgroundColor).toBe(theme.colors.primaryKey);
  });
  test('should render given box children ', () => {
    // when
    const {
      getByTestId
    } = render(/*#__PURE__*/_jsx(Box, {
      testID: "box",
      backgroundColor: "primaryKey",
      children: /*#__PURE__*/_jsx(Text, {
        children: "testtest"
      })
    }));
    const boxComponent = getByTestId('box');

    // then
    const textComponent = boxComponent.children[0];
    expect(textComponent.props.children).toBe('testtest');
  });
});
//# sourceMappingURL=Box.test.js.map