"use strict";

import React from 'react';
import Button from './Button';
import Box from '../Box/Box';
import Text from '../Text/Text';
import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "react/jsx-runtime";
const variantList = ['primary', 'secondary', 'tertiary'];
const kindList = ['default', 'neutral', 'success', 'danger'];
const sizeList = ['s', 'm', 'l'];
const ButtonMeta = {
  title: 'Button',
  component: Button,
  argTypes: {
    onPress: {
      action: 'pressed the button'
    },
    variant: {
      options: variantList,
      control: {
        type: 'radio'
      }
    },
    kind: {
      options: kindList,
      control: {
        type: 'radio'
      }
    },
    size: {
      options: sizeList,
      control: {
        type: 'radio'
      }
    }
  },
  args: {
    size: sizeList[1],
    kind: kindList[0],
    variant: variantList[0],
    disabled: false,
    filled: false
  }
};
export default ButtonMeta;
export const Basic = args => /*#__PURE__*/_jsxs(_Fragment, {
  children: [/*#__PURE__*/_jsx(Text, {
    p: "2xs",
    variant: "subtitle01Bold",
    children: "Button"
  }), /*#__PURE__*/_jsx(Button, {
    ...args,
    size: args.size,
    kind: args.kind,
    variant: args.variant,
    filled: args.filled,
    icon: "confetti",
    label: args.disabled ? `disabled ${args.kind} ${args.size} button` : `${args.variant} ${args.kind} ${args.size} button`,
    m: "2xs"
  })]
});
export const ButtonVariants = () => /*#__PURE__*/_jsxs(_Fragment, {
  children: [/*#__PURE__*/_jsx(Text, {
    p: "2xs",
    variant: "subtitle01Bold",
    children: "Button Variants"
  }), /*#__PURE__*/_jsxs(Box, {
    children: [/*#__PURE__*/_jsx(Button, {
      variant: "primary",
      label: "Primary Button",
      m: "2xs"
    }), /*#__PURE__*/_jsx(Button, {
      variant: "secondary",
      label: "Secondary Button",
      m: "2xs"
    }), /*#__PURE__*/_jsx(Button, {
      variant: "tertiary",
      label: "Tertiary Button",
      m: "2xs"
    })]
  })]
});
export const PrimaryButtons = () => /*#__PURE__*/_jsxs(_Fragment, {
  children: [/*#__PURE__*/_jsx(Text, {
    p: "2xs",
    variant: "subtitle01Bold",
    children: "Primary Buttons"
  }), /*#__PURE__*/_jsxs(Box, {
    children: [/*#__PURE__*/_jsx(Button, {
      label: "Primary Button",
      m: "2xs"
    }), /*#__PURE__*/_jsx(Button, {
      kind: "neutral",
      label: "Primary Button",
      m: "2xs"
    }), /*#__PURE__*/_jsx(Button, {
      kind: "success",
      label: "Primary Button",
      m: "2xs"
    }), /*#__PURE__*/_jsx(Button, {
      kind: "danger",
      label: "Primary Button",
      m: "2xs"
    })]
  })]
});
export const SecondaryButtons = () => /*#__PURE__*/_jsxs(_Fragment, {
  children: [/*#__PURE__*/_jsx(Text, {
    p: "2xs",
    variant: "subtitle01Bold",
    children: "Secondary Buttons"
  }), /*#__PURE__*/_jsxs(Box, {
    children: [/*#__PURE__*/_jsx(Button, {
      variant: "secondary",
      label: "Secondary Button",
      m: "2xs"
    }), /*#__PURE__*/_jsx(Button, {
      variant: "secondary",
      kind: "neutral",
      label: "Secondary Button",
      m: "2xs"
    }), /*#__PURE__*/_jsx(Button, {
      variant: "secondary",
      kind: "success",
      label: "Secondary Button",
      m: "2xs"
    }), /*#__PURE__*/_jsx(Button, {
      variant: "secondary",
      kind: "danger",
      label: "Secondary Button",
      m: "2xs"
    })]
  })]
});
export const TertiaryButtons = () => /*#__PURE__*/_jsxs(_Fragment, {
  children: [/*#__PURE__*/_jsx(Text, {
    p: "2xs",
    variant: "subtitle01Bold",
    children: "Tertiary Buttons"
  }), /*#__PURE__*/_jsxs(Box, {
    children: [/*#__PURE__*/_jsx(Button, {
      variant: "tertiary",
      label: "Tertiary Button",
      m: "2xs"
    }), /*#__PURE__*/_jsx(Button, {
      variant: "tertiary",
      kind: "neutral",
      label: "Tertiary Button",
      m: "2xs"
    }), /*#__PURE__*/_jsx(Button, {
      variant: "tertiary",
      kind: "success",
      label: "Tertiary Button",
      m: "2xs"
    }), /*#__PURE__*/_jsx(Button, {
      variant: "tertiary",
      kind: "danger",
      label: "Tertiary Button",
      m: "2xs"
    })]
  })]
});
export const IconButtons = () => /*#__PURE__*/_jsxs(_Fragment, {
  children: [/*#__PURE__*/_jsx(Text, {
    p: "2xs",
    variant: "subtitle01Bold",
    children: "Icon Buttons"
  }), /*#__PURE__*/_jsxs(Box, {
    flexDirection: "row",
    justifyContent: "space-around",
    children: [/*#__PURE__*/_jsxs(Box, {
      children: [/*#__PURE__*/_jsx(Button, {
        label: "Save",
        icon: "info",
        m: "2xs"
      }), /*#__PURE__*/_jsx(Button, {
        kind: "neutral",
        label: "Save",
        icon: "info",
        m: "2xs"
      }), /*#__PURE__*/_jsx(Button, {
        kind: "success",
        label: "Save",
        icon: "info",
        m: "2xs"
      }), /*#__PURE__*/_jsx(Button, {
        kind: "danger",
        label: "Save",
        icon: "info",
        m: "2xs"
      })]
    }), /*#__PURE__*/_jsxs(Box, {
      children: [/*#__PURE__*/_jsx(Button, {
        variant: "tertiary",
        label: "Save",
        icon: "info",
        m: "2xs"
      }), /*#__PURE__*/_jsx(Button, {
        variant: "tertiary",
        kind: "neutral",
        label: "Save",
        icon: "info",
        m: "2xs"
      }), /*#__PURE__*/_jsx(Button, {
        variant: "tertiary",
        kind: "success",
        label: "Save",
        icon: "info",
        m: "2xs"
      }), /*#__PURE__*/_jsx(Button, {
        variant: "tertiary",
        kind: "danger",
        label: "Save",
        icon: "info",
        m: "2xs"
      })]
    })]
  })]
});
export const IconOnlyButtons = () => /*#__PURE__*/_jsxs(_Fragment, {
  children: [/*#__PURE__*/_jsx(Text, {
    p: "2xs",
    variant: "subtitle01Bold",
    children: "Icon Only Buttons"
  }), /*#__PURE__*/_jsxs(Box, {
    children: [/*#__PURE__*/_jsx(Button, {
      icon: "info",
      m: "2xs"
    }), /*#__PURE__*/_jsx(Button, {
      kind: "neutral",
      icon: "info",
      m: "2xs"
    }), /*#__PURE__*/_jsx(Button, {
      kind: "success",
      icon: "info",
      m: "2xs"
    }), /*#__PURE__*/_jsx(Button, {
      kind: "danger",
      icon: "info",
      m: "2xs"
    })]
  })]
});
export const Sizes = () => /*#__PURE__*/_jsxs(_Fragment, {
  children: [/*#__PURE__*/_jsx(Text, {
    p: "2xs",
    variant: "subtitle01Bold",
    children: "Button Sizes"
  }), /*#__PURE__*/_jsxs(Box, {
    children: [/*#__PURE__*/_jsx(Button, {
      size: "l",
      icon: "info",
      label: "Primary Button",
      m: "2xs"
    }), /*#__PURE__*/_jsx(Button, {
      size: "m",
      icon: "info",
      label: "Primary Button",
      m: "2xs"
    }), /*#__PURE__*/_jsx(Button, {
      size: "s",
      icon: "info",
      label: "Primary Button",
      m: "2xs",
      mb: "2xl"
    }), /*#__PURE__*/_jsx(Button, {
      size: "l",
      icon: "info",
      label: "Primary Button",
      filled: true,
      m: "2xs"
    }), /*#__PURE__*/_jsx(Button, {
      size: "m",
      icon: "info",
      label: "Primary Button",
      filled: true,
      m: "2xs"
    }), /*#__PURE__*/_jsx(Button, {
      size: "s",
      icon: "info",
      label: "Primary Button",
      filled: true,
      m: "2xs"
    })]
  })]
});
export const DisabledButtons = () => /*#__PURE__*/_jsxs(_Fragment, {
  children: [/*#__PURE__*/_jsx(Text, {
    p: "2xs",
    variant: "subtitle01Bold",
    children: "Disabled Buttons"
  }), /*#__PURE__*/_jsxs(Box, {
    mt: "xl",
    children: [/*#__PURE__*/_jsx(Text, {
      p: "2xs",
      variant: "captionMedium",
      children: "Primary & Secondary Variants"
    }), /*#__PURE__*/_jsx(Button, {
      size: "l",
      disabled: true,
      label: "Passive Button",
      m: "2xs"
    }), /*#__PURE__*/_jsx(Button, {
      size: "m",
      disabled: true,
      label: "Passive Button",
      m: "2xs"
    }), /*#__PURE__*/_jsx(Button, {
      size: "s",
      disabled: true,
      label: "Passive Button",
      m: "2xs",
      mb: "2xl"
    }), /*#__PURE__*/_jsx(Text, {
      p: "2xs",
      variant: "captionMedium",
      children: "Tertiary Variant"
    }), /*#__PURE__*/_jsx(Button, {
      size: "l",
      variant: "tertiary",
      disabled: true,
      label: "Passive Button",
      m: "2xs"
    }), /*#__PURE__*/_jsx(Button, {
      size: "m",
      variant: "tertiary",
      disabled: true,
      label: "Passive Button",
      m: "2xs"
    }), /*#__PURE__*/_jsx(Button, {
      size: "s",
      variant: "tertiary",
      disabled: true,
      label: "Passive Button",
      m: "2xs"
    })]
  })]
});
export const PressedStates = () => /*#__PURE__*/_jsxs(_Fragment, {
  children: [/*#__PURE__*/_jsx(Text, {
    p: "2xs",
    variant: "subtitle01Bold",
    children: "Pressed States"
  }), /*#__PURE__*/_jsxs(Box, {
    mt: "xl",
    children: [/*#__PURE__*/_jsx(Text, {
      p: "2xs",
      variant: "captionMedium",
      children: "Primary & Secondary Variants"
    }), /*#__PURE__*/_jsx(Button, {
      isPressed: true,
      label: "Save",
      icon: "info",
      m: "2xs"
    }), /*#__PURE__*/_jsx(Button, {
      isPressed: true,
      kind: "neutral",
      label: "Save",
      icon: "info",
      m: "2xs"
    }), /*#__PURE__*/_jsx(Button, {
      isPressed: true,
      kind: "success",
      label: "Save",
      icon: "info",
      m: "2xs"
    }), /*#__PURE__*/_jsx(Button, {
      isPressed: true,
      kind: "danger",
      label: "Save",
      icon: "info",
      m: "2xs",
      mb: "2xl"
    }), /*#__PURE__*/_jsx(Text, {
      p: "2xs",
      variant: "captionMedium",
      children: "Tertiary Variant"
    }), /*#__PURE__*/_jsx(Button, {
      variant: "tertiary",
      isPressed: true,
      label: "Save",
      icon: "info",
      m: "2xs"
    }), /*#__PURE__*/_jsx(Button, {
      variant: "tertiary",
      isPressed: true,
      kind: "neutral",
      label: "Save",
      icon: "info",
      m: "2xs"
    }), /*#__PURE__*/_jsx(Button, {
      variant: "tertiary",
      isPressed: true,
      kind: "success",
      label: "Save",
      icon: "info",
      m: "2xs"
    }), /*#__PURE__*/_jsx(Button, {
      variant: "tertiary",
      isPressed: true,
      kind: "danger",
      label: "Save",
      icon: "info",
      m: "2xs"
    })]
  })]
});
//# sourceMappingURL=Button.stories.js.map