"use strict";

import { variantColorSelector } from './utils';
describe('Button/utils', () => {
  let kind;
  let variant;
  let isPressed;
  let disabled;
  beforeEach(() => {
    kind = 'default';
    variant = 'primary';
    isPressed = false;
    disabled = false;
  });
  test('should return default colors', () => {
    // when
    const result = variantColorSelector({});

    // then
    expect(result).toEqual({
      backgroundColor: 'primaryKey',
      borderColor: 'primaryKey',
      color: 'white'
    });
  });
  test('should return disabled colors', () => {
    // given
    disabled = true;

    // when
    const result = variantColorSelector({
      kind,
      variant,
      isPressed,
      disabled
    });

    // then
    expect(result).toEqual({
      backgroundColor: 'neutralLightest',
      borderColor: 'neutralLightest',
      color: 'neutralDarker'
    });
  });
  test('should return isPressed colors', () => {
    // given
    isPressed = true;

    // when
    const result = variantColorSelector({
      kind,
      variant,
      isPressed,
      disabled
    });

    // then
    expect(result).toEqual({
      backgroundColor: 'primaryHighlight',
      borderColor: 'primaryHighlight',
      color: 'white'
    });
  });
  test('should return default variant colors', () => {
    // when
    const result = variantColorSelector({
      kind,
      variant,
      isPressed,
      disabled
    });

    // then
    expect(result).toEqual({
      backgroundColor: 'primaryKey',
      borderColor: 'primaryKey',
      color: 'white'
    });
  });
  test('should return danger variant colors', () => {
    // given
    kind = 'danger';

    // when
    const result = variantColorSelector({
      kind,
      variant,
      isPressed,
      disabled
    });

    // then
    expect(result).toEqual({
      backgroundColor: 'dangerKey',
      borderColor: 'dangerKey',
      color: 'white'
    });
  });
});
//# sourceMappingURL=utils.test.js.map