"use strict";

import React from 'react';
import Box from '../Box/Box';
import Text from '../Text/Text';
import Checkbox from './Checkbox';
import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "react/jsx-runtime";
const CheckboxMeta = {
  title: 'Checkbox',
  component: Checkbox,
  argTypes: {
    onPress: {
      action: 'pressed the button'
    }
  },
  args: {
    checked: true,
    indeterminate: false,
    disabled: false
  }
};
export default CheckboxMeta;
export const Basic = args => {
  const [checked, setChecked] = React.useState(false);
  React.useEffect(() => {
    setChecked(args.checked);
  }, [args.checked]);
  return /*#__PURE__*/_jsxs(_Fragment, {
    children: [/*#__PURE__*/_jsx(Text, {
      p: "2xs",
      variant: "subtitle01Bold",
      children: "Checkbox"
    }), /*#__PURE__*/_jsx(Checkbox, {
      ...args,
      onPress: () => setChecked(!checked),
      checked: checked,
      indeterminate: args.indeterminate,
      label: "lorem ipsum",
      m: "2xs"
    })]
  });
};
export const Cases = () => {
  return /*#__PURE__*/_jsxs(_Fragment, {
    children: [/*#__PURE__*/_jsx(Text, {
      p: "2xs",
      variant: "subtitle01Bold",
      children: "Checkbox"
    }), /*#__PURE__*/_jsxs(Box, {
      px: "m",
      py: "2xs",
      flexDirection: "row",
      children: [/*#__PURE__*/_jsx(Checkbox, {
        checked: false
      }), /*#__PURE__*/_jsx(Box, {
        width: 8
      }), /*#__PURE__*/_jsx(Checkbox, {
        checked: true,
        indeterminate: false
      }), /*#__PURE__*/_jsx(Box, {
        width: 8
      }), /*#__PURE__*/_jsx(Checkbox, {
        checked: true,
        indeterminate: true
      }), /*#__PURE__*/_jsx(Box, {
        width: 8
      }), /*#__PURE__*/_jsx(Checkbox, {
        disabled: true,
        checked: false
      }), /*#__PURE__*/_jsx(Box, {
        width: 8
      }), /*#__PURE__*/_jsx(Checkbox, {
        disabled: true,
        checked: true,
        indeterminate: false
      }), /*#__PURE__*/_jsx(Box, {
        width: 8
      }), /*#__PURE__*/_jsx(Checkbox, {
        disabled: true,
        checked: true,
        indeterminate: true
      })]
    }), /*#__PURE__*/_jsxs(Box, {
      px: "m",
      py: "2xs",
      children: [/*#__PURE__*/_jsx(Box, {
        height: 12
      }), /*#__PURE__*/_jsx(Checkbox, {
        checked: false,
        label: "checked: false"
      }), /*#__PURE__*/_jsx(Box, {
        height: 12
      }), /*#__PURE__*/_jsx(Checkbox, {
        checked: false,
        indeterminate: false,
        label: "checked: false, indeterminate: false"
      }), /*#__PURE__*/_jsx(Box, {
        height: 12
      }), /*#__PURE__*/_jsx(Checkbox, {
        checked: false,
        indeterminate: true,
        label: "checked: false, indeterminate: true"
      }), /*#__PURE__*/_jsx(Box, {
        height: 12
      }), /*#__PURE__*/_jsx(Checkbox, {
        checked: true,
        label: "checked: true"
      }), /*#__PURE__*/_jsx(Box, {
        height: 12
      }), /*#__PURE__*/_jsx(Checkbox, {
        checked: true,
        indeterminate: false,
        label: "checked: true, indeterminate: false"
      }), /*#__PURE__*/_jsx(Box, {
        height: 12
      }), /*#__PURE__*/_jsx(Checkbox, {
        checked: true,
        indeterminate: true,
        label: "checked: true, indeterminate: true"
      })]
    }), /*#__PURE__*/_jsxs(Box, {
      px: "m",
      py: "xs",
      children: [/*#__PURE__*/_jsx(Text, {
        py: "xs",
        variant: "subtitle02Medium",
        children: "Disable:"
      }), /*#__PURE__*/_jsx(Checkbox, {
        disabled: true,
        checked: false,
        label: "disabled, checked: false"
      }), /*#__PURE__*/_jsx(Box, {
        height: 12
      }), /*#__PURE__*/_jsx(Checkbox, {
        disabled: true,
        checked: false,
        indeterminate: false,
        label: "disabled, checked: false, indeterminate: false"
      }), /*#__PURE__*/_jsx(Box, {
        height: 12
      }), /*#__PURE__*/_jsx(Checkbox, {
        disabled: true,
        checked: false,
        indeterminate: true,
        label: "disabled, checked: false, indeterminate: true"
      }), /*#__PURE__*/_jsx(Box, {
        height: 12
      }), /*#__PURE__*/_jsx(Checkbox, {
        disabled: true,
        checked: true,
        label: "disabled, checked: true"
      }), /*#__PURE__*/_jsx(Box, {
        height: 12
      }), /*#__PURE__*/_jsx(Checkbox, {
        disabled: true,
        checked: true,
        indeterminate: false,
        label: "disabled, checked: true, indeterminate: false"
      }), /*#__PURE__*/_jsx(Box, {
        height: 12
      }), /*#__PURE__*/_jsx(Checkbox, {
        disabled: true,
        checked: true,
        indeterminate: true,
        label: "disabled, checked: true, indeterminate: true"
      })]
    }), /*#__PURE__*/_jsxs(Box, {
      px: "m",
      py: "xs",
      children: [/*#__PURE__*/_jsx(Text, {
        py: "xs",
        variant: "subtitle02Medium",
        children: "Alignment:"
      }), /*#__PURE__*/_jsx(Checkbox, {
        checked: false,
        label: "Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua."
      }), /*#__PURE__*/_jsx(Box, {
        height: 12
      }), /*#__PURE__*/_jsx(Checkbox, {
        checked: false,
        indeterminate: false,
        alignItems: "center",
        label: "Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua."
      })]
    })]
  });
};
export const CheckboxWithFlagIcon = () => {
  return /*#__PURE__*/_jsxs(_Fragment, {
    children: [/*#__PURE__*/_jsx(Text, {
      p: "2xs",
      variant: "subtitle01Bold",
      children: "Checkbox With Flag Icon"
    }), /*#__PURE__*/_jsxs(Box, {
      px: "m",
      py: "2xs",
      children: [/*#__PURE__*/_jsx(Box, {
        height: 12
      }), /*#__PURE__*/_jsx(Checkbox, {
        checked: false,
        label: "checked: false, flagIcon: TR",
        flagIcon: "TR"
      }), /*#__PURE__*/_jsx(Box, {
        height: 12
      }), /*#__PURE__*/_jsx(Checkbox, {
        checked: true,
        label: "checked: true, flagIcon: DE",
        flagIcon: "DE"
      }), /*#__PURE__*/_jsx(Box, {
        height: 12
      }), /*#__PURE__*/_jsx(Checkbox, {
        checked: true,
        indeterminate: true,
        label: "checked: true, indeterminate: true, flagIcon: GR",
        flagIcon: "GR"
      }), /*#__PURE__*/_jsx(Box, {
        height: 12
      }), /*#__PURE__*/_jsx(Checkbox, {
        disabled: true,
        checked: false,
        label: "checked: false, disabled, flagIcon: RO",
        flagIcon: "RO"
      })]
    })]
  });
};
//# sourceMappingURL=Checkbox.stories.js.map