"use strict";

import React from 'react';
import CalendarPicker from './CalendarPicker';
import MonthPicker from './MonthPicker';
import YearPicker from './YearPicker';
import BottomSheet from '../BottomSheet/BottomSheet';
import CalendarHeader from './CalendarHeader';
import { ShowPickerType } from './constants';
import { useDatePickerContext } from './DatePickerContext';
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
const CalendarWrapper = props => {
  const context = useDatePickerContext();
  return /*#__PURE__*/_jsxs(BottomSheet, {
    title: props.title,
    visible: context.visible,
    closeButtonAction: context.handleClose,
    closeButtonLabel: props.closeButtonLabel || '',
    selectButtonLabel: props.selectButtonLabel || '',
    selectButtonAction: context.onChange,
    testID: context.testID,
    children: [/*#__PURE__*/_jsx(CalendarHeader, {
      context: context
    }), context.showPickerType === ShowPickerType.MONTH && /*#__PURE__*/_jsx(MonthPicker, {
      context: context
    }), context.showPickerType === ShowPickerType.YEAR && /*#__PURE__*/_jsx(YearPicker, {
      context: context
    }), context.showPickerType === ShowPickerType.NONE && /*#__PURE__*/_jsx(CalendarPicker, {
      context: context
    })]
  });
};
export default CalendarWrapper;
//# sourceMappingURL=CalendarWrapper.js.map