"use strict";

import React from 'react';
import { useTheme } from '@ergenekonyigit/restyle';
import * as icons from '../../icons';
import { jsx as _jsx } from "react/jsx-runtime";
const FlagIcon = ({
  name,
  size = 'l',
  testID = 'flagIcon',
  ...rest
}) => {
  const theme = useTheme();
  if (!name) {
    return null;
  }
  const iconSize = theme.iconSizeVariants[size];
  const TheIcon = icons[name] || icons.GlobeFlag;
  return /*#__PURE__*/_jsx(TheIcon, {
    ...rest,
    title: name,
    width: iconSize,
    height: iconSize,
    testID: testID,
    accessibilityLabel: testID
  });
};
export default FlagIcon;
//# sourceMappingURL=FlagIcon.js.map