"use strict";

import React from 'react';
import FlagIcon from './FlagIcon';
import { flagIconList } from './list';
import Box from '../Box/Box';
import Text from '../Text/Text';
import { jsx as _jsx, jsxs as _jsxs, Fragment as _Fragment } from "react/jsx-runtime";
const sizeList = ['2xs', 'xs', 's', 'm', 'l', 'xl'];
const FlagIconMeta = {
  title: 'FlagIcon',
  component: FlagIcon,
  argTypes: {
    name: {
      options: flagIconList,
      control: {
        type: 'select'
      }
    },
    size: {
      options: sizeList,
      control: {
        type: 'radio'
      }
    }
  },
  args: {
    name: 'TR',
    size: 'l'
  }
};
export default FlagIconMeta;
export const Basic = args => /*#__PURE__*/_jsxs(_Fragment, {
  children: [/*#__PURE__*/_jsx(Text, {
    p: "2xs",
    variant: "subtitle01Bold",
    children: "Flag Icon"
  }), /*#__PURE__*/_jsxs(Box, {
    flexDirection: "row",
    p: "2xs",
    alignItems: "center",
    children: [/*#__PURE__*/_jsx(FlagIcon, {
      name: args.name,
      size: args.size
    }), /*#__PURE__*/_jsx(Text, {
      px: "2xs",
      children: args.name
    })]
  })]
});
export const FlagIconSizes = args => /*#__PURE__*/_jsxs(_Fragment, {
  children: [/*#__PURE__*/_jsx(Text, {
    p: "2xs",
    variant: "subtitle01Bold",
    children: "Flag Icon Sizes"
  }), /*#__PURE__*/_jsxs(Box, {
    p: "2xs",
    alignSelf: "flex-start",
    children: [/*#__PURE__*/_jsxs(Box, {
      flexDirection: "row",
      p: "2xs",
      alignItems: "center",
      children: [/*#__PURE__*/_jsx(FlagIcon, {
        name: args.name,
        size: "xl"
      }), /*#__PURE__*/_jsx(Text, {
        px: "2xs",
        children: "xl"
      })]
    }), /*#__PURE__*/_jsxs(Box, {
      flexDirection: "row",
      p: "2xs",
      alignItems: "center",
      children: [/*#__PURE__*/_jsx(FlagIcon, {
        name: args.name,
        size: "l"
      }), /*#__PURE__*/_jsx(Text, {
        px: "2xs",
        children: "l"
      })]
    }), /*#__PURE__*/_jsxs(Box, {
      flexDirection: "row",
      p: "2xs",
      alignItems: "center",
      children: [/*#__PURE__*/_jsx(FlagIcon, {
        name: args.name,
        size: "m"
      }), /*#__PURE__*/_jsx(Text, {
        px: "2xs",
        children: "m"
      })]
    }), /*#__PURE__*/_jsxs(Box, {
      flexDirection: "row",
      p: "2xs",
      alignItems: "center",
      children: [/*#__PURE__*/_jsx(FlagIcon, {
        name: args.name,
        size: "s"
      }), /*#__PURE__*/_jsx(Text, {
        px: "2xs",
        children: "s"
      })]
    }), /*#__PURE__*/_jsxs(Box, {
      flexDirection: "row",
      p: "2xs",
      alignItems: "center",
      children: [/*#__PURE__*/_jsx(FlagIcon, {
        name: args.name,
        size: "xs"
      }), /*#__PURE__*/_jsx(Text, {
        px: "2xs",
        children: "xs"
      })]
    }), /*#__PURE__*/_jsxs(Box, {
      flexDirection: "row",
      p: "2xs",
      alignItems: "center",
      children: [/*#__PURE__*/_jsx(FlagIcon, {
        name: args.name,
        size: "2xs"
      }), /*#__PURE__*/_jsx(Text, {
        px: "2xs",
        children: "2xs"
      })]
    })]
  })]
});
export const FlagIconList = () => /*#__PURE__*/_jsxs(_Fragment, {
  children: [/*#__PURE__*/_jsx(Text, {
    p: "2xs",
    variant: "subtitle01Bold",
    children: "Flag Icon List"
  }), /*#__PURE__*/_jsx(Box, {
    p: "2xs",
    alignSelf: "flex-start",
    children: flagIconList.map(iconName => /*#__PURE__*/_jsxs(Box, {
      flexDirection: "row",
      p: "2xs",
      alignItems: "center",
      children: [/*#__PURE__*/_jsx(FlagIcon, {
        name: iconName
      }), /*#__PURE__*/_jsx(Text, {
        px: "2xs",
        children: iconName
      })]
    }, iconName))
  })]
});
//# sourceMappingURL=FlagIcon.stories.js.map