"use strict";

import React from 'react';
import { useTheme } from '@ergenekonyigit/restyle';
import * as icons from '../../icons';
import { toPascalCase } from './utils';
import { jsx as _jsx } from "react/jsx-runtime";
const Icon = ({
  name,
  color = 'neutralDarker',
  size = 'l',
  testID = 'icon',
  ...rest
}) => {
  const theme = useTheme();
  if (!name) {
    return null;
  }
  const iconColor = theme.colors[`${color}`] ?? color;
  const iconSize = theme.iconSizeVariants[size];
  const TheIcon = icons[toPascalCase(name)];
  return /*#__PURE__*/_jsx(TheIcon, {
    ...rest,
    title: name,
    fill: iconColor,
    width: iconSize,
    height: iconSize,
    testID: testID,
    accessibilityLabel: testID
  });
};
export default Icon;
//# sourceMappingURL=Icon.js.map