"use strict";

import React from 'react';
import Icon from './Icon';
import { iconList } from './list';
import Box from '../Box/Box';
import Text from '../Text/Text';
import { jsx as _jsx, jsxs as _jsxs, Fragment as _Fragment } from "react/jsx-runtime";
const sizeList = ['2xs', 'xs', 's', 'm', 'l', 'xl'];
const IconMeta = {
  title: 'Icon',
  component: Icon,
  argTypes: {
    name: {
      options: iconList,
      control: {
        type: 'select'
      }
    },
    size: {
      options: sizeList,
      control: {
        type: 'radio'
      }
    }
  },
  args: {
    name: 'confetti',
    color: 'neutralDarker',
    size: 'l'
  }
};
export default IconMeta;
export const Basic = args => /*#__PURE__*/_jsxs(_Fragment, {
  children: [/*#__PURE__*/_jsx(Text, {
    p: "2xs",
    variant: "subtitle01Bold",
    children: "Icon"
  }), /*#__PURE__*/_jsxs(Box, {
    flexDirection: "row",
    p: "2xs",
    alignItems: "center",
    children: [/*#__PURE__*/_jsx(Icon, {
      name: args.name,
      color: args.color,
      size: args.size
    }), /*#__PURE__*/_jsx(Text, {
      px: "2xs",
      children: args.name
    })]
  })]
});
export const IconSizes = args => /*#__PURE__*/_jsxs(_Fragment, {
  children: [/*#__PURE__*/_jsx(Text, {
    p: "2xs",
    variant: "subtitle01Bold",
    children: "Icon Sizes"
  }), /*#__PURE__*/_jsxs(Box, {
    p: "2xs",
    alignSelf: "flex-start",
    children: [/*#__PURE__*/_jsxs(Box, {
      flexDirection: "row",
      p: "2xs",
      alignItems: "center",
      children: [/*#__PURE__*/_jsx(Icon, {
        name: args.name,
        color: args.color,
        size: "xl"
      }), /*#__PURE__*/_jsx(Text, {
        px: "2xs",
        children: "xl"
      })]
    }), /*#__PURE__*/_jsxs(Box, {
      flexDirection: "row",
      p: "2xs",
      alignItems: "center",
      children: [/*#__PURE__*/_jsx(Icon, {
        name: args.name,
        color: args.color,
        size: "l"
      }), /*#__PURE__*/_jsx(Text, {
        px: "2xs",
        children: "l"
      })]
    }), /*#__PURE__*/_jsxs(Box, {
      flexDirection: "row",
      p: "2xs",
      alignItems: "center",
      children: [/*#__PURE__*/_jsx(Icon, {
        name: args.name,
        color: args.color,
        size: "m"
      }), /*#__PURE__*/_jsx(Text, {
        px: "2xs",
        children: "m"
      })]
    }), /*#__PURE__*/_jsxs(Box, {
      flexDirection: "row",
      p: "2xs",
      alignItems: "center",
      children: [/*#__PURE__*/_jsx(Icon, {
        name: args.name,
        color: args.color,
        size: "s"
      }), /*#__PURE__*/_jsx(Text, {
        px: "2xs",
        children: "s"
      })]
    }), /*#__PURE__*/_jsxs(Box, {
      flexDirection: "row",
      p: "2xs",
      alignItems: "center",
      children: [/*#__PURE__*/_jsx(Icon, {
        name: args.name,
        color: args.color,
        size: "xs"
      }), /*#__PURE__*/_jsx(Text, {
        px: "2xs",
        children: "xs"
      })]
    }), /*#__PURE__*/_jsxs(Box, {
      flexDirection: "row",
      p: "2xs",
      alignItems: "center",
      children: [/*#__PURE__*/_jsx(Icon, {
        name: args.name,
        color: args.color,
        size: "2xs"
      }), /*#__PURE__*/_jsx(Text, {
        px: "2xs",
        children: "2xs"
      })]
    })]
  })]
});
export const IconColors = args => /*#__PURE__*/_jsxs(_Fragment, {
  children: [/*#__PURE__*/_jsx(Text, {
    p: "2xs",
    variant: "subtitle01Bold",
    children: "Icon Colors"
  }), /*#__PURE__*/_jsxs(Box, {
    alignSelf: "flex-start",
    p: "2xs",
    children: [/*#__PURE__*/_jsxs(Box, {
      flexDirection: "row",
      p: "2xs",
      alignItems: "center",
      children: [/*#__PURE__*/_jsx(Icon, {
        name: args.name,
        color: "neutralDarker"
      }), /*#__PURE__*/_jsx(Text, {
        px: "2xs",
        children: "neutralDarker"
      })]
    }), /*#__PURE__*/_jsxs(Box, {
      flexDirection: "row",
      p: "2xs",
      alignItems: "center",
      children: [/*#__PURE__*/_jsx(Icon, {
        name: args.name,
        color: "red"
      }), /*#__PURE__*/_jsx(Text, {
        px: "2xs",
        children: "red"
      })]
    }), /*#__PURE__*/_jsxs(Box, {
      flexDirection: "row",
      p: "2xs",
      alignItems: "center",
      children: [/*#__PURE__*/_jsx(Icon, {
        name: args.name,
        color: "#fcba03"
      }), /*#__PURE__*/_jsx(Text, {
        px: "2xs",
        children: "#fcba03"
      })]
    })]
  })]
});
export const IconList = args => /*#__PURE__*/_jsxs(_Fragment, {
  children: [/*#__PURE__*/_jsx(Text, {
    p: "2xs",
    variant: "subtitle01Bold",
    children: "Icon List"
  }), /*#__PURE__*/_jsx(Box, {
    p: "2xs",
    alignSelf: "flex-start",
    children: iconList.map(iconName => /*#__PURE__*/_jsxs(Box, {
      flexDirection: "row",
      p: "2xs",
      alignItems: "center",
      children: [/*#__PURE__*/_jsx(Icon, {
        name: iconName,
        color: args.color
      }), /*#__PURE__*/_jsx(Text, {
        px: "2xs",
        children: iconName
      })]
    }, iconName))
  })]
});
//# sourceMappingURL=Icon.stories.js.map