"use strict";

import React from 'react';
import { Image as RNImage } from 'react-native';
import Box from '../Box/Box';
import { jsx as _jsx } from "react/jsx-runtime";
const Image = ({
  bordered = true,
  width = 48,
  height = 72,
  source,
  testID = 'image',
  accessibilityLabel = 'image',
  borderRadius = 0,
  style,
  ...rest
}) => {
  return /*#__PURE__*/_jsx(Box, {
    width: width,
    height: height,
    borderWidth: bordered ? 1 : 0,
    borderColor: bordered ? 'neutralLighter' : 'transparent',
    testID: `${testID}-box`,
    style: {
      borderRadius
    },
    accessibilityLabel: `${accessibilityLabel}-box`,
    children: /*#__PURE__*/_jsx(RNImage, {
      style: {
        height: bordered ? height - 2 : height,
        width: bordered ? width - 2 : width,
        borderRadius: borderRadius ? borderRadius - 1 : borderRadius,
        ...style
      },
      source: source,
      testID: testID,
      accessibilityLabel: accessibilityLabel,
      ...rest
    })
  });
};
export default Image;
//# sourceMappingURL=Image.js.map