"use strict";

import React, { useState } from 'react';
import Text from '../Text/Text';
import Input from './Input';
import Box from '../Box/Box';
import Button from '../Button/Button';
import { iconList } from '../Icon/list';
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
const sizeList = ['small', 'medium', 'large'];
const InputMeta = {
  title: 'Input',
  component: Input,
  argTypes: {
    size: {
      options: sizeList,
      control: {
        type: 'radio'
      }
    },
    icon: {
      options: iconList,
      control: {
        type: 'select'
      }
    }
  },
  args: {
    size: 'large',
    label: 'Label',
    subLabel: '',
    placeholder: 'Placeholder Text',
    labelFixed: false,
    required: false,
    secureTextEntry: false,
    helpText: 'Help Text',
    error: false,
    success: false,
    disabled: false,
    errorText: 'Error Text',
    successText: 'Success Text',
    icon: 'confetti',
    leadingText: '',
    trailingText: ''
  }
};
export default InputMeta;
export const Basic = args => /*#__PURE__*/_jsxs(Box, {
  px: '2xs',
  children: [/*#__PURE__*/_jsx(Text, {
    py: '2xs',
    variant: "subtitle01Bold",
    children: "Input"
  }), /*#__PURE__*/_jsx(Input, {
    ...args
  })]
});
export const Cases = args => {
  const [state, setState] = useState(args);
  return /*#__PURE__*/_jsxs(Box, {
    px: '2xs',
    children: [/*#__PURE__*/_jsx(Text, {
      py: '2xs',
      variant: "subtitle01Bold",
      children: "Input Cases"
    }), /*#__PURE__*/_jsx(Input, {
      ...args,
      success: false,
      error: false,
      required: false,
      helpText: null,
      icon: null,
      disabled: true
    }), /*#__PURE__*/_jsx(Input, {
      ...args,
      success: false,
      error: false,
      required: true,
      helpText: null,
      icon: "calendar",
      label: null
    }), /*#__PURE__*/_jsx(Input, {
      ...args,
      subLabel: '(Optional)',
      labelFixed: true,
      icon: null,
      size: "large",
      helpText: null
    }), /*#__PURE__*/_jsx(Input, {
      ...args,
      subLabel: '(Optional)',
      icon: null,
      size: "large",
      helpText: null
    }), /*#__PURE__*/_jsx(Input, {
      ...args,
      labelFixed: false,
      success: false,
      error: false,
      icon: null,
      size: "large",
      helpText: null
    }), /*#__PURE__*/_jsx(Input, {
      ...args,
      labelFixed: false,
      success: false,
      error: false,
      icon: null,
      size: "medium",
      helpText: null
    }), /*#__PURE__*/_jsx(Input, {
      ...args,
      labelFixed: false,
      success: false,
      error: false,
      icon: null,
      size: "small",
      helpText: null
    }), /*#__PURE__*/_jsx(Input, {
      ...state
    }), /*#__PURE__*/_jsxs(Box, {
      flexDirection: "row",
      mb: "m",
      children: [/*#__PURE__*/_jsx(Button, {
        flex: 1,
        kind: "danger",
        variant: "secondary",
        size: "s",
        onPress: () => setState({
          ...state,
          error: true,
          errorText: null,
          success: false
        }),
        label: "Toggle Error",
        filled: true,
        mr: "2xs"
      }), /*#__PURE__*/_jsx(Button, {
        flex: 1,
        size: "s",
        kind: "success",
        variant: "secondary",
        onPress: () => setState({
          ...state,
          success: true,
          successText: null,
          error: false
        }),
        label: "Toggle Success",
        filled: true,
        ml: "2xs"
      })]
    }), /*#__PURE__*/_jsxs(Box, {
      flexDirection: "row",
      children: [/*#__PURE__*/_jsx(Button, {
        flex: 1,
        size: "s",
        kind: "danger",
        variant: "secondary",
        onPress: () => setState({
          ...state,
          error: true,
          errorText: 'Error text',
          success: false
        }),
        label: "Error with Text",
        filled: true,
        mr: "2xs"
      }), /*#__PURE__*/_jsx(Button, {
        flex: 1,
        size: "s",
        kind: "success",
        variant: "secondary",
        onPress: () => setState({
          ...state,
          success: true,
          successText: 'Success text',
          error: false
        }),
        label: "Success with Text",
        filled: true,
        ml: "2xs"
      })]
    })]
  });
};
export const Sizes = () => /*#__PURE__*/_jsxs(Box, {
  px: '2xs',
  children: [/*#__PURE__*/_jsx(Text, {
    py: '2xs',
    variant: "subtitle01Bold",
    children: "Input Sizes"
  }), /*#__PURE__*/_jsxs(Box, {
    py: 'xs',
    children: [/*#__PURE__*/_jsx(Input, {
      size: "large",
      label: "Label",
      placeholder: "Large"
    }), /*#__PURE__*/_jsx(Input, {
      size: "large",
      label: "Label",
      placeholder: "Large",
      labelFixed: true
    }), /*#__PURE__*/_jsx(Input, {
      size: "large",
      placeholder: "Large"
    })]
  }), /*#__PURE__*/_jsxs(Box, {
    py: 'xs',
    children: [/*#__PURE__*/_jsx(Input, {
      size: "medium",
      label: "Label",
      placeholder: "Medium"
    }), /*#__PURE__*/_jsx(Input, {
      size: "medium",
      label: "Label",
      placeholder: "Medium",
      labelFixed: true
    }), /*#__PURE__*/_jsx(Input, {
      size: "medium",
      placeholder: "Medium"
    })]
  }), /*#__PURE__*/_jsxs(Box, {
    py: 'xs',
    children: [/*#__PURE__*/_jsx(Input, {
      size: "small",
      label: "Label",
      placeholder: "Small"
    }), /*#__PURE__*/_jsx(Input, {
      size: "small",
      label: "Label",
      placeholder: "Small",
      labelFixed: true
    }), /*#__PURE__*/_jsx(Input, {
      size: "small",
      placeholder: "Small"
    })]
  })]
});
//# sourceMappingURL=Input.stories.js.map