"use strict";

import React from 'react';
import Box from '../Box/Box';
import Text from '../Text/Text';
import { getHelpText, getTextColor } from './utils';
import { jsx as _jsx } from "react/jsx-runtime";
export const InputHelpText = /*#__PURE__*/React.memo(({
  helpText,
  successState,
  errorState,
  errorText,
  successText
}) => {
  if (!helpText && !errorText && !successText) {
    return null;
  }
  const textColor = getTextColor({
    errorState,
    successState
  });
  const content = getHelpText({
    helpText,
    errorText,
    successText,
    errorState,
    successState
  });
  return content ? /*#__PURE__*/_jsx(Box, {
    mt: "3xs",
    children: /*#__PURE__*/_jsx(Text, {
      variant: "subtitle04Regular",
      color: textColor,
      textAlign: "left",
      children: content
    })
  }) : null;
});
//# sourceMappingURL=InputHelpText.js.map