"use strict";

import React from 'react';
import { render } from '../../test-utils';
import { InputHelpText } from './InputHelpText';
import { jsx as _jsx } from "react/jsx-runtime";
describe('Input Help Text', () => {
  let helpText;
  let errorText;
  let successText;
  let errorState;
  let successState;
  test('should render help text correctly', () => {
    // given
    helpText = 'help text';
    errorText = 'error text';
    successText = 'success text';
    errorState = false;
    successState = false;

    // when
    const {
      toJSON
    } = render(/*#__PURE__*/_jsx(InputHelpText, {
      helpText: helpText,
      successState: successState,
      errorState: errorState,
      errorText: errorText,
      successText: successText
    }));

    // then
    expect(toJSON()).toMatchSnapshot();
  });
  test('should render null when not has help text, error text and success text', () => {
    // given
    helpText = null;
    errorText = null;
    successText = null;
    errorState = false;
    successState = false;

    // when
    const {
      toJSON
    } = render(/*#__PURE__*/_jsx(InputHelpText, {
      helpText: helpText,
      successState: successState,
      errorState: errorState,
      errorText: errorText,
      successText: successText
    }));

    // then
    expect(toJSON()).toMatchSnapshot();
  });
  test('should render null when not has help text', () => {
    // given
    helpText = '';
    errorText = 'error text';
    successText = 'success text';
    errorState = false;
    successState = false;

    // when
    const {
      toJSON
    } = render(/*#__PURE__*/_jsx(InputHelpText, {
      helpText: helpText,
      successState: successState,
      errorState: errorState,
      errorText: errorText,
      successText: successText
    }));

    // then
    expect(toJSON()).toMatchSnapshot();
  });
});
//# sourceMappingURL=InputHelpText.test.js.map