"use strict";

import React from 'react';
import { Pressable } from 'react-native';
import Icon from '../Icon/Icon';
import { getIconColor } from './utils';
import { jsx as _jsx } from "react/jsx-runtime";
export const InputIcon = /*#__PURE__*/React.memo(({
  secureTextEntry,
  icon,
  variantIconName,
  focused,
  successState,
  errorState,
  passwordVisibilityIcon,
  handlePasswordVisibility
}) => {
  if (secureTextEntry) {
    return /*#__PURE__*/_jsx(Pressable, {
      testID: "password-visibility-button",
      onPress: handlePasswordVisibility,
      children: /*#__PURE__*/_jsx(Icon, {
        name: passwordVisibilityIcon,
        size: "s",
        color: "neutralLight",
        testID: "secure-input-icon"
      })
    });
  }
  const iconColor = getIconColor({
    focused,
    errorState,
    successState
  });
  if (!icon && !variantIconName) {
    return null;
  }
  return /*#__PURE__*/_jsx(Icon, {
    name: variantIconName ?? icon,
    size: "s",
    color: iconColor,
    testID: "input-icon"
  });
});
//# sourceMappingURL=InputIcon.js.map