"use strict";

import React from 'react';
import { render } from '../../test-utils';
import { InputLabel } from './InputLabel';
import { jsx as _jsx } from "react/jsx-runtime";
describe('Input Label', () => {
  let label;
  let labelFixed;
  let errorState;
  let successState;
  let animatedViewProps;
  let animatedTextProps;
  let inputHeight;
  beforeEach(() => {
    label = 'Label';
    labelFixed = false;
    errorState = false;
    successState = false;
    animatedViewProps = {};
    animatedTextProps = {};
    inputHeight = 48;
  });
  test('should render null when not has a label', () => {
    // given
    label = null;

    // when
    const {
      toJSON
    } = render(/*#__PURE__*/_jsx(InputLabel, {
      label: label,
      labelFixed: labelFixed,
      errorState: errorState,
      successState: successState,
      animatedViewProps: animatedViewProps,
      animatedTextProps: animatedTextProps,
      inputHeight: inputHeight
    }));

    // then
    expect(toJSON()).toMatchSnapshot();
  });
  test('should render outlined label correctly', () => {
    // when
    const {
      toJSON
    } = render(/*#__PURE__*/_jsx(InputLabel, {
      label: label,
      labelFixed: labelFixed,
      errorState: errorState,
      successState: successState,
      animatedViewProps: animatedViewProps,
      animatedTextProps: animatedTextProps,
      inputHeight: inputHeight
    }));

    // then
    expect(toJSON()).toMatchSnapshot();
  });
  test('should render outlined label with optional correctly', () => {
    // when
    const {
      toJSON
    } = render(/*#__PURE__*/_jsx(InputLabel, {
      label: label,
      labelFixed: labelFixed,
      errorState: errorState,
      successState: successState,
      animatedViewProps: animatedViewProps,
      animatedTextProps: animatedTextProps,
      inputHeight: inputHeight
    }));

    // then
    expect(toJSON()).toMatchSnapshot();
  });
  test('should render fixed label correctly', () => {
    // given
    labelFixed = true;

    // when
    const {
      toJSON
    } = render(/*#__PURE__*/_jsx(InputLabel, {
      label: label,
      labelFixed: labelFixed,
      errorState: errorState,
      successState: successState,
      animatedViewProps: animatedViewProps,
      animatedTextProps: animatedTextProps,
      inputHeight: inputHeight
    }));

    // then
    expect(toJSON()).toMatchSnapshot();
  });
  test('should render fixed label with optional correctly', () => {
    // given
    labelFixed = true;

    // when
    const {
      toJSON
    } = render(/*#__PURE__*/_jsx(InputLabel, {
      label: label,
      labelFixed: labelFixed,
      errorState: errorState,
      successState: successState,
      animatedViewProps: animatedViewProps,
      animatedTextProps: animatedTextProps,
      inputHeight: inputHeight
    }));

    // then
    expect(toJSON()).toMatchSnapshot();
  });
});
//# sourceMappingURL=InputLabel.test.js.map