"use strict";

export const getPlaceholderText = ({
  label,
  subLabel,
  labelFixed,
  placeholder,
  value,
  focused
}) => {
  if (label && placeholder) {
    if (labelFixed) {
      return placeholder;
    }
    if (!value && !focused) {
      return '';
    }
    if (value && focused) {
      return '';
    } else {
      return placeholder;
    }
  }
  if (!label && placeholder) {
    if (subLabel) {
      return `${placeholder} ${subLabel}`;
    } else {
      return placeholder;
    }
  }
  if (label && !placeholder) {
    return '';
  }
  return '';
};
export const getHelpText = ({
  helpText,
  errorText,
  successText,
  errorState,
  successState
}) => {
  if (successState) {
    if (successText) {
      return successText;
    } else {
      return helpText;
    }
  }
  if (errorState) {
    if (errorText) {
      return errorText;
    } else {
      return helpText;
    }
  }
  return helpText;
};
export const getLabelColor = ({
  successState,
  errorState
}) => {
  return successState ? 'successKey' : errorState ? 'dangerKey' : 'neutralDark';
};
export const getTextColor = ({
  successState,
  errorState
}) => {
  return successState ? 'successKey' : errorState ? 'dangerKey' : 'neutralLight';
};
export const getBorderColor = ({
  focused,
  successState,
  errorState
}) => {
  return focused ? 'primaryKey' : successState ? 'successKey' : errorState ? 'dangerKey' : 'neutralLighter';
};
export const getIconColor = ({
  focused,
  successState,
  errorState
}) => {
  return focused ? 'primaryKey' : successState ? 'successKey' : errorState ? 'dangerKey' : 'neutralLight';
};
//# sourceMappingURL=utils.js.map