"use strict";

import React from 'react';
import Box from '../Box/Box';
import Text from '../Text/Text';
import RadioButton from './RadioButton';
import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "react/jsx-runtime";
const RadioButtonMeta = {
  title: 'RadioButton',
  component: RadioButton,
  argTypes: {
    onPress: {
      action: 'pressed the button'
    }
  },
  args: {
    selected: true,
    disabled: false
  }
};
export default RadioButtonMeta;
export const Basic = args => {
  const [selected, setSelected] = React.useState(false);
  return /*#__PURE__*/_jsxs(_Fragment, {
    children: [/*#__PURE__*/_jsx(Text, {
      p: "2xs",
      variant: "subtitle01Bold",
      children: "RadioButton"
    }), /*#__PURE__*/_jsx(RadioButton, {
      ...args,
      onPress: () => setSelected(true),
      selected: selected,
      label: "lorem ipsum",
      m: "2xs"
    })]
  });
};
export const Cases = () => {
  return /*#__PURE__*/_jsxs(_Fragment, {
    children: [/*#__PURE__*/_jsx(Text, {
      p: "2xs",
      variant: "subtitle01Bold",
      children: "RadioButton"
    }), /*#__PURE__*/_jsxs(Box, {
      px: "m",
      py: "2xs",
      flexDirection: "row",
      children: [/*#__PURE__*/_jsx(RadioButton, {
        selected: false
      }), /*#__PURE__*/_jsx(Box, {
        width: 8
      }), /*#__PURE__*/_jsx(RadioButton, {
        selected: true
      }), /*#__PURE__*/_jsx(Box, {
        width: 8
      }), /*#__PURE__*/_jsx(RadioButton, {
        disabled: true,
        selected: false
      }), /*#__PURE__*/_jsx(Box, {
        width: 8
      }), /*#__PURE__*/_jsx(RadioButton, {
        disabled: true,
        selected: true
      })]
    }), /*#__PURE__*/_jsxs(Box, {
      px: "m",
      py: "2xs",
      children: [/*#__PURE__*/_jsx(Box, {
        height: 12
      }), /*#__PURE__*/_jsx(RadioButton, {
        selected: false,
        label: "selected: false"
      }), /*#__PURE__*/_jsx(Box, {
        height: 12
      }), /*#__PURE__*/_jsx(RadioButton, {
        selected: true,
        label: "selected: true"
      })]
    }), /*#__PURE__*/_jsxs(Box, {
      px: "m",
      py: "xs",
      children: [/*#__PURE__*/_jsx(Text, {
        py: "xs",
        variant: "subtitle02Medium",
        children: "Disable:"
      }), /*#__PURE__*/_jsx(RadioButton, {
        disabled: true,
        selected: false,
        label: "disabled, selected: false"
      }), /*#__PURE__*/_jsx(Box, {
        height: 12
      }), /*#__PURE__*/_jsx(RadioButton, {
        disabled: true,
        selected: true,
        label: "disabled, selected: true"
      })]
    }), /*#__PURE__*/_jsxs(Box, {
      px: "m",
      py: "xs",
      children: [/*#__PURE__*/_jsx(Text, {
        py: "xs",
        variant: "subtitle02Medium",
        children: "Alignment:"
      }), /*#__PURE__*/_jsx(RadioButton, {
        selected: false,
        label: "Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua."
      }), /*#__PURE__*/_jsx(Box, {
        height: 12
      }), /*#__PURE__*/_jsx(RadioButton, {
        selected: false,
        alignItems: "center",
        label: "Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua."
      })]
    })]
  });
};
export const RadioButtonWithFlagIcon = () => {
  return /*#__PURE__*/_jsxs(_Fragment, {
    children: [/*#__PURE__*/_jsx(Text, {
      p: "2xs",
      variant: "subtitle01Bold",
      children: "Radio Button With Flag Icon"
    }), /*#__PURE__*/_jsxs(Box, {
      px: "m",
      py: "2xs",
      children: [/*#__PURE__*/_jsx(Box, {
        height: 12
      }), /*#__PURE__*/_jsx(RadioButton, {
        selected: false,
        label: "selected: false, flagIcon: TR",
        flagIcon: "TR"
      }), /*#__PURE__*/_jsx(Box, {
        height: 12
      }), /*#__PURE__*/_jsx(RadioButton, {
        selected: true,
        label: "selected: true, flagIcon: DE",
        flagIcon: "DE"
      }), /*#__PURE__*/_jsx(Box, {
        height: 12
      }), /*#__PURE__*/_jsx(RadioButton, {
        disabled: true,
        selected: false,
        label: "selected: false, disabled, flagIcon: GR",
        flagIcon: "GR"
      }), /*#__PURE__*/_jsx(Box, {
        height: 12
      }), /*#__PURE__*/_jsx(RadioButton, {
        disabled: true,
        selected: true,
        label: "selected: true, disabled, flagIcon: RO",
        flagIcon: "RO"
      })]
    })]
  });
};
//# sourceMappingURL=RadioButton.stories.js.map