"use strict";

import React from 'react';
import Switch from './Switch';
import theme from '../../theme';
import Text from '../Text/Text';
import Box from '../Box/Box';
import Button from '../Button/Button';
import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "react/jsx-runtime";
const variantList = Object.keys(theme.textVariants);
const TextMeta = {
  title: 'Switch',
  component: Switch,
  args: {
    label: variantList[0]
  }
};
export default TextMeta;
export const Basic = () => /*#__PURE__*/_jsxs(_Fragment, {
  children: [/*#__PURE__*/_jsx(Text, {
    p: "2xs",
    variant: "subtitle01Bold",
    children: "Switch"
  }), /*#__PURE__*/_jsx(Box, {
    px: "m",
    py: "2xs",
    children: /*#__PURE__*/_jsx(Switch, {
      onValueChange: _ => {}
    })
  })]
});
export const SwitchWithLabel = args => /*#__PURE__*/_jsxs(_Fragment, {
  children: [/*#__PURE__*/_jsx(Text, {
    p: "2xs",
    variant: "subtitle01Bold",
    children: "Switch With Label"
  }), /*#__PURE__*/_jsx(Box, {
    px: "m",
    py: "2xs",
    children: /*#__PURE__*/_jsx(Switch, {
      onValueChange: _ => {},
      label: args.label,
      disabled: false
    })
  })]
});
export const DisabledSwitch = () => /*#__PURE__*/_jsxs(_Fragment, {
  children: [/*#__PURE__*/_jsx(Text, {
    p: "2xs",
    variant: "subtitle01Bold",
    children: "Disabled Switch"
  }), /*#__PURE__*/_jsx(Box, {
    px: "m",
    py: "2xs",
    children: /*#__PURE__*/_jsx(Switch, {
      onValueChange: _ => {},
      disabled: true
    })
  }), /*#__PURE__*/_jsx(Box, {
    px: "m",
    py: "2xs",
    children: /*#__PURE__*/_jsx(Switch, {
      onValueChange: _ => {},
      disabled: true,
      value: true
    })
  })]
});
export const CustomSwitch = () => /*#__PURE__*/_jsxs(_Fragment, {
  children: [/*#__PURE__*/_jsx(Text, {
    p: "2xs",
    variant: "subtitle01Bold",
    children: "Custom Switch"
  }), /*#__PURE__*/_jsx(Box, {
    px: "m",
    py: "2xs",
    children: /*#__PURE__*/_jsx(Switch, {
      onValueChange: _ => {},
      onColor: theme.colors.successKey,
      offColor: theme.colors.dangerKey
    })
  })]
});
export const SwitchState = () => {
  const [value, setValue] = React.useState(true);
  return /*#__PURE__*/_jsxs(_Fragment, {
    children: [/*#__PURE__*/_jsx(Text, {
      p: "2xs",
      variant: "subtitle01Bold",
      children: "Switch State"
    }), /*#__PURE__*/_jsxs(Box, {
      px: "m",
      py: "2xs",
      flexDirection: "row",
      children: [/*#__PURE__*/_jsx(Box, {
        pr: "3xl",
        children: /*#__PURE__*/_jsx(Switch, {
          onValueChange: setValue,
          value: value,
          label: "Lorem"
        })
      }), /*#__PURE__*/_jsx(Button, {
        label: 'Make it ' + !value,
        onPress: () => {
          setValue(!value);
        }
      })]
    })]
  });
};
//# sourceMappingURL=Switch.stories.js.map