"use strict";

import React, { useState } from 'react';
import Box from '../Box/Box';
import Text from '../Text/Text';
import Tabs from './Tabs';
import { useWindowDimensions } from 'react-native';
import { jsx as _jsx, jsxs as _jsxs, Fragment as _Fragment } from "react/jsx-runtime";
const TabsMeta = {
  title: 'Tabs',
  component: Tabs,
  argTypes: {
    onValueChange: {
      action: 'pressed the button'
    }
  },
  args: {
    value: 'tab1',
    defaultValue: 'tab1'
  }
};
export default TabsMeta;
export const Basic = args => {
  const [value, setValue] = React.useState('');
  React.useEffect(() => {
    setValue(args.value);
  }, [args.value]);
  return /*#__PURE__*/_jsxs(_Fragment, {
    children: [/*#__PURE__*/_jsx(Text, {
      p: "2xs",
      variant: "subtitle01Bold",
      children: "Tabs"
    }), /*#__PURE__*/_jsxs(Tabs, {
      ...args,
      onValueChange: setValue,
      value: value,
      defaultValue: "tab1",
      children: [/*#__PURE__*/_jsxs(Tabs.List, {
        children: [/*#__PURE__*/_jsx(Tabs.Option, {
          value: "tab1",
          title: "Tab Title",
          caption: "Caption"
        }), /*#__PURE__*/_jsx(Tabs.Option, {
          value: "tab2",
          title: "Tab Title"
        })]
      }), /*#__PURE__*/_jsx(Tabs.Content, {
        value: "tab1",
        children: /*#__PURE__*/_jsx(Box, {
          mt: "s",
          children: /*#__PURE__*/_jsx(Text, {
            children: "Tab 1 Content"
          })
        })
      }), /*#__PURE__*/_jsx(Tabs.Content, {
        value: "tab2",
        children: /*#__PURE__*/_jsx(Box, {
          mt: "s",
          children: /*#__PURE__*/_jsx(Text, {
            children: "Tab 2 Content"
          })
        })
      })]
    })]
  });
};
export const TabTypes = () => {
  return /*#__PURE__*/_jsxs(_Fragment, {
    children: [/*#__PURE__*/_jsx(Text, {
      p: "2xs",
      variant: "subtitle01Bold",
      children: "Tab Types"
    }), /*#__PURE__*/_jsx(Box, {
      px: "m",
      py: "2xs",
      children: /*#__PURE__*/_jsx(Tabs, {
        value: 'tab1',
        onValueChange: () => {},
        defaultValue: "tab1",
        children: /*#__PURE__*/_jsxs(Tabs.List, {
          children: [/*#__PURE__*/_jsx(Tabs.Option, {
            value: "tab1",
            title: "Active Tab",
            caption: "Caption"
          }), /*#__PURE__*/_jsx(Tabs.Option, {
            value: "tab2",
            title: "Inactive Tab",
            caption: "Caption"
          }), /*#__PURE__*/_jsx(Tabs.Option, {
            value: "tab2",
            title: "Disabled Tab",
            caption: "Caption",
            disabled: true
          })]
        })
      })
    })]
  });
};
export const Cases = () => {
  const [value, setValue] = useState('tab1');
  const [value2, setValue2] = useState('tab1');
  const [value3, setValue3] = useState('tab1');
  const [value4, setValue4] = useState('tab1');
  return /*#__PURE__*/_jsxs(_Fragment, {
    children: [/*#__PURE__*/_jsx(Text, {
      p: "2xs",
      variant: "subtitle01Bold",
      children: "Tab Cases"
    }), /*#__PURE__*/_jsx(Box, {
      px: "m",
      py: "2xs",
      children: /*#__PURE__*/_jsxs(Tabs, {
        value: value,
        onValueChange: setValue,
        defaultValue: "tab1",
        children: [/*#__PURE__*/_jsxs(Tabs.List, {
          children: [/*#__PURE__*/_jsx(Tabs.Option, {
            value: "tab1",
            title: "Tab Title",
            caption: "Caption"
          }), /*#__PURE__*/_jsx(Tabs.Option, {
            value: "tab2",
            title: "Tab Title"
          })]
        }), /*#__PURE__*/_jsx(Tabs.Content, {
          value: "tab1",
          children: /*#__PURE__*/_jsx(Box, {
            mt: "s",
            children: /*#__PURE__*/_jsx(Text, {
              children: "Tab 1 Content"
            })
          })
        }), /*#__PURE__*/_jsx(Tabs.Content, {
          value: "tab2",
          children: /*#__PURE__*/_jsx(Box, {
            mt: "s",
            children: /*#__PURE__*/_jsx(Text, {
              children: "Tab 2 Content"
            })
          })
        })]
      })
    }), /*#__PURE__*/_jsx(Box, {
      px: "m",
      py: "2xs",
      mt: "5xl",
      children: /*#__PURE__*/_jsxs(Tabs, {
        value: value2,
        onValueChange: setValue2,
        defaultValue: "tab1",
        children: [/*#__PURE__*/_jsxs(Tabs.List, {
          children: [/*#__PURE__*/_jsx(Tabs.Option, {
            value: "tab1",
            title: "Tab Title",
            caption: "Caption"
          }), /*#__PURE__*/_jsx(Tabs.Option, {
            value: "tab2",
            title: "Tab Title",
            caption: "Caption"
          }), /*#__PURE__*/_jsx(Tabs.Option, {
            value: "tab3",
            title: "Tab Title",
            caption: "Caption",
            disabled: true
          })]
        }), /*#__PURE__*/_jsx(Tabs.Content, {
          value: "tab1",
          children: /*#__PURE__*/_jsx(Box, {
            mt: "s",
            children: /*#__PURE__*/_jsx(Text, {
              children: "Tab 1 Content"
            })
          })
        }), /*#__PURE__*/_jsx(Tabs.Content, {
          value: "tab2",
          children: /*#__PURE__*/_jsx(Box, {
            mt: "s",
            children: /*#__PURE__*/_jsx(Text, {
              children: "Tab 2 Content"
            })
          })
        }), /*#__PURE__*/_jsx(Tabs.Content, {
          value: "tab3",
          children: /*#__PURE__*/_jsx(Box, {
            mt: "s",
            children: /*#__PURE__*/_jsx(Text, {
              children: "Tab 3 Content"
            })
          })
        })]
      })
    }), /*#__PURE__*/_jsx(Box, {
      px: "m",
      py: "2xs",
      mt: "5xl",
      children: /*#__PURE__*/_jsxs(Tabs, {
        value: value3,
        onValueChange: setValue3,
        defaultValue: "tab1",
        children: [/*#__PURE__*/_jsxs(Tabs.List, {
          children: [/*#__PURE__*/_jsx(Tabs.Option, {
            value: "tab1",
            title: "Lorem ipsum dolor sit amet",
            caption: "Caption"
          }), /*#__PURE__*/_jsx(Tabs.Option, {
            value: "tab2",
            title: "Tab Title",
            caption: "Caption"
          })]
        }), /*#__PURE__*/_jsx(Tabs.Content, {
          value: "tab1",
          children: /*#__PURE__*/_jsx(Box, {
            mt: "s",
            children: /*#__PURE__*/_jsx(Text, {
              children: "Tab 1 Content"
            })
          })
        }), /*#__PURE__*/_jsx(Tabs.Content, {
          value: "tab2",
          children: /*#__PURE__*/_jsx(Box, {
            mt: "s",
            children: /*#__PURE__*/_jsx(Text, {
              children: "Tab 2 Content"
            })
          })
        })]
      })
    }), /*#__PURE__*/_jsx(Box, {
      px: "m",
      py: "2xs",
      mt: "5xl",
      children: /*#__PURE__*/_jsxs(Tabs, {
        value: value4,
        onValueChange: setValue4,
        defaultValue: "tab1",
        children: [/*#__PURE__*/_jsxs(Tabs.List, {
          children: [/*#__PURE__*/_jsx(Tabs.Option, {
            value: "tab1",
            title: "Tab Title",
            caption: "Caption"
          }), /*#__PURE__*/_jsx(Tabs.Option, {
            value: "tab2",
            title: "Tab Title",
            caption: "Caption"
          }), /*#__PURE__*/_jsx(Tabs.Option, {
            value: "tab3",
            title: "Tab Title"
          }), /*#__PURE__*/_jsx(Tabs.Option, {
            value: "tab4",
            title: "Tab Title",
            caption: "Caption"
          }), /*#__PURE__*/_jsx(Tabs.Option, {
            value: "tab5",
            title: "Tab Title",
            caption: "Caption"
          })]
        }), /*#__PURE__*/_jsx(Tabs.Content, {
          value: "tab1",
          children: /*#__PURE__*/_jsx(Box, {
            mt: "s",
            children: /*#__PURE__*/_jsx(Text, {
              children: "Tab 1 Content"
            })
          })
        }), /*#__PURE__*/_jsx(Tabs.Content, {
          value: "tab2",
          children: /*#__PURE__*/_jsx(Box, {
            mt: "s",
            children: /*#__PURE__*/_jsx(Text, {
              children: "Tab 2 Content"
            })
          })
        }), /*#__PURE__*/_jsx(Tabs.Content, {
          value: "tab3",
          children: /*#__PURE__*/_jsx(Box, {
            mt: "s",
            children: /*#__PURE__*/_jsx(Text, {
              children: "Tab 3 Content"
            })
          })
        }), /*#__PURE__*/_jsx(Tabs.Content, {
          value: "tab4",
          children: /*#__PURE__*/_jsx(Box, {
            mt: "s",
            children: /*#__PURE__*/_jsx(Text, {
              children: "Tab 4 Content"
            })
          })
        }), /*#__PURE__*/_jsx(Tabs.Content, {
          value: "tab5",
          children: /*#__PURE__*/_jsx(Box, {
            mt: "s",
            children: /*#__PURE__*/_jsx(Text, {
              children: "Tab 5 Content"
            })
          })
        })]
      })
    })]
  });
};
export const IconAndBadge = () => {
  const [value1, setValue1] = useState('tab1');
  const [value2, setValue2] = useState('tab1');
  const [value3, setValue3] = useState('tab1');
  return /*#__PURE__*/_jsxs(_Fragment, {
    children: [/*#__PURE__*/_jsx(Text, {
      p: "2xs",
      variant: "subtitle01Bold",
      children: "Icon And Badge Tab Cases"
    }), /*#__PURE__*/_jsx(Box, {
      px: "m",
      py: "2xs",
      mt: "5xl",
      children: /*#__PURE__*/_jsxs(Tabs, {
        value: value1,
        onValueChange: setValue1,
        defaultValue: "tab1",
        children: [/*#__PURE__*/_jsxs(Tabs.List, {
          children: [/*#__PURE__*/_jsx(Tabs.Option, {
            value: "tab1",
            title: "Tab Title",
            caption: "Caption"
          }), /*#__PURE__*/_jsx(Tabs.Option, {
            value: "tab2",
            title: "Tab Title",
            caption: "Caption",
            iconName: "heart"
          }), /*#__PURE__*/_jsx(Tabs.Option, {
            value: "tab3",
            title: "Tab Title"
          })]
        }), /*#__PURE__*/_jsx(Tabs.Content, {
          value: "tab1",
          children: /*#__PURE__*/_jsx(Box, {
            mt: "s",
            children: /*#__PURE__*/_jsx(Text, {
              children: "Tab 1 Content"
            })
          })
        }), /*#__PURE__*/_jsx(Tabs.Content, {
          value: "tab2",
          children: /*#__PURE__*/_jsx(Box, {
            mt: "s",
            children: /*#__PURE__*/_jsx(Text, {
              children: "Tab 2 Content"
            })
          })
        }), /*#__PURE__*/_jsx(Tabs.Content, {
          value: "tab3",
          children: /*#__PURE__*/_jsx(Box, {
            mt: "s",
            children: /*#__PURE__*/_jsx(Text, {
              children: "Tab 3 Content"
            })
          })
        })]
      })
    }), /*#__PURE__*/_jsx(Box, {
      px: "m",
      py: "2xs",
      mt: "5xl",
      children: /*#__PURE__*/_jsxs(Tabs, {
        value: value2,
        onValueChange: setValue2,
        defaultValue: "tab1",
        children: [/*#__PURE__*/_jsxs(Tabs.List, {
          children: [/*#__PURE__*/_jsx(Tabs.Option, {
            value: "tab1",
            title: "Tab Title",
            caption: "Caption"
          }), /*#__PURE__*/_jsx(Tabs.Option, {
            value: "tab2",
            title: "Tab Title",
            caption: "Caption",
            badgeText: "New"
          }), /*#__PURE__*/_jsx(Tabs.Option, {
            value: "tab3",
            title: "Tab Title"
          })]
        }), /*#__PURE__*/_jsx(Tabs.Content, {
          value: "tab1",
          children: /*#__PURE__*/_jsx(Box, {
            mt: "s",
            children: /*#__PURE__*/_jsx(Text, {
              children: "Tab 1 Content"
            })
          })
        }), /*#__PURE__*/_jsx(Tabs.Content, {
          value: "tab2",
          children: /*#__PURE__*/_jsx(Box, {
            mt: "s",
            children: /*#__PURE__*/_jsx(Text, {
              children: "Tab 2 Content"
            })
          })
        }), /*#__PURE__*/_jsx(Tabs.Content, {
          value: "tab3",
          children: /*#__PURE__*/_jsx(Box, {
            mt: "s",
            children: /*#__PURE__*/_jsx(Text, {
              children: "Tab 3 Content"
            })
          })
        })]
      })
    }), /*#__PURE__*/_jsx(Box, {
      px: "m",
      py: "2xs",
      mt: "5xl",
      children: /*#__PURE__*/_jsxs(Tabs, {
        value: value3,
        onValueChange: setValue3,
        defaultValue: "tab1",
        children: [/*#__PURE__*/_jsxs(Tabs.List, {
          children: [/*#__PURE__*/_jsx(Tabs.Option, {
            value: "tab1",
            title: "Tab Title",
            caption: "Caption"
          }), /*#__PURE__*/_jsx(Tabs.Option, {
            value: "tab2",
            title: "Tab Title",
            caption: "Caption",
            iconName: "confetti",
            badgeText: "Lorem"
          }), /*#__PURE__*/_jsx(Tabs.Option, {
            value: "tab3",
            title: "Tab Title"
          })]
        }), /*#__PURE__*/_jsx(Tabs.Content, {
          value: "tab1",
          children: /*#__PURE__*/_jsx(Box, {
            mt: "s",
            children: /*#__PURE__*/_jsx(Text, {
              children: "Tab 1 Content"
            })
          })
        }), /*#__PURE__*/_jsx(Tabs.Content, {
          value: "tab2",
          children: /*#__PURE__*/_jsx(Box, {
            mt: "s",
            children: /*#__PURE__*/_jsx(Text, {
              children: "Tab 2 Content"
            })
          })
        }), /*#__PURE__*/_jsx(Tabs.Content, {
          value: "tab3",
          children: /*#__PURE__*/_jsx(Box, {
            mt: "s",
            children: /*#__PURE__*/_jsx(Text, {
              children: "Tab 3 Content"
            })
          })
        })]
      })
    })]
  });
};
export const Example = () => {
  const [value, setValue] = useState('tab1');
  const dims = useWindowDimensions();
  return /*#__PURE__*/_jsx(Box, {
    height: dims.height,
    backgroundColor: "dangerContrast",
    children: /*#__PURE__*/_jsxs(Tabs, {
      value: value,
      onValueChange: setValue,
      defaultValue: "tab1",
      children: [/*#__PURE__*/_jsxs(Tabs.List, {
        children: [/*#__PURE__*/_jsx(Tabs.Option, {
          value: "tab1",
          title: "Tab Title",
          caption: "Caption"
        }), /*#__PURE__*/_jsx(Tabs.Option, {
          value: "tab2",
          title: "Tab Title",
          caption: "Caption"
        })]
      }), /*#__PURE__*/_jsx(Tabs.Content, {
        flex: 1,
        value: "tab1",
        backgroundColor: "infoKey",
        children: /*#__PURE__*/_jsx(Box, {
          mt: "s",
          children: /*#__PURE__*/_jsx(Text, {
            children: "Tab 1 Content"
          })
        })
      }), /*#__PURE__*/_jsx(Tabs.Content, {
        flex: 1,
        value: "tab2",
        backgroundColor: "infoKey",
        children: /*#__PURE__*/_jsx(Box, {
          mt: "s",
          children: /*#__PURE__*/_jsx(Text, {
            children: "Tab 2 Content"
          })
        })
      })]
    })
  });
};
//# sourceMappingURL=Tabs.stories.js.map