"use strict";

import React from 'react';
import Text from './Text';
import theme from '../../theme';
import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "react/jsx-runtime";
const variantList = Object.keys(theme.textVariants);
const TextMeta = {
  title: 'Text',
  component: Text,
  argTypes: {
    variant: {
      options: variantList,
      control: {
        type: 'radio'
      }
    }
  },
  args: {
    variant: variantList[0]
  }
};
export default TextMeta;
export const Basic = args => /*#__PURE__*/_jsxs(_Fragment, {
  children: [/*#__PURE__*/_jsx(Text, {
    p: "2xs",
    variant: "subtitle1Bold",
    children: "Text"
  }), /*#__PURE__*/_jsx(Text, {
    variant: args.variant,
    p: "2xs",
    children: "Sample Text"
  })]
});
export const Heading = () => /*#__PURE__*/_jsxs(_Fragment, {
  children: [/*#__PURE__*/_jsx(Text, {
    p: "2xs",
    variant: "subtitle1Bold",
    children: "Text Heading"
  }), /*#__PURE__*/_jsx(Text, {
    variant: "heading1",
    p: "2xs",
    children: "Heading 1"
  }), /*#__PURE__*/_jsx(Text, {
    variant: "heading2",
    p: "2xs",
    children: "Heading 2"
  }), /*#__PURE__*/_jsx(Text, {
    variant: "heading3",
    p: "2xs",
    children: "Heading 3"
  })]
});
export const Subtitle1 = () => /*#__PURE__*/_jsxs(_Fragment, {
  children: [/*#__PURE__*/_jsx(Text, {
    p: "2xs",
    variant: "subtitle1Bold",
    children: "Text Subtitle 1"
  }), /*#__PURE__*/_jsx(Text, {
    variant: "subtitle1Regular",
    p: "2xs",
    children: "Subtitle 1 / Regular"
  }), /*#__PURE__*/_jsx(Text, {
    variant: "subtitle1Medium",
    p: "2xs",
    children: "Subtitle 1 / Medium"
  }), /*#__PURE__*/_jsx(Text, {
    variant: "subtitle1Semibold",
    p: "2xs",
    children: "Subtitle 1 / Semibold"
  }), /*#__PURE__*/_jsx(Text, {
    variant: "subtitle1Bold",
    p: "2xs",
    children: "Subtitle 1 / Bold"
  })]
});
export const Subtitle2 = () => /*#__PURE__*/_jsxs(_Fragment, {
  children: [/*#__PURE__*/_jsx(Text, {
    p: "2xs",
    variant: "subtitle1Bold",
    children: "Text Subtitle 2"
  }), /*#__PURE__*/_jsx(Text, {
    variant: "subtitle2Regular",
    p: "2xs",
    children: "Subtitle 2 / Regular"
  }), /*#__PURE__*/_jsx(Text, {
    variant: "subtitle2Medium",
    p: "2xs",
    children: "Subtitle 2 / Medium"
  }), /*#__PURE__*/_jsx(Text, {
    variant: "subtitle2Semibold",
    p: "2xs",
    children: "Subtitle 2 / Semibold"
  }), /*#__PURE__*/_jsx(Text, {
    variant: "subtitle2Bold",
    p: "2xs",
    children: "Subtitle 2 / Bold"
  })]
});
export const Subtitle3 = () => /*#__PURE__*/_jsxs(_Fragment, {
  children: [/*#__PURE__*/_jsx(Text, {
    p: "2xs",
    variant: "subtitle1Bold",
    children: "Text Subtitle 3"
  }), /*#__PURE__*/_jsx(Text, {
    variant: "subtitle3Regular",
    p: "2xs",
    children: "Subtitle 3 / Regular"
  }), /*#__PURE__*/_jsx(Text, {
    variant: "subtitle3Medium",
    p: "2xs",
    children: "Subtitle 3 / Medium"
  }), /*#__PURE__*/_jsx(Text, {
    variant: "subtitle3Semibold",
    p: "2xs",
    children: "Subtitle 3 / Semibold"
  }), /*#__PURE__*/_jsx(Text, {
    variant: "subtitle3Bold",
    p: "2xs",
    children: "Subtitle 3 / Bold"
  })]
});
export const Subtitle4 = () => /*#__PURE__*/_jsxs(_Fragment, {
  children: [/*#__PURE__*/_jsx(Text, {
    p: "2xs",
    variant: "subtitle1Bold",
    children: "Text Subtitle 4"
  }), /*#__PURE__*/_jsx(Text, {
    variant: "subtitle4Regular",
    p: "2xs",
    children: "Subtitle 4 / Regular"
  }), /*#__PURE__*/_jsx(Text, {
    variant: "subtitle4Medium",
    p: "2xs",
    children: "Subtitle 4 / Medium"
  }), /*#__PURE__*/_jsx(Text, {
    variant: "subtitle4Semibold",
    p: "2xs",
    children: "Subtitle 4 / Semibold"
  }), /*#__PURE__*/_jsx(Text, {
    variant: "subtitle4Bold",
    p: "2xs",
    children: "Subtitle 4 / Bold"
  })]
});
export const Body = () => /*#__PURE__*/_jsxs(_Fragment, {
  children: [/*#__PURE__*/_jsx(Text, {
    p: "2xs",
    variant: "subtitle1Bold",
    children: "Text Body"
  }), /*#__PURE__*/_jsx(Text, {
    variant: "body1",
    p: "2xs",
    children: "Body 1"
  }), /*#__PURE__*/_jsx(Text, {
    variant: "body2",
    p: "2xs",
    children: "Body 2"
  }), /*#__PURE__*/_jsx(Text, {
    variant: "body3",
    p: "2xs",
    children: "Body 3"
  })]
});
export const Caption = () => /*#__PURE__*/_jsxs(_Fragment, {
  children: [/*#__PURE__*/_jsx(Text, {
    p: "2xs",
    variant: "subtitle1Bold",
    children: "Text Caption"
  }), /*#__PURE__*/_jsx(Text, {
    variant: "captionText",
    p: "2xs",
    children: "Caption / Text"
  })]
});
//# sourceMappingURL=Text.stories.js.map