"use strict";

import React, { useState } from 'react';
import Text from '../Text/Text';
import TextArea from './TextArea';
import Box from '../Box/Box';
import Button from '../Button/Button';
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
const sizeList = ['small', 'medium', 'large'];
const TextAreaMeta = {
  title: 'TextArea',
  component: TextArea,
  argTypes: {
    size: {
      options: sizeList,
      control: {
        type: 'radio'
      }
    }
  },
  args: {
    size: 'medium',
    label: 'Label',
    placeholder: 'Type something...',
    labelFixed: false,
    helpText: 'Helper Text',
    error: false,
    disabled: false,
    errorText: 'Error Text'
  }
};
export default TextAreaMeta;
export const Basic = args => /*#__PURE__*/_jsxs(Box, {
  children: [/*#__PURE__*/_jsx(Box, {
    px: "2xs",
    children: /*#__PURE__*/_jsx(Text, {
      py: "2xs",
      variant: "subtitle01Bold",
      children: "Text Area"
    })
  }), /*#__PURE__*/_jsx(TextArea, {
    ...args
  })]
});
export const Cases = args => {
  const [state, setState] = useState(args);
  return /*#__PURE__*/_jsxs(Box, {
    children: [/*#__PURE__*/_jsx(Box, {
      px: "2xs",
      children: /*#__PURE__*/_jsx(Text, {
        py: "2xs",
        variant: "subtitle01Bold",
        children: "Text Area Cases"
      })
    }), /*#__PURE__*/_jsx(TextArea, {
      ...args,
      disabled: true
    }), /*#__PURE__*/_jsxs(Box, {
      pt: "2xl",
      children: [/*#__PURE__*/_jsx(TextArea, {
        ...state
      }), /*#__PURE__*/_jsxs(Box, {
        flexDirection: "row",
        px: "2xs",
        marginLeft: "2xs",
        marginTop: "xs",
        children: [/*#__PURE__*/_jsx(Button, {
          flex: 1,
          kind: "danger",
          variant: "secondary",
          size: "s",
          onPress: () => setState({
            ...state,
            error: true,
            errorText: null
          }),
          label: "Toggle Error",
          filled: true,
          mr: "2xs"
        }), /*#__PURE__*/_jsx(Button, {
          flex: 1,
          size: "s",
          kind: "danger",
          variant: "secondary",
          onPress: () => setState({
            ...state,
            error: true,
            errorText: 'Error text'
          }),
          label: "Error with Text",
          filled: true,
          mr: "2xs"
        })]
      })]
    })]
  });
};
export const Sizes = () => /*#__PURE__*/_jsxs(Box, {
  children: [/*#__PURE__*/_jsx(Box, {
    px: "2xs",
    children: /*#__PURE__*/_jsx(Text, {
      py: "2xs",
      variant: "subtitle01Bold",
      children: "Text Area Sizes"
    })
  }), /*#__PURE__*/_jsx(Box, {
    py: "xs",
    children: /*#__PURE__*/_jsx(TextArea, {
      size: "large",
      label: "Label",
      placeholder: "Large",
      helpText: "Help Text"
    })
  }), /*#__PURE__*/_jsx(Box, {
    py: "xs",
    children: /*#__PURE__*/_jsx(TextArea, {
      size: "medium",
      label: "Label",
      placeholder: "Medium",
      helpText: "Help Text"
    })
  }), /*#__PURE__*/_jsx(Box, {
    py: "xs",
    children: /*#__PURE__*/_jsx(TextArea, {
      size: "small",
      label: "Label",
      placeholder: "Small",
      helpText: "Help Text"
    })
  })]
});
export const Types = args => {
  return /*#__PURE__*/_jsxs(Box, {
    children: [/*#__PURE__*/_jsx(Box, {
      px: "2xs",
      children: /*#__PURE__*/_jsx(Text, {
        py: "2xs",
        variant: "subtitle01Bold",
        children: "Text Area Types"
      })
    }), /*#__PURE__*/_jsx(TextArea, {
      ...args,
      labelFixed: true
    }), /*#__PURE__*/_jsx(TextArea, {
      ...args
    }), /*#__PURE__*/_jsx(TextArea, {
      ...args,
      label: null
    })]
  });
};
//# sourceMappingURL=TextArea.stories.js.map