"use strict";

import React from 'react';
import Box from '../Box/Box';
import Text from '../Text/Text';
import { getCounterText, getTextColor } from './utils';
import { jsx as _jsx } from "react/jsx-runtime";
export const TextAreaCounterText = /*#__PURE__*/React.memo(({
  counterText,
  errorState
}) => {
  const textColor = getTextColor({
    errorState
  });
  const content = getCounterText({
    counterText,
    errorState
  });
  return /*#__PURE__*/_jsx(Box, {
    mt: "3xs",
    ml: "m",
    children: /*#__PURE__*/_jsx(Text, {
      variant: "subtitle04Regular",
      color: textColor,
      children: `${content}/200`
    })
  });
});
//# sourceMappingURL=TextAreaCounterText.js.map