"use strict";

import React from 'react';
import Box from '../Box/Box';
import Text from '../Text/Text';
import { getHelpText, getTextColor } from './utils';
import { jsx as _jsx } from "react/jsx-runtime";
export const TextAreaHelpText = /*#__PURE__*/React.memo(({
  helpText,
  errorState,
  errorText
}) => {
  if (!helpText && !errorText) {
    return null;
  }
  const textColor = getTextColor({
    errorState
  });
  const content = getHelpText({
    helpText,
    errorText,
    errorState
  });
  return content ? /*#__PURE__*/_jsx(Box, {
    mt: "3xs",
    children: /*#__PURE__*/_jsx(Text, {
      variant: "subtitle04Regular",
      color: textColor,
      children: content
    })
  }) : null;
});
//# sourceMappingURL=TextAreaHelpText.js.map