"use strict";

import React from 'react';
import { render } from '../../test-utils';
import { TextAreaHelpText } from './TextAreaHelpText';
import { jsx as _jsx } from "react/jsx-runtime";
describe('TextArea Help Text', () => {
  let helpText;
  let errorText;
  let errorState;
  test('should render help text correctly', () => {
    // given
    helpText = 'help text';
    errorText = 'error text';
    errorState = false;

    // when
    const {
      toJSON
    } = render(/*#__PURE__*/_jsx(TextAreaHelpText, {
      helpText: helpText,
      errorState: errorState,
      errorText: errorText
    }));

    // then
    expect(toJSON()).toMatchSnapshot();
  });
  test('should render null when not has help text and error text', () => {
    // given
    helpText = null;
    errorText = null;
    errorState = false;

    // when
    const {
      toJSON
    } = render(/*#__PURE__*/_jsx(TextAreaHelpText, {
      helpText: helpText,
      errorState: errorState,
      errorText: errorText
    }));

    // then
    expect(toJSON()).toMatchSnapshot();
  });
  test('should render null when not has help text', () => {
    // given
    helpText = '';
    errorText = 'error text';
    errorState = false;

    // when
    const {
      toJSON
    } = render(/*#__PURE__*/_jsx(TextAreaHelpText, {
      helpText: helpText,
      errorState: errorState,
      errorText: errorText
    }));

    // then
    expect(toJSON()).toMatchSnapshot();
  });
});
//# sourceMappingURL=TextAreaHelpText.test.js.map