"use strict";

import React from 'react';
import { Animated } from 'react-native';
import Box from '../Box/Box';
import Text from '../Text/Text';
import { getLabelColor } from './utils';
import { jsx as _jsx, Fragment as _Fragment } from "react/jsx-runtime";
export const TextAreaLabel = /*#__PURE__*/React.memo(({
  label,
  labelFixed,
  errorState,
  animatedViewProps,
  animatedTextProps
}) => {
  if (!label) {
    return null;
  }
  const contentSecondaryColor = getLabelColor({
    errorState
  });
  const RenderFixedLabel = () => {
    return /*#__PURE__*/_jsx(Box, {
      flexDirection: "row",
      mb: "3xs",
      testID: "fixed-label-box",
      children: /*#__PURE__*/_jsx(Text, {
        variant: "subtitle04Medium",
        color: contentSecondaryColor,
        testID: "fixed-label",
        children: label
      })
    });
  };
  const RenderOutlinedLabel = () => {
    return /*#__PURE__*/_jsx(_Fragment, {
      children: /*#__PURE__*/_jsx(Animated.View, {
        ...animatedViewProps,
        pointerEvents: "none",
        children: /*#__PURE__*/_jsx(Box, {
          flexDirection: "row",
          pl: "m",
          testID: "outlined-label-box",
          children: /*#__PURE__*/_jsx(Animated.Text, {
            style: errorState ? [animatedTextProps.style, {
              color: 'red'
            }] : animatedTextProps.style,
            children: label
          })
        })
      })
    });
  };
  return labelFixed ? /*#__PURE__*/_jsx(RenderFixedLabel, {}) : /*#__PURE__*/_jsx(RenderOutlinedLabel, {});
});
//# sourceMappingURL=TextAreaLabel.js.map