"use strict";

import React from 'react';
import { render } from '../../test-utils';
import { TextAreaLabel } from './TextAreaLabel';
import { jsx as _jsx } from "react/jsx-runtime";
describe('TextArea Label', () => {
  let label;
  let labelFixed;
  let errorState;
  let animatedViewProps;
  let animatedTextProps;
  let textAreaHeight;
  beforeEach(() => {
    label = 'Label';
    labelFixed = false;
    errorState = false;
    animatedViewProps = {};
    animatedTextProps = {};
    textAreaHeight = 88;
  });
  test('should render null when not has a label', () => {
    // given
    label = null;

    // when
    const {
      toJSON
    } = render(/*#__PURE__*/_jsx(TextAreaLabel, {
      label: label,
      labelFixed: labelFixed,
      errorState: errorState,
      animatedViewProps: animatedViewProps,
      animatedTextProps: animatedTextProps,
      textAreaHeight: textAreaHeight
    }));

    // then
    expect(toJSON()).toMatchSnapshot();
  });
  test('should render outlined label correctly', () => {
    // when
    const {
      toJSON
    } = render(/*#__PURE__*/_jsx(TextAreaLabel, {
      label: label,
      labelFixed: labelFixed,
      errorState: errorState,
      animatedViewProps: animatedViewProps,
      animatedTextProps: animatedTextProps,
      textAreaHeight: textAreaHeight
    }));

    // then
    expect(toJSON()).toMatchSnapshot();
  });
  test('should render outlined label with optional correctly', () => {
    // when
    const {
      toJSON
    } = render(/*#__PURE__*/_jsx(TextAreaLabel, {
      label: label,
      labelFixed: labelFixed,
      errorState: errorState,
      animatedViewProps: animatedViewProps,
      animatedTextProps: animatedTextProps,
      textAreaHeight: textAreaHeight
    }));

    // then
    expect(toJSON()).toMatchSnapshot();
  });
  test('should render fixed label correctly', () => {
    // given
    labelFixed = true;

    // when
    const {
      toJSON
    } = render(/*#__PURE__*/_jsx(TextAreaLabel, {
      label: label,
      labelFixed: labelFixed,
      errorState: errorState,
      animatedViewProps: animatedViewProps,
      animatedTextProps: animatedTextProps,
      textAreaHeight: textAreaHeight
    }));

    // then
    expect(toJSON()).toMatchSnapshot();
  });
  test('should render fixed label with optional correctly', () => {
    // given
    labelFixed = true;

    // when
    const {
      toJSON
    } = render(/*#__PURE__*/_jsx(TextAreaLabel, {
      label: label,
      labelFixed: labelFixed,
      errorState: errorState,
      animatedViewProps: animatedViewProps,
      animatedTextProps: animatedTextProps,
      textAreaHeight: textAreaHeight
    }));

    // then
    expect(toJSON()).toMatchSnapshot();
  });
});
//# sourceMappingURL=TextAreaLabel.test.js.map