"use strict";

export const getPlaceholderText = ({
  label,
  labelFixed,
  placeholder,
  value,
  focused
}) => {
  if (label && placeholder) {
    if (labelFixed) {
      return placeholder;
    }
    if (!value && !focused) {
      return '';
    }
    if (value && focused) {
      return '';
    } else {
      return placeholder;
    }
  }
  if (!label && placeholder) {
    return placeholder;
  }
  if (label && !placeholder) {
    return '';
  }
  return '';
};
export const getHelpText = ({
  helpText,
  errorText,
  errorState
}) => {
  if (errorState) {
    if (errorText) {
      return errorText;
    } else {
      return helpText;
    }
  }
  return helpText;
};
export const getCounterText = ({
  counterText,
  errorText,
  errorState
}) => {
  if (errorState) {
    if (errorText) {
      return errorText;
    } else {
      return counterText;
    }
  }
  return counterText;
};
export const getLabelColor = ({
  errorState
}) => {
  return errorState ? 'dangerKey' : 'neutralDark';
};
export const getTextColor = ({
  errorState
}) => {
  return errorState ? 'dangerKey' : 'neutralLight';
};
export const getBorderColor = ({
  focused,
  errorState
}) => {
  return errorState ? 'dangerKey' : focused ? 'primaryKey' : 'neutralLighter';
};
//# sourceMappingURL=utils.js.map