"use strict";

import React from 'react';
import TextLink from './TextLink';
import theme from '../../theme';
import Text from '../Text/Text';
import { jsx as _jsx, jsxs as _jsxs, Fragment as _Fragment } from "react/jsx-runtime";
const variantList = Object.keys(theme.textVariants);
const TextLinkMeta = {
  title: 'TextLink',
  component: TextLink,
  argTypes: {
    variant: {
      options: variantList,
      control: {
        type: 'radio'
      }
    }
  },
  args: {
    variant: variantList[0]
  }
};
export default TextLinkMeta;
export const Basic = args => /*#__PURE__*/_jsxs(_Fragment, {
  children: [/*#__PURE__*/_jsx(Text, {
    p: "2xs",
    variant: "subtitle01Bold",
    children: "TextLink"
  }), /*#__PURE__*/_jsx(TextLink, {
    variant: args.variant,
    p: "2xs",
    children: "Sample TextLink"
  }), /*#__PURE__*/_jsx(Text, {
    p: "2xs",
    variant: "subtitle01Bold",
    children: "Pressed TextLink"
  }), /*#__PURE__*/_jsx(TextLink, {
    variant: args.variant,
    p: "2xs",
    isPressed: true,
    children: "Sample TextLink"
  }), /*#__PURE__*/_jsx(Text, {
    p: "2xs",
    variant: "subtitle01Bold",
    children: "TextLink in Paragraph"
  }), /*#__PURE__*/_jsxs(Text, {
    p: "2xs",
    variant: args.variant,
    children: ["It is an example of usage", ' ', /*#__PURE__*/_jsx(TextLink, {
      p: "2xs",
      variant: args.variant,
      isPressed: true,
      children: "Sample TextLink"
    }), ' ', "in a paragraph."]
  })]
});
export const Heading = () => /*#__PURE__*/_jsxs(_Fragment, {
  children: [/*#__PURE__*/_jsx(Text, {
    p: "2xs",
    variant: "subtitle01Bold",
    children: "TextLink Heading"
  }), /*#__PURE__*/_jsx(TextLink, {
    variant: "heading1",
    p: "2xs",
    children: "Heading 1"
  }), /*#__PURE__*/_jsx(TextLink, {
    variant: "heading2",
    p: "2xs",
    children: "Heading 2"
  }), /*#__PURE__*/_jsx(TextLink, {
    variant: "heading3",
    p: "2xs",
    children: "Heading 3"
  }), /*#__PURE__*/_jsx(Text, {
    p: "2xs",
    variant: "subtitle01Bold",
    children: "Pressed TextLink Heading"
  }), /*#__PURE__*/_jsx(TextLink, {
    variant: "heading1",
    p: "2xs",
    isPressed: true,
    children: "Heading 1"
  }), /*#__PURE__*/_jsx(TextLink, {
    variant: "heading2",
    p: "2xs",
    isPressed: true,
    children: "Heading 2"
  }), /*#__PURE__*/_jsx(TextLink, {
    variant: "heading3",
    p: "2xs",
    isPressed: true,
    children: "Heading 3"
  }), /*#__PURE__*/_jsx(Text, {
    p: "2xs",
    variant: "subtitle01Bold",
    children: "Heading TextLink in Paragraph"
  }), /*#__PURE__*/_jsxs(Text, {
    p: "2xs",
    variant: "heading1",
    children: ["It is an example of usage", ' ', /*#__PURE__*/_jsx(TextLink, {
      p: "2xs",
      variant: "heading1",
      isPressed: true,
      children: "Heading TextLink"
    }), ' ', "in a paragraph."]
  })]
});
export const Subtitle01 = () => /*#__PURE__*/_jsxs(_Fragment, {
  children: [/*#__PURE__*/_jsx(Text, {
    p: "2xs",
    variant: "subtitle01Bold",
    children: "TextLink Subtitle 01"
  }), /*#__PURE__*/_jsx(TextLink, {
    variant: "subtitle01Regular",
    p: "2xs",
    children: "Subtitle 01 / Regular"
  }), /*#__PURE__*/_jsx(TextLink, {
    variant: "subtitle01Medium",
    p: "2xs",
    children: "Subtitle 01 / Medium"
  }), /*#__PURE__*/_jsx(TextLink, {
    variant: "subtitle01Semibold",
    p: "2xs",
    children: "Subtitle 01 / Semibold"
  }), /*#__PURE__*/_jsx(TextLink, {
    variant: "subtitle01Bold",
    p: "2xs",
    children: "Subtitle 01 / Bold"
  }), /*#__PURE__*/_jsx(Text, {
    p: "2xs",
    variant: "subtitle01Bold",
    children: "Pressed TextLink Subtitle 01"
  }), /*#__PURE__*/_jsx(TextLink, {
    variant: "subtitle01Regular",
    p: "2xs",
    isPressed: true,
    children: "Subtitle 01 / Regular"
  }), /*#__PURE__*/_jsx(TextLink, {
    variant: "subtitle01Medium",
    p: "2xs",
    isPressed: true,
    children: "Subtitle 01 / Medium"
  }), /*#__PURE__*/_jsx(TextLink, {
    variant: "subtitle01Semibold",
    p: "2xs",
    isPressed: true,
    children: "Subtitle 01 / Semibold"
  }), /*#__PURE__*/_jsx(TextLink, {
    variant: "subtitle01Bold",
    p: "2xs",
    isPressed: true,
    children: "Subtitle 01 / Bold"
  }), /*#__PURE__*/_jsx(Text, {
    p: "2xs",
    variant: "subtitle01Bold",
    children: "Subtitle TextLink in Paragraph"
  }), /*#__PURE__*/_jsxs(Text, {
    p: "2xs",
    variant: "subtitle01Regular",
    children: ["It is an example of usage", ' ', /*#__PURE__*/_jsx(TextLink, {
      p: "2xs",
      variant: "subtitle01Regular",
      isPressed: true,
      children: "Subtitle TextLink"
    }), ' ', "in a paragraph."]
  })]
});
export const Subtitle02 = () => /*#__PURE__*/_jsxs(_Fragment, {
  children: [/*#__PURE__*/_jsx(Text, {
    p: "2xs",
    variant: "subtitle01Bold",
    children: "TextLink Subtitle 02"
  }), /*#__PURE__*/_jsx(TextLink, {
    variant: "subtitle02Regular",
    p: "2xs",
    children: "Subtitle 02 / Regular"
  }), /*#__PURE__*/_jsx(TextLink, {
    variant: "subtitle02Medium",
    p: "2xs",
    children: "Subtitle 02 / Medium"
  }), /*#__PURE__*/_jsx(TextLink, {
    variant: "subtitle02Semibold",
    p: "2xs",
    children: "Subtitle 02 / Semibold"
  }), /*#__PURE__*/_jsx(TextLink, {
    variant: "subtitle02Bold",
    p: "2xs",
    children: "Sutitle 02 / Bold"
  }), /*#__PURE__*/_jsx(Text, {
    p: "2xs",
    variant: "subtitle01Bold",
    children: "Pressed TextLink Subtitle 02"
  }), /*#__PURE__*/_jsx(TextLink, {
    variant: "subtitle02Regular",
    p: "2xs",
    isPressed: true,
    children: "Subtitle 02 / Regular"
  }), /*#__PURE__*/_jsx(TextLink, {
    variant: "subtitle02Medium",
    p: "2xs",
    isPressed: true,
    children: "Subtitle 02 / Medium"
  }), /*#__PURE__*/_jsx(TextLink, {
    variant: "subtitle02Semibold",
    p: "2xs",
    isPressed: true,
    children: "Subtitle 02 / Semibold"
  }), /*#__PURE__*/_jsx(TextLink, {
    variant: "subtitle02Bold",
    p: "2xs",
    isPressed: true,
    children: "Sutitle 02 / Bold"
  }), /*#__PURE__*/_jsx(Text, {
    p: "2xs",
    variant: "subtitle01Bold",
    children: "Subtitle TextLink in Paragraph"
  }), /*#__PURE__*/_jsxs(Text, {
    p: "2xs",
    variant: "subtitle02Regular",
    children: ["It is an example of usage", ' ', /*#__PURE__*/_jsx(TextLink, {
      p: "2xs",
      variant: "subtitle02Regular",
      isPressed: true,
      children: "Subtitle TextLink"
    }), ' ', "in a paragraph."]
  })]
});
export const Subtitle03 = () => /*#__PURE__*/_jsxs(_Fragment, {
  children: [/*#__PURE__*/_jsx(Text, {
    p: "2xs",
    variant: "subtitle01Bold",
    children: "TextLink Subtitle 03"
  }), /*#__PURE__*/_jsx(TextLink, {
    variant: "subtitle03Regular",
    p: "2xs",
    children: "Subtitle 03 / Regular"
  }), /*#__PURE__*/_jsx(TextLink, {
    variant: "subtitle03Medium",
    p: "2xs",
    children: "Subtitle 03 / Medium"
  }), /*#__PURE__*/_jsx(TextLink, {
    variant: "subtitle03Semibold",
    p: "2xs",
    children: "Subtitle 03 / Semibold"
  }), /*#__PURE__*/_jsx(TextLink, {
    variant: "subtitle03Bold",
    p: "2xs",
    children: "Subtitle 03 / Bold"
  }), /*#__PURE__*/_jsx(Text, {
    p: "2xs",
    variant: "subtitle01Bold",
    children: "Pressed TextLink Subtitle 03"
  }), /*#__PURE__*/_jsx(TextLink, {
    variant: "subtitle03Regular",
    p: "2xs",
    isPressed: true,
    children: "Subtitle 03 / Regular"
  }), /*#__PURE__*/_jsx(TextLink, {
    variant: "subtitle03Medium",
    p: "2xs",
    isPressed: true,
    children: "Subtitle 03 / Medium"
  }), /*#__PURE__*/_jsx(TextLink, {
    variant: "subtitle03Semibold",
    p: "2xs",
    isPressed: true,
    children: "Subtitle 03 / Semibold"
  }), /*#__PURE__*/_jsx(TextLink, {
    variant: "subtitle03Bold",
    p: "2xs",
    isPressed: true,
    children: "Subtitle 03 / Bold"
  }), /*#__PURE__*/_jsx(Text, {
    p: "2xs",
    variant: "subtitle01Bold",
    children: "Subtitle TextLink in Paragraph"
  }), /*#__PURE__*/_jsxs(Text, {
    p: "2xs",
    variant: "subtitle03Regular",
    children: ["It is an example of usage", ' ', /*#__PURE__*/_jsx(TextLink, {
      p: "2xs",
      variant: "subtitle03Regular",
      isPressed: true,
      children: "Subtitle TextLink"
    }), ' ', "in a paragraph."]
  })]
});
export const Subtitle04 = () => /*#__PURE__*/_jsxs(_Fragment, {
  children: [/*#__PURE__*/_jsx(Text, {
    p: "2xs",
    variant: "subtitle01Bold",
    children: "TextLink Subtitle 04"
  }), /*#__PURE__*/_jsx(TextLink, {
    variant: "subtitle04Regular",
    p: "2xs",
    children: "Subtitle 04 / Regular"
  }), /*#__PURE__*/_jsx(TextLink, {
    variant: "subtitle04Medium",
    p: "2xs",
    children: "Subtitle 04 / Medium"
  }), /*#__PURE__*/_jsx(TextLink, {
    variant: "subtitle04Semibold",
    p: "2xs",
    children: "Subtitle 04 / Semibold"
  }), /*#__PURE__*/_jsx(TextLink, {
    variant: "subtitle04Bold",
    p: "2xs",
    children: "Subtitle 04 / Bold"
  }), /*#__PURE__*/_jsx(Text, {
    p: "2xs",
    variant: "subtitle01Bold",
    children: "Pressed TextLink Subtitle 04"
  }), /*#__PURE__*/_jsx(TextLink, {
    variant: "subtitle04Regular",
    p: "2xs",
    isPressed: true,
    children: "Subtitle 04 / Regular"
  }), /*#__PURE__*/_jsx(TextLink, {
    variant: "subtitle04Medium",
    p: "2xs",
    isPressed: true,
    children: "Subtitle 04 / Medium"
  }), /*#__PURE__*/_jsx(TextLink, {
    variant: "subtitle04Semibold",
    p: "2xs",
    isPressed: true,
    children: "Subtitle 04 / Semibold"
  }), /*#__PURE__*/_jsx(TextLink, {
    variant: "subtitle04Bold",
    p: "2xs",
    isPressed: true,
    children: "Subtitle 04 / Bold"
  }), /*#__PURE__*/_jsx(Text, {
    p: "2xs",
    variant: "subtitle01Bold",
    children: "Subtitle TextLink in Paragraph"
  }), /*#__PURE__*/_jsxs(Text, {
    p: "2xs",
    variant: "subtitle04Regular",
    children: ["It is an example of usage", ' ', /*#__PURE__*/_jsx(TextLink, {
      p: "2xs",
      variant: "subtitle04Regular",
      isPressed: true,
      children: "Subtitle TextLink"
    }), ' ', "in a paragraph."]
  })]
});
export const Body = () => /*#__PURE__*/_jsxs(_Fragment, {
  children: [/*#__PURE__*/_jsx(Text, {
    p: "2xs",
    variant: "subtitle01Bold",
    children: "TextLink Body"
  }), /*#__PURE__*/_jsx(TextLink, {
    variant: "bodyText",
    p: "2xs",
    children: "Body / Text"
  }), /*#__PURE__*/_jsx(Text, {
    p: "2xs",
    variant: "subtitle01Bold",
    children: "Pressed TextLink Body"
  }), /*#__PURE__*/_jsx(TextLink, {
    variant: "bodyText",
    p: "2xs",
    isPressed: true,
    children: "Body / Text"
  }), /*#__PURE__*/_jsx(Text, {
    p: "2xs",
    variant: "subtitle01Bold",
    children: "Body TextLink in Paragraph"
  }), /*#__PURE__*/_jsxs(Text, {
    p: "2xs",
    variant: "bodyText",
    children: ["It is an example of usage", ' ', /*#__PURE__*/_jsx(TextLink, {
      p: "2xs",
      variant: "bodyText",
      isPressed: true,
      children: "Subtitle TextLink"
    }), ' ', "in a paragraph."]
  })]
});
export const Caption = () => /*#__PURE__*/_jsxs(_Fragment, {
  children: [/*#__PURE__*/_jsx(Text, {
    p: "2xs",
    variant: "subtitle01Bold",
    children: "TextLink Caption"
  }), /*#__PURE__*/_jsx(TextLink, {
    variant: "captionText",
    p: "2xs",
    children: "Caption / Text"
  }), /*#__PURE__*/_jsx(TextLink, {
    variant: "captionMedium",
    p: "2xs",
    children: "Caption / Medium"
  }), /*#__PURE__*/_jsx(TextLink, {
    variant: "captionLongText",
    p: "2xs",
    children: "Caption / Long Text"
  }), /*#__PURE__*/_jsx(Text, {
    p: "2xs",
    variant: "subtitle01Bold",
    children: "Pressed TextLink Caption"
  }), /*#__PURE__*/_jsx(TextLink, {
    variant: "captionText",
    p: "2xs",
    isPressed: true,
    children: "Caption / Text"
  }), /*#__PURE__*/_jsx(TextLink, {
    variant: "captionMedium",
    p: "2xs",
    isPressed: true,
    children: "Caption / Medium"
  }), /*#__PURE__*/_jsx(TextLink, {
    variant: "captionLongText",
    p: "2xs",
    isPressed: true,
    children: "Caption / Long Text"
  }), /*#__PURE__*/_jsx(Text, {
    p: "2xs",
    variant: "subtitle01Bold",
    children: "Caption TextLink in Paragraph"
  }), /*#__PURE__*/_jsxs(Text, {
    p: "2xs",
    variant: "captionText",
    children: ["It is an example of usage", ' ', /*#__PURE__*/_jsx(TextLink, {
      p: "2xs",
      variant: "captionText",
      isPressed: true,
      children: "Subtitle TextLink"
    }), ' ', "in a paragraph."]
  })]
});
//# sourceMappingURL=TextLink.stories.js.map