"use strict";

import React from 'react';
import Button from '../Button/Button';
import Text from '../Text/Text';
import Toast from './Toast';
import ToastView from './ToastView';
import { ToastVariants, ToastDurations } from './types';
import Input from '../Input/Input';
import Box from '../Box/Box';
import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "react/jsx-runtime";
const ToastMeta = {
  title: 'Toast',
  component: ToastView
};
export default ToastMeta;
export const Basic = () => {
  return /*#__PURE__*/_jsxs(_Fragment, {
    children: [/*#__PURE__*/_jsx(Text, {
      p: "2xs",
      variant: "subtitle01Bold",
      children: "Toast"
    }), /*#__PURE__*/_jsx(Button, {
      variant: "primary",
      kind: "neutral",
      label: "Show DEFAULT toast",
      filled: true,
      m: "2xs",
      onPress: () => Toast.show({
        text: 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.'
      })
    }), /*#__PURE__*/_jsx(Button, {
      variant: "primary",
      kind: "success",
      label: "Show SUCCESS toast",
      filled: true,
      m: "2xs",
      onPress: () => Toast.show({
        variant: 'success',
        text: 'This is a SUCCESS toast'
      })
    }), /*#__PURE__*/_jsx(Button, {
      variant: "primary",
      kind: "danger",
      label: "Show ERROR toast",
      filled: true,
      m: "2xs",
      onPress: () => Toast.show({
        variant: 'error',
        text: 'This is an ERROR toast'
      })
    }), /*#__PURE__*/_jsx(Button, {
      variant: "primary",
      label: "Show WARNING toast",
      filled: true,
      m: "2xs",
      onPress: () => Toast.show({
        variant: 'warning',
        text: 'This is an WARNING toast'
      })
    }), /*#__PURE__*/_jsx(Box, {
      m: "2xs",
      children: /*#__PURE__*/_jsx(Input, {
        placeholder: "Focus to show keyboard"
      })
    })]
  });
};
export const WithAction = () => {
  return /*#__PURE__*/_jsxs(_Fragment, {
    children: [/*#__PURE__*/_jsx(Text, {
      p: "2xs",
      variant: "subtitle01Bold",
      children: "Toast with action"
    }), /*#__PURE__*/_jsx(Button, {
      variant: "primary",
      kind: "neutral",
      label: "Show DEFAULT toast with action",
      filled: true,
      m: "2xs",
      onPress: () => Toast.show({
        variant: ToastVariants.DEFAULT,
        text: 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.',
        duration: ToastDurations.SHORT,
        action: close => {
          close();
        },
        actionText: 'Action'
      })
    }), /*#__PURE__*/_jsx(Button, {
      variant: "primary",
      kind: "success",
      label: "Show SUCCESS toast with action",
      filled: true,
      m: "2xs",
      onPress: () => Toast.show({
        variant: ToastVariants.SUCCESS,
        text: 'This is a SUCCESS toast with action',
        duration: ToastDurations.SHORT,
        action: close => {
          close();
        },
        actionText: 'Action'
      })
    }), /*#__PURE__*/_jsx(Button, {
      variant: "primary",
      kind: "danger",
      label: "Show ERROR toast with action",
      filled: true,
      m: "2xs",
      onPress: () => Toast.show({
        variant: ToastVariants.ERROR,
        text: 'This is an ERROR toast with action',
        duration: ToastDurations.SHORT,
        action: close => {
          close();
        },
        actionText: 'Action'
      })
    }), /*#__PURE__*/_jsx(Button, {
      variant: "primary",
      label: "Show WARNING toast with action",
      filled: true,
      m: "2xs",
      onPress: () => Toast.show({
        variant: ToastVariants.WARNING,
        text: 'This is a WARNING toast with action',
        duration: ToastDurations.SHORT,
        action: close => {
          close();
        },
        actionText: 'Action'
      })
    }), /*#__PURE__*/_jsx(Box, {
      m: "2xs",
      children: /*#__PURE__*/_jsx(Input, {
        placeholder: "Focus to show keyboard"
      })
    })]
  });
};
//# sourceMappingURL=Toast.stories.js.map