"use strict";

import React from 'react';
import { deviceHeight } from '../../utils/dimentions';
import Box from '../Box/Box';
import Button from '../Button/Button';
import Icon from '../Icon/Icon';
import Text from '../Text/Text';
import Tooltip from './Tooltip';
import { jsx as _jsx, jsxs as _jsxs, Fragment as _Fragment } from "react/jsx-runtime";
const positions = ['top', 'bottom'];
const TooltipMeta = {
  title: 'Tooltip',
  component: Tooltip,
  argTypes: {
    position: {
      options: positions,
      control: {
        type: 'radio'
      }
    }
  },
  args: {
    content: 'Lorem ipsum dolor sit amet',
    overlay: true,
    hole: true,
    highlight: true,
    holePadding: 4
  }
};
export default TooltipMeta;
export const Basic = args => {
  return /*#__PURE__*/_jsxs(_Fragment, {
    children: [/*#__PURE__*/_jsx(Box, {
      height: deviceHeight * 0.3
    }), /*#__PURE__*/_jsxs(Box, {
      p: "3xl",
      flexDirection: "row",
      bg: "secondaryColor",
      alignItems: "center",
      justifyContent: "center",
      children: [/*#__PURE__*/_jsx(Tooltip, {
        id: "basic",
        position: args.position,
        overlay: args.overlay,
        hole: args.hole,
        holePadding: args.holePadding,
        highlight: args.highlight,
        content: args.content,
        children: /*#__PURE__*/_jsx(Icon, {
          name: "info",
          color: "primaryColor",
          size: "m"
        })
      }), /*#__PURE__*/_jsx(Box, {
        ml: "m",
        children: /*#__PURE__*/_jsx(Text, {
          color: "white",
          variant: "subtitle2Medium",
          children: "Click to info icon"
        })
      })]
    }), /*#__PURE__*/_jsx(Box, {
      style: {
        height: deviceHeight * 0.5
      }
    })]
  });
};
export const Overflow = () => {
  return /*#__PURE__*/_jsxs(_Fragment, {
    children: [/*#__PURE__*/_jsx(Box, {
      p: "m",
      flexDirection: "row",
      alignItems: "center",
      children: /*#__PURE__*/_jsx(Tooltip, {
        id: "text",
        overlay: true,
        hole: true,
        position: "top",
        content: "opened at the bottom because there was not enough space",
        children: /*#__PURE__*/_jsx(Box, {
          bg: "primaryColor",
          padding: "s",
          borderRadius: "m",
          children: /*#__PURE__*/_jsx(Text, {
            color: "white",
            variant: "subtitle2Medium",
            children: "too close to top"
          })
        })
      })
    }), /*#__PURE__*/_jsx(Box, {
      style: {
        height: deviceHeight * 0.64
      }
    }), /*#__PURE__*/_jsx(Box, {
      p: "m",
      flexDirection: "row",
      alignItems: "center",
      children: /*#__PURE__*/_jsx(Tooltip, {
        id: "text",
        overlay: true,
        hole: true,
        position: "bottom",
        content: "opened at the top because there was not enough space",
        children: /*#__PURE__*/_jsx(Box, {
          bg: "primaryColor",
          padding: "s",
          borderRadius: "m",
          children: /*#__PURE__*/_jsx(Text, {
            color: "white",
            variant: "subtitle2Medium",
            children: "too close to bottom"
          })
        })
      })
    })]
  });
};
export const Overlay = () => {
  return /*#__PURE__*/_jsxs(Box, {
    p: "l",
    backgroundColor: "secondaryColor",
    children: [/*#__PURE__*/_jsx(Box, {
      p: "m",
      flexDirection: "row",
      alignItems: "center",
      children: /*#__PURE__*/_jsx(Tooltip, {
        id: "test1",
        position: "bottom",
        content: "text Lorem ipsum dolor sit amet consectetur. Sagittis viverra id hendrerit nunc ultrices volutpat. Scelerisque tincidunt cras mattis.",
        children: /*#__PURE__*/_jsx(Box, {
          bg: "primaryColor",
          padding: "s",
          borderRadius: "m",
          children: /*#__PURE__*/_jsx(Text, {
            color: "white",
            variant: "subtitle2Medium",
            children: "no overlay"
          })
        })
      })
    }), /*#__PURE__*/_jsx(Box, {
      p: "m",
      flexDirection: "row",
      alignItems: "center",
      children: /*#__PURE__*/_jsx(Tooltip, {
        id: "test2",
        overlay: true,
        position: "bottom",
        content: "text Lorem ipsum dolor sit amet consectetur. Sagittis viverra id hendrerit nunc ultrices volutpat. Scelerisque tincidunt cras mattis.",
        children: /*#__PURE__*/_jsx(Box, {
          bg: "primaryColor",
          padding: "s",
          borderRadius: "m",
          children: /*#__PURE__*/_jsx(Text, {
            color: "white",
            variant: "subtitle2Medium",
            children: "overlay"
          })
        })
      })
    }), /*#__PURE__*/_jsx(Box, {
      p: "m",
      flexDirection: "row",
      alignItems: "center",
      children: /*#__PURE__*/_jsx(Tooltip, {
        id: "test3",
        overlay: true,
        hole: true,
        position: "bottom",
        content: "text Lorem ipsum dolor sit amet consectetur. Sagittis viverra id hendrerit nunc ultrices volutpat. Scelerisque tincidunt cras mattis.",
        children: /*#__PURE__*/_jsx(Box, {
          bg: "primaryColor",
          padding: "s",
          borderRadius: "m",
          children: /*#__PURE__*/_jsx(Text, {
            color: "white",
            variant: "subtitle2Medium",
            children: "overlay + hole"
          })
        })
      })
    }), /*#__PURE__*/_jsx(Box, {
      p: "m",
      flexDirection: "row",
      alignItems: "center",
      children: /*#__PURE__*/_jsx(Tooltip, {
        id: "test3",
        overlay: true,
        hole: true,
        highlight: true,
        position: "bottom",
        content: "text Lorem ipsum dolor sit amet consectetur. Sagittis viverra id hendrerit nunc ultrices volutpat. Scelerisque tincidunt cras mattis.",
        children: /*#__PURE__*/_jsx(Box, {
          bg: "primaryColor",
          padding: "s",
          borderRadius: "m",
          children: /*#__PURE__*/_jsx(Text, {
            color: "white",
            variant: "subtitle2Medium",
            children: "overlay + hole + highlight"
          })
        })
      })
    }), /*#__PURE__*/_jsx(Box, {
      p: "m",
      flexDirection: "row",
      alignItems: "center",
      children: /*#__PURE__*/_jsx(Tooltip, {
        id: "test4",
        overlay: true,
        hole: true,
        holePadding: 10,
        position: "bottom",
        content: "text Lorem ipsum dolor sit amet consectetur. Sagittis viverra id hendrerit nunc ultrices volutpat. Scelerisque tincidunt cras mattis.",
        children: /*#__PURE__*/_jsx(Box, {
          bg: "primaryColor",
          padding: "s",
          borderRadius: "m",
          children: /*#__PURE__*/_jsx(Text, {
            color: "white",
            variant: "subtitle2Medium",
            children: "overlay + hole + extra padding"
          })
        })
      })
    }), /*#__PURE__*/_jsx(Box, {
      p: "m",
      flexDirection: "row",
      alignItems: "center",
      children: /*#__PURE__*/_jsx(Tooltip, {
        id: "test4",
        overlay: true,
        hole: true,
        highlight: true,
        holePadding: 10,
        position: "bottom",
        content: "text Lorem ipsum dolor sit amet consectetur. Sagittis viverra id hendrerit nunc ultrices volutpat. Scelerisque tincidunt cras mattis.",
        children: /*#__PURE__*/_jsx(Box, {
          bg: "primaryColor",
          padding: "s",
          borderRadius: "m",
          children: /*#__PURE__*/_jsx(Text, {
            color: "white",
            variant: "subtitle2Medium",
            children: "overlay + hole + highlight + extra padding"
          })
        })
      })
    })]
  });
};
export const Methods = () => {
  const tooltipRef = React.useRef(null);
  const action = React.useCallback(() => {
    setTimeout(() => {
      tooltipRef.current?.show();
      setTimeout(() => {
        tooltipRef.current?.hide();
      }, 3000);
    }, 2000);
  }, []);
  return /*#__PURE__*/_jsxs(_Fragment, {
    children: [/*#__PURE__*/_jsx(Box, {
      p: "m",
      flexDirection: "row",
      alignItems: "center",
      children: /*#__PURE__*/_jsx(Tooltip, {
        id: "test5",
        ref: tooltipRef,
        overlay: true,
        hole: true,
        position: "bottom",
        content: "text Lorem ipsum dolor sit amet consectetur. Sagittis viverra id hendrerit nunc ultrices volutpat. Scelerisque tincidunt cras mattis.",
        children: /*#__PURE__*/_jsx(Button, {
          label: "Show after 2sec and hide after 3sec",
          onPress: action
        })
      })
    }), /*#__PURE__*/_jsx(Box, {
      style: {
        height: deviceHeight * 0.5
      }
    })]
  });
};
//# sourceMappingURL=Tooltip.stories.js.map