"use strict";

import { ThemeProvider } from '@ergenekonyigit/restyle';
import { render } from '@testing-library/react-native';
import * as React from 'react';
import { PanResponder } from 'react-native';
import theme from './theme';
import { PortalProvider } from '.';
import { jsx as _jsx } from "react/jsx-runtime";
theme.fonts = {
  light: 'Rubik-Light',
  regular: 'Rubik-Regular',
  medium: 'Rubik-Medium',
  semiBold: 'Rubik-SemiBold',
  bold: 'Rubik-Bold'
};
const AllProviders = ({
  children
}) => /*#__PURE__*/_jsx(ThemeProvider, {
  theme: theme,
  children: /*#__PURE__*/_jsx(PortalProvider, {
    children: children
  })
});
const customRender = (ui, options) => render(ui, {
  wrapper: AllProviders,
  ...options
});
const mockPanResponder = () => {
  jest.spyOn(PanResponder, 'create').mockImplementation(({
    onStartShouldSetPanResponderCapture,
    onMoveShouldSetPanResponder,
    onPanResponderGrant,
    onPanResponderMove,
    onPanResponderRelease
  }) => ({
    panHandlers: {
      onStartShouldSetResponderCapture: onStartShouldSetPanResponderCapture,
      onMoveShouldSetResponder: onMoveShouldSetPanResponder,
      onResponderGrant: onPanResponderGrant,
      onResponderMove: onPanResponderMove,
      onResponderRelease: onPanResponderRelease
    }
  }));
};
export * from '@testing-library/react-native';
export { customRender as render, mockPanResponder };
//# sourceMappingURL=test-utils.js.map