import React from 'react';
import { ColorValue, Pressable } from 'react-native';
import { VariantProps } from '@ergenekonyigit/restyle';
import { IconNameType } from '../Icon/types';
import { Theme } from '../../theme';
import Box from '../Box/Box';
export type ButtonProps = React.ComponentProps<typeof Box> & React.ComponentProps<typeof Pressable> & {
    onPress?: () => void;
    label?: string;
    tintColor?: ColorValue;
    icon?: IconNameType | null;
    disabled?: boolean;
    isPressed?: boolean;
    filled?: boolean;
    size?: VariantProps<Theme, 'buttonSizeVariants'>['variant'];
    kind?: VariantProps<Theme, 'buttonKindVariants'>['variant'];
    variant?: VariantProps<Theme, 'buttonVariants'>['variant'];
};
declare const Button: ({ size, kind, variant, icon, label, tintColor, disabled, filled, ...rest }: ButtonProps) => React.JSX.Element;
export default Button;
//# sourceMappingURL=Button.d.ts.map