import React, { ReactNode } from 'react';
import { ShowPickerType } from './constants';
import { Day } from './types';
export interface DatePickerContextType {
    value: string | null;
    date: Day;
    nameOfWeekdays?: string[];
    nameOfMonths?: string[];
    minYear?: number;
    maxYear?: number;
    firstDayOfWeek?: 0 | 1;
    testID?: string;
    onChange: () => void;
    handleOpen: () => void;
    handleClose: () => void;
    onSelectDate: (date: Day) => void;
    visible: boolean;
    showPickerType: ShowPickerType;
    setShowPickerType: (type: ShowPickerType) => void;
    calendarData: any;
    setCalendarData: (data: any) => void;
    yearRange: DatePickerYearRange;
    setYearRange: (range: DatePickerYearRange) => void;
    onPressPrev: () => void;
    onPressNext: () => void;
    disableDates?: number[];
    multiple?: boolean;
    dateRange: {
        startDate: Day;
        endDate: Day;
    } | null;
    selectionMode: 'startDate' | 'endDate';
    format?: string;
    disableMonths?: number[];
    disableYears?: number[];
}
interface DatePickerProviderProps {
    value: string | null;
    nameOfWeekdays: string[];
    nameOfMonths: string[];
    minYear?: number;
    maxYear?: number;
    testID: string;
    children: ReactNode;
    firstDayOfWeek: 0 | 1;
    onChange: (date: string) => void;
    disableDates?: number[];
    multiple?: boolean;
    format?: string;
    disableMonths?: number[];
    disableYears?: number[];
}
interface DatePickerYearRange {
    min: number;
    max: number;
}
export declare const DatePickerProvider: ({ children, value, nameOfWeekdays, nameOfMonths, minYear, maxYear, firstDayOfWeek, testID, onChange: onChangeProp, disableDates, multiple, format, disableMonths, disableYears, }: DatePickerProviderProps) => React.JSX.Element;
export declare const useDatePickerContext: () => DatePickerContextType;
export {};
//# sourceMappingURL=DatePickerContext.d.ts.map