import React from 'react';
import { EasingFunction, NativeSyntheticEvent, TextInput, TextInputProps, TextInputFocusEventData } from 'react-native';
import { Theme } from '../../theme';
import Box from '../Box/Box';
import { IconNameType } from '../Icon/types';
import { VariantProps } from '@ergenekonyigit/restyle';
type InputProps = React.ComponentProps<typeof Box> & TextInputProps & {
    label?: string | null;
    subLabel?: string;
    labelFixed?: boolean;
    placeholder?: string;
    helpText?: string | null;
    errorText?: string | null;
    successText?: string | null;
    required?: boolean;
    icon?: IconNameType | null;
    success?: boolean;
    error?: boolean;
    secureTextEntry?: boolean;
    onFocus?: (e: NativeSyntheticEvent<TextInputFocusEventData>) => void;
    onBlur?: (e: NativeSyntheticEvent<TextInputFocusEventData>) => void;
    disabled?: boolean;
    easing?: EasingFunction;
    testID?: string;
    editable?: boolean;
    value?: string;
    defaultValue?: string;
    leadingText?: string;
    trailingText?: string;
    onChangeText?: (text: string) => void;
    size?: VariantProps<Theme, 'inputSizeVariants'>['variant'];
};
export type TextInputHandles = Pick<TextInput, 'focus' | 'clear' | 'blur' | 'isFocused' | 'setNativeProps'>;
declare const Input: React.ForwardRefExoticComponent<Omit<InputProps, "ref"> & React.RefAttributes<TextInputHandles>>;
export default Input;
//# sourceMappingURL=Input.d.ts.map