/// <reference types="react" />
import { EasingFunction } from 'react-native';
import { Theme } from '../../theme';
import { InputRefType, AnimatedViewPropsType, AnimatedTextPropsType } from './types';
export declare const useInputRef: InputRefType;
export declare const useInputValue: ({ value, defaultValue, }: {
    value?: string | undefined;
    defaultValue?: string | undefined;
}) => {
    isControlled: boolean;
    setUncontrolledValue: import("react").Dispatch<import("react").SetStateAction<string | undefined>>;
    value: string | undefined;
};
export declare const useTogglePasswordVisibility: (secureTextEntry: boolean) => {
    passwordVisibility: boolean;
    setPasswordVisibility: import("react").Dispatch<import("react").SetStateAction<boolean>>;
    passwordVisibilityIcon: "search" | "link" | "map" | "filter" | "rotate" | "image" | "alert" | "menu" | "dialog" | "document" | "normal" | "academy" | "account" | "add-note" | "add-photo" | "add-product" | "announcement" | "archive" | "arrow-down" | "arrow-left" | "arrow-right" | "arrow-right-up" | "arrow-up" | "attach" | "automatic-pricing" | "award" | "back-fill" | "back" | "barcode" | "bill" | "book" | "browser" | "calendar-stroke" | "calendar" | "camera" | "campaign" | "change-fill" | "change" | "chart" | "chatbot" | "check-fill" | "check" | "clock" | "close-fill" | "close" | "coin" | "compass" | "confetti" | "copy" | "coupon" | "credit-card" | "delete" | "dislike" | "document-search" | "donation" | "door-open" | "download" | "edit" | "engagement" | "excel" | "exit" | "expand" | "export" | "external-link" | "external-share" | "eye-off" | "eye-on" | "facebook" | "feedback" | "finance-accounting" | "fire" | "flash-fill" | "flash" | "forward" | "gift" | "globe" | "go-forward" | "graphic" | "growth" | "hamburger-menu" | "hamburger" | "handshake" | "happy" | "heart-line" | "heart" | "help" | "home" | "incognito" | "influencer" | "info" | "label" | "light-bulb" | "like" | "listing" | "live-monitor" | "live-support" | "loading" | "lock" | "magic-wand" | "mail-opened" | "mail" | "market-order-back" | "market-order-cancel" | "market-order-change" | "market-order-check" | "market" | "meal-bag" | "meal-order-back" | "meal-order-cancel" | "meal-order-return" | "message" | "metric-status-down" | "metric-status-up" | "minus-fill" | "minus" | "mobile-filled" | "mobile-settings" | "mobile-stroke" | "money-transfer" | "more-horizontal" | "more-vertical" | "motorcycle-check" | "motorcycle" | "my-offers" | "notification" | "order-back" | "order-box" | "order-cancel" | "order-check" | "order-return" | "order-tracking" | "order" | "ortak-ai" | "paper" | "pause-fill" | "pause" | "people" | "performance-data" | "phone-settings" | "phone" | "photo" | "pin" | "play-fill" | "play" | "plus-fill" | "plus" | "preview" | "print" | "product" | "profile-check" | "profile" | "rating" | "report" | "sad" | "save" | "seller-ads" | "send-mail" | "send" | "services" | "settings" | "share" | "shopping-bag-back" | "shopping-bag-cancel" | "shopping-bag-discount" | "shopping-bag-return" | "shopping-bag" | "sorting" | "sound-off" | "sound-on" | "star" | "star-fill" | "stop-fill" | "stop" | "store-performance" | "store" | "suitcase" | "support" | "take-away" | "ticket" | "truck" | "turn-back" | "unlock" | "upload" | "user-management" | "vacation-mode" | "wallet" | "warning" | "web-filled" | "web-stroke" | "zoom-in" | "zoom-out";
    handlePasswordVisibility: () => void;
};
export declare const useOutlineLabelVisibility: ({ theme, easing, inputHeight, focused, value, disabled, helpText, errorText, successText, errorState, successState, }: {
    theme: Theme;
    easing: EasingFunction;
    inputHeight: number;
    focused: boolean;
    value?: string | undefined;
    disabled: boolean;
    helpText?: string | null | undefined;
    errorText?: string | null | undefined;
    successText?: string | null | undefined;
    errorState: boolean;
    successState: boolean;
}) => {
    startAnimation: () => Promise<unknown>;
    stopAnimation: () => Promise<unknown>;
    animatedViewProps: AnimatedViewPropsType;
    animatedTextProps: AnimatedTextPropsType;
};
//# sourceMappingURL=hooks.d.ts.map