import { BoxProps } from '../Box/Box';
import React, { PropsWithChildren } from 'react';
export type A11yProps = {
    testID?: string;
    accessibilityLabel?: string;
    accessible?: boolean;
};
export type BaseModalProps = A11yProps & PropsWithChildren<{
    modalKey?: string;
    visible: boolean;
    closable?: boolean;
    closeButtonAction?: () => void;
    duration?: number;
    justifyContent?: 'flex-start' | 'flex-end' | 'center';
    wrongPressThresholdMs?: number;
    borderBottomStartRadius?: BoxProps['borderBottomStartRadius'];
    borderBottomEndRadius?: BoxProps['borderBottomEndRadius'];
    p?: BoxProps['p'];
    actions?: React.ReactNode;
    header?: React.ReactNode;
}>;
declare const BaseModal: ({ modalKey, justifyContent, p, accessible, accessibilityLabel, testID, children, header, actions, visible, duration, closable, wrongPressThresholdMs, closeButtonAction, borderBottomStartRadius, borderBottomEndRadius, }: BaseModalProps) => React.JSX.Element | null;
export default BaseModal;
//# sourceMappingURL=BaseModal.d.ts.map