import React from 'react';
import { Theme } from '../../theme';
import Box from '../Box/Box';
import { VariantProps } from '@ergenekonyigit/restyle';
import { FlagIconNameType } from '../FlagIcon/types';
export interface SelectOption {
    id: string;
    label: string;
    disabled?: boolean;
    flagIcon?: FlagIconNameType | null;
}
export type SelectHandles = {
    focus: () => void;
    blur: () => void;
    clear: () => void;
};
type SelectProps = React.ComponentProps<typeof Box> & {
    label?: string | null;
    subLabel?: string | null;
    labelFixed?: boolean;
    placeholder?: string;
    helpText?: string | null;
    error?: boolean;
    errorText?: string | null;
    success?: boolean;
    successText?: string | null;
    required?: boolean;
    disabled?: boolean;
    size?: VariantProps<Theme, 'inputSizeVariants'>['variant'];
    options: SelectOption[];
    selectedOptions?: string[] | string;
    testID?: string;
    onSelect?: (value: string[]) => void;
    bottomSheetTitle?: string;
    selectButtonLabel?: string;
    closeButtonLabel?: string;
    multiple?: boolean;
    maxVisibleItems?: number;
};
declare const Select: React.ForwardRefExoticComponent<Omit<SelectProps, "ref"> & React.RefAttributes<SelectHandles>>;
export default Select;
//# sourceMappingURL=Select.d.ts.map