import React from 'react';
import { SwitchProps as RNSwitchProps, Animated, Pressable, StyleProp, ViewStyle } from 'react-native';
import Box from '../Box/Box';
export type SwitchContainerProps = React.ComponentProps<typeof Box>;
export type AnimatedViewProps = React.ComponentProps<typeof Box> & Animated.AnimatedProps<StyleProp<ViewStyle>>;
export type PressableProps = React.ComponentProps<typeof Box> & React.ComponentProps<typeof Pressable>;
export type SwitchProps = RNSwitchProps & {
    label?: string;
    value?: boolean;
    onValueChange: (value: boolean) => void;
    disabled?: boolean;
    onColor?: string;
    offColor?: string;
    containerStyle?: StyleProp<ViewStyle>;
};
declare const Switch: ({ label, value, onValueChange, disabled, onColor, offColor, testID, accessibilityLabel, accessible, containerStyle, }: SwitchProps) => React.JSX.Element;
export default Switch;
//# sourceMappingURL=Switch.d.ts.map