import React, { PropsWithChildren } from 'react';
import { BoxProps } from '../Box/Box';
import { IconNameType } from '../Icon/types';
type TabsProps = BoxProps & {
    value: string;
    defaultValue?: string;
    onValueChange: (value: string) => void;
};
declare const Tabs: {
    ({ value: controlledValue, defaultValue, onValueChange, ...rest }: TabsProps): React.JSX.Element;
    List: ({ children }: PropsWithChildren) => React.JSX.Element;
    Option: ({ value, title, caption, disabled, iconName, badgeText, }: OptionProps) => React.JSX.Element;
    Content: ({ value, ...rest }: ContentProps) => React.JSX.Element | null;
};
type OptionProps = {
    value: string;
    title: string;
    caption?: string;
    disabled?: boolean;
    iconName?: IconNameType;
    badgeText?: string;
};
type ContentProps = BoxProps & {
    value: string;
};
export default Tabs;
//# sourceMappingURL=Tabs.d.ts.map