import React from 'react';
import { EasingFunction, NativeSyntheticEvent, TextInput, TextInputProps, TextInputFocusEventData } from 'react-native';
import { Theme } from '../../theme';
import Box from '../Box/Box';
import { VariantProps } from '@ergenekonyigit/restyle';
type TextAreaProps = React.ComponentProps<typeof Box> & TextInputProps & {
    label?: string | null;
    labelFixed?: boolean;
    placeholder?: string;
    helpText?: string | null;
    counterText?: number;
    errorText?: string | null;
    error?: boolean;
    onFocus?: (e: NativeSyntheticEvent<TextInputFocusEventData>) => void;
    onBlur?: (e: NativeSyntheticEvent<TextInputFocusEventData>) => void;
    disabled?: boolean;
    easing?: EasingFunction;
    testID?: string;
    editable?: boolean;
    value?: string;
    defaultValue?: string;
    onChangeText?: (text: string) => void;
    size?: VariantProps<Theme, 'textAreaSizeVariants'>['variant'];
    maxLength?: number;
    maxLengthErrorText?: string;
};
export type TextInputHandles = Pick<TextInput, 'focus' | 'clear' | 'blur' | 'isFocused' | 'setNativeProps'>;
declare const TextArea: React.ForwardRefExoticComponent<Omit<TextAreaProps, "ref"> & React.RefAttributes<TextInputHandles>>;
export default TextArea;
//# sourceMappingURL=TextArea.d.ts.map