/// <reference types="react" />
import { EasingFunction } from 'react-native';
import { Theme } from '../../theme';
import { InputRefType, AnimatedViewPropsType, AnimatedTextPropsType } from './types';
export declare const useInputRef: InputRefType;
export declare const useInputValue: ({ value, defaultValue, }: {
    value?: string | undefined;
    defaultValue?: string | undefined;
}) => {
    isControlled: boolean;
    setUncontrolledValue: import("react").Dispatch<import("react").SetStateAction<string | undefined>>;
    value: string | undefined;
};
export declare const useOutlineLabelVisibility: ({ theme, easing, textAreaHeight, focused, value, disabled, helpText, counterText, errorText, errorState, }: {
    theme: Theme;
    easing: EasingFunction;
    textAreaHeight: number;
    focused: boolean;
    value?: string | undefined;
    disabled: boolean;
    helpText?: string | null | undefined;
    counterText?: number | undefined;
    errorText?: string | null | undefined;
    errorState: boolean;
}) => {
    startAnimation: () => Promise<unknown>;
    stopAnimation: () => Promise<unknown>;
    animatedViewProps: AnimatedViewPropsType;
    animatedTextProps: AnimatedTextPropsType;
};
//# sourceMappingURL=hooks.d.ts.map